<?php 
session_start();
require_once("../includes/display_admin.inc.php");
require_once("../includes/functions_admin.inc.php");
$obj = new data();
$display = new display();
$display->logout_a();
if (@$_REQUEST['action'] == 'submit')
{
    $msg = $obj->updateApprovalMatricRecords();
 	header('Location:./approval_matrix.php?msg='.$msg);
}
$pagename = basename($_SERVER['PHP_SELF']);
$msg = NULL;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<link href="../css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
<style>


/* thead{
position: sticky;
top: 0;
width: 100%;
} */


table {
  max-width:980px;
  table-layout:fixed;
  margin:0 0 20px 0;
}
th, td {
  padding:5px 10px;
  border:1px solid #000;
}
thead, tfoot {
  background:#f9f9f9;
  display:table;
}
tbody {
    height: 459px;
    overflow: auto;
    overflow-x: hidden;
    display: block;
    /* width: 99%; */
}	
tbody tr {
  display:table;
  width:100%;
  table-layout:fixed;
}


body {
    -moz-transform: scale(0.75, 0.75); 
    zoom: 0.75; 
    zoom: 75%; 
}

/* table {
  border: 0;
  padding: 0;
  margin: 0 0 20px 0;
  border-collapse: collapse;
} */

th {
  padding: 5px;
  text-align: right;
  font-weight:bold;
  line-height: 1.5em;
  color: #FFF;
  background-color: #555;
}

tbody td {
  padding: 10px;
  line-height: 18px;
  border-top: 1px solid #E0E0E0;
}

tbody tr:nth-child(2n) {
  background-color: #F7F7F7;
}

tbody tr:hover {
  background-color: #EEEEEE;
}

td {
  text-align: right;
}

td:first-child,
th:first-child {
  text-align: left;
}

</style>
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(7); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        <i class="fa fa-anchor"></i>&nbsp;Approval Matrix&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="#"><i class="fa fa-home"></i> Home</a></li>
                        <li class="active">Approval Matrix</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
				<!--   content put here..................-->
				<?php if(isset($_REQUEST['msg'])){
						$msg = $_REQUEST['msg'];
						if($msg == 0){?>
				<div class="alert alert-success alert-dismissable">
					<i class="fa fa-check"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Congratulations!</b>  Approval Matrix Details added/updated successfully.
				</div>
				<?php }?>
				<?php if($msg == 1){?>
				<div class="alert alert-danger alert-dismissable">
					<i class="fa fa-ban"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Sorry!</b> there was an error while adding/updating Approval Matrix.
				</div>
				<?php }}?>
				<div>
				
				    <form role="form" name="frm1" id="frm1" enctype="multipart/form-data" action="<?php echo $pagename;?>" method="post">
				    <div class="row">
						<div class="col-xs-12">
							<div style="overflow:auto;">
								<table border="1" style="border:1px solid #737373;">
								   <thead>
								        <tr>
											<th colspan="42" align="right" valign="middle">&nbsp;</th>
										</tr>
										<tr>
											<th colspan="42" style="text-align:center" valign="middle">Approval Matrix</th>
										</tr>
										<tr>
											<th rowspan="2" align="right" valign="middle" style="max-width:100px;min-width:100px;width:100px;">Users</th>
											<th colspan="4" align="left" style="text-align:center" valign="middle">Intial Frt/Others Invoice</th>
											<th colspan="4" align="left" style="text-align:center" valign="middle">Final Freight Invoice</th>
											<th colspan="4" align="left" style="text-align:center" valign="middle">Hire/Others Invoice</th>
											<th colspan="4" align="left" style="text-align:center" valign="middle">VC/TC Hire Statement</th>
											<th colspan="4" align="left" style="text-align:center" valign="middle">PDA</th>
											<th colspan="4" align="left" style="text-align:center" valign="middle">FDA</th>
											<th colspan="4" align="left" style="text-align:center" valign="middle">Other Payment</th>
											<th colspan="4" align="left" style="text-align:center" valign="middle">Laytime</th>
											<th colspan="4" align="left" style="text-align:center" valign="middle">Combined SOA</th>
											<th colspan="4" align="left" style="text-align:center" valign="middle">Generic Finances</th>
											<th colspan="4" align="left" style="text-align:center" valign="middle">Payment Unlock</th>

											<!-- <th rowspan="2" align="center" valign="middle" style="max-width:100px;min-width:100px;width:100px;">Payment Unlock</th> -->
										</tr>
										<tr>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">Crtr</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 1</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 2</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">A/c</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">Crtr</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 1</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 2</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">A/c</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">Crtr</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 1</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 2</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">A/c</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">Crtr</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 1</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 2</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">A/c</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">Crtr</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 1</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 2</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">A/c</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">Crtr</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 1</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 2</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">A/c</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">Crtr</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 1</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 2</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">A/c</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">Crtr</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 1</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 2</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">Open</th>
											
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">Crtr</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 1</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 2</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">A/c</th>

											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">Crtr</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 1</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">App 2</th>
											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">A/c</th>

											<th align="left" style="text-align:center;max-width:38px;min-width:38px;width:38px;" valign="middle">Unlock</th>
											

											

										</tr>
									</thead>
								
										<tbody>
										<?php $i = 0;
											  $sql = "select LOGINID, CONTACT_PERSON from login where USER_TYPE in ('internal_user','mgmt_user') and STATUS=1 order by CONTACT_PERSON asc";
											  $result = mysql_query($sql) or die($sql);
											  $num = mysql_num_rows($result);
											  while($rows = mysql_fetch_assoc($result))
											  {$i++;
											  
											  $sql_1 = "select * from approval_matrix where MCOMPANYID='".$_SESSION['company']."' and LOGINID='".$rows['LOGINID']."'";
											  $result_1 = mysql_query($sql_1) or die($sql_1);
											  $rows_1 = mysql_fetch_assoc($result_1)
										?>
											<tr>
												<td style="
    width: 100px;
"><?=$rows['CONTACT_PERSON'];?><input type="hidden" name="txtLOGINID_<?=$i;?>" id="txtLOGINID_<?=$i;?>" value="<?=$rows['LOGINID'];?>"/></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_1_<?=$i?>" id="checkbox_1_<?=$i?>" value="1" <?php if($rows_1['INI_FREIGHT_CHK_CRETR']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_2_<?=$i?>" id="checkbox_2_<?=$i?>" value="1" <?php if($rows_1['INI_FREIGHT_CHK_APP_1']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_3_<?=$i?>" id="checkbox_3_<?=$i?>" value="1" <?php if($rows_1['INI_FREIGHT_CHK_APP_2']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_28_<?=$i?>" id="checkbox_28_<?=$i?>" value="1" <?php if($rows_1['INI_FREIGHT_CHK_ACC']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_4_<?=$i?>" id="checkbox_4_<?=$i?>" value="1" <?php if($rows_1['FINL_FREIGHT_CHK_CRETR']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_5_<?=$i?>" id="checkbox_5_<?=$i?>" value="1" <?php if($rows_1['FINL_FREIGHT_CHK_APP_1']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_6_<?=$i?>" id="checkbox_6_<?=$i?>" value="1" <?php if($rows_1['FINL_FREIGHT_CHK_APP_2']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_29_<?=$i?>" id="checkbox_29_<?=$i?>" value="1" <?php if($rows_1['FINL_FREIGHT_CHK_ACC']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_7_<?=$i?>" id="checkbox_7_<?=$i?>" value="1" <?php if($rows_1['HIRE_INVOICE_CHK_CRETR']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_8_<?=$i?>" id="checkbox_8_<?=$i?>" value="1" <?php if($rows_1['HIRE_INVOICE_CHK_APP_1']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_9_<?=$i?>" id="checkbox_9_<?=$i?>" value="1" <?php if($rows_1['HIRE_INVOICE_CHK_APP_2']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_30_<?=$i?>" id="checkbox_30_<?=$i?>" value="1" <?php if($rows_1['HIRE_INVOICE_CHK_ACC']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_10_<?=$i?>" id="checkbox_10_<?=$i?>" value="1" <?php if($rows_1['HIRE_STSTMENT_CHK_CRETR']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_11_<?=$i?>" id="checkbox_11_<?=$i?>" value="1" <?php if($rows_1['HIRE_STSTMENT_CHK_APP_1']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_12_<?=$i?>" id="checkbox_12_<?=$i?>" value="1" <?php if($rows_1['HIRE_STSTMENT_CHK_APP_2']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_13_<?=$i?>" id="checkbox_13_<?=$i?>" value="1" <?php if($rows_1['HIRE_STSTMENT_CHK_ACC']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_14_<?=$i?>" id="checkbox_14_<?=$i?>" value="1" <?php if($rows_1['PDA_CHK_CRETR']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_15_<?=$i?>" id="checkbox_15_<?=$i?>" value="1" <?php if($rows_1['PDA_CHK_APP_1']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_16_<?=$i?>" id="checkbox_16_<?=$i?>" value="1" <?php if($rows_1['PDA_CHK_APP_2']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_31_<?=$i?>" id="checkbox_31_<?=$i?>" value="1" <?php if($rows_1['PDA_CHK_ACC']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_17_<?=$i?>" id="checkbox_17_<?=$i?>" value="1" <?php if($rows_1['FDA_CHK_CRETR']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_18_<?=$i?>" id="checkbox_18_<?=$i?>" value="1" <?php if($rows_1['FDA_CHK_APP_1']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_19_<?=$i?>" id="checkbox_19_<?=$i?>" value="1" <?php if($rows_1['FDA_CHK_APP_2']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_20_<?=$i?>" id="checkbox_20_<?=$i?>" value="1" <?php if($rows_1['FDA_CHK_ACC']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_21_<?=$i?>" id="checkbox_21_<?=$i?>" value="1" <?php if($rows_1['OTHER_PAYMENT_CHK_CRETR']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_22_<?=$i?>" id="checkbox_22_<?=$i?>" value="1" <?php if($rows_1['OTHER_PAYMENT_CHK_APP_1']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_23_<?=$i?>" id="checkbox_23_<?=$i?>" value="1" <?php if($rows_1['OTHER_PAYMENT_CHK_APP_2']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_32_<?=$i?>" id="checkbox_32_<?=$i?>" value="1" <?php if($rows_1['OTHER_PAYMENT_CHK_ACC']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_24_<?=$i?>" id="checkbox_24_<?=$i?>" value="1" <?php if($rows_1['LAYTIME_CHK_CRETR']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_25_<?=$i?>" id="checkbox_25_<?=$i?>" value="1" <?php if($rows_1['LAYTIME_CHK_APP_1']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_26_<?=$i?>" id="checkbox_26_<?=$i?>" value="1" <?php if($rows_1['LAYTIME_CHK_APP_2']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_27_<?=$i?>" id="checkbox_27_<?=$i?>" value="1" <?php if($rows_1['LAYTIME_CHK_OPEN']==1){?>checked="checked"<?php }?> /></td>
												
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_33_<?=$i?>" id="checkbox_33_<?=$i?>" value="1" <?php if($rows_1['SOA_CHK_CRETR']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_34_<?=$i?>" id="checkbox_34_<?=$i?>" value="1" <?php if($rows_1['SOA_CHK_APP_1']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_35_<?=$i?>" id="checkbox_35_<?=$i?>" value="1" <?php if($rows_1['SOA_CHK_APP_2']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_36_<?=$i?>" id="checkbox_36_<?=$i?>" value="1" <?php if($rows_1['SOA_CHK_ACC']==1){?>checked="checked"<?php }?> /></td>

												
												<!-- <td></td> -->


												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_38_<?=$i?>" id="checkbox_38_<?=$i?>" value="1" <?php if($rows_1['GEN_CHK_CRETR']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_39_<?=$i?>" id="checkbox_39_<?=$i?>" value="1" <?php if($rows_1['GEN_CHK_APP_1']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_40_<?=$i?>" id="checkbox_40_<?=$i?>" value="1" <?php if($rows_1['GEN_CHK_APP_2']==1){?>checked="checked"<?php }?> /></td>
												<td align="center" style="max-width:38px;min-width:38px;width:38px;"><input type="checkbox" name="checkbox_41_<?=$i?>" id="checkbox_41_<?=$i?>" value="1" <?php if($rows_1['GEN_CHK_ACC']==1){?>checked="checked"<?php }?> /></td>



												<td><input type="checkbox" name="checkbox_37_<?=$i?>" id="checkbox_37_<?=$i?>" value="1" <?php if($rows_1['PAYMENT_UNLOCK']==1){?>checked="checked"<?php }?> /></td>


												<!-- <td align="center" style="max-width:30px;min-width:30px;width:35px;"><input type="checkbox" name="checkbox_37_<?=$i?>" id="checkbox_37_<?=$i?>" value="1" <?php if($rows_1['PAYMENT_UNLOCK']==1){?>checked="checked"<?php }?> /></td> -->

											</tr>
										<?php }?>
										</tbody>
									</table>
								
							</div>              
						</div><!-- /.col -->
					</div>
				    
					<div class="box-footer" align="center">
						<button type="submit" class="btn btn-primary btn-flat" onClick="return getValidate();">Submit</button><input type="hidden" name="action" value="submit" /><input type="hidden" name="txtROWID" id="txtROWID" value="<?=$num;?>"/>
					</div>
					</form>
				</div>
				<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
			
        </div><!-- ./wrapper -->
<?php $display->footer(); ?>
<?php $display->js(); ?>
<script src="../js/plugins/datatables/jquery.dataTables.js" type="text/javascript"></script>
<script src="../js/plugins/datatables/dataTables.bootstrap.js" type="text/javascript"></script>
<script src="../js/timer.js" type="text/javascript"></script>
<script src="https://unpkg.com/sticky-table-headers"></script>
<script type="text/javascript">
$(function() {
	$(".sidebar-toggle").click();
	// $("table").Datatable();
});

function getPdf(var1)
{
	
	location.href='allPdf.php?id=1&loginid='+var1;
}

function getPdf1(var1)
{
	
	location.href='allPdf.php?id=2&loginid='+var1;
}

</script>
    </body>
</html>