<?php 



session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");
$obj = new data();
$connect = $obj->funConnect();
$display = new display();
$display->logout_iu();


if(@$_REQUEST['action'] == 'submit')
{
    
 	$id = $obj->createCombinedSOAPayable();
	header('Location:./combined_payable_soa.php?id='.$id);
}
if (isset($_REQUEST['selYear']) && $_REQUEST['selYear']!="")
{
	$selYear = $_REQUEST['selYear'];
	$_SESSION['selYear'] = $selYear;
}
else
{
	$selYear = $_SESSION['selYear'];
}

if (isset($_REQUEST['selBType']) && $_REQUEST['selBType']!="")
{
	$selBType = $_SESSION['selBType'] = $_REQUEST['selBType'];
}
else if(isset($_SESSION['selBType']))
{
	$selBType = $_SESSION['selBType'];
}
else
{
	unset($_SESSION['selBType']);
	$selBType = '';
}

$pagename = basename($_SERVER['PHP_SELF']);
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<link href="../../css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
<style>
.table>thead>tr>th, .table>tbody>tr>th, .table>tfoot>tr>th, .table>thead>tr>td, .table>tbody>tr>td, .table>tfoot>tr>td
{
	padding:3px; 
}

form.cmxform label.error, label.error
{
	/* remove the next line when you have trouble in IE6 with labels in list */
	font-family:Verdana, Arial, Helvetica, sans-serif;
	font-size:10px;
	color: red;
	font-style:normal;
	font-weight:lighter;
	margin:5px;
	vertical-align:top;
}

table{border-collapse:separate;}
select{height:19px;}
.select
{
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 11px;
    font-weight: bold;
    color: #333333;
    /* color: #FBC763; */
    text-decoration: none;
    line-height: 13px;
	height:13px;
}

.input-text
{
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	font-weight: normal;
	color: #333333;
	text-decoration: none;
	/*text-transform:uppercase;
	line-height: 15px;*/
}

.input-textsmall
{
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 9px;
	font-weight: normal;
	color: #333333;
	text-decoration:none;
	text-transform:uppercase;
}

.input 
{
font-family: Verdana, Arial, Helvetica, sans-serif;
font-size: 10px;
font-weight: normal;
color: #333333;
text-decoration: none;
}
</style>
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(24); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        <i class="fa fa-dollar"></i>&nbsp;Combined SOA Payable&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="../"><i class="fa fa-home"></i> Home</a></li>
						<li class="active">Combined SOA Payable</li>
                    </ol>
                </section>
                <!-- Main content -->
                <section class="content">
				    <div align="right"><a href="combined_payable_soa.php"><button class="btn btn-info btn-flat">Back</button></a></div>
				    <div style="height:10px;">&nbsp;</div>
					<!--   content put here..................-->
					<div class="box box-primary">
						<h3 style=" text-align:center;">Combined SOA Payable</h3>
                        <form name="frm1" id="frm1" enctype="multipart/form-data" action="<?php echo $pagename;?>" method="post"/>
						<div class="row invoice-info" style="margin-left:7px;margin-right:7px;">

                            <div class="col-xs-3">
							     Vendor
								 <address>
                                 <select name="selVendor" id="selVendor" class="form-control" onChange="getSubmit();">
								   <?php echo $obj->getVendorListNewUpdate($_REQUEST['selVendor']);?>
                                  </select>  
								  </address>                
							</div><!-- /.col -->

							<div class="col-xs-3">
						YEAR
								 <address>
									
								  <select name="selYear" id="selYear" class="form-control" onChange="getSubmit();">
                                   <?php echo $obj->getYearList($selYear);?>
                                  </select>   
								  </address>                      
							</div><!-- /.col -->

							<div class="col-xs-6">&nbsp;
							</div>
							<div class="col-sm-3">
								&nbsp;<address>
								
								</address>
							</div>
						</div>
						
						<div class="box-body table-responsive" style="overflow:auto;">
							<table id="vessel_list" class="table table-bordered table-striped" style="width:1500px;">
							    <thead>
								 <tr>
								    <th></th>
									<th>Payment/SOA Date</th>
									<th><input type="text" name="txtPaymentDate" id="txtPaymentDate" class="form-control required" autocomplete="off" value="" placeholder="dd-mm-yyyy" required/></th>
									<th>Exchange Currency</th>
									<th><select  name="selExchangeCurrency" class="form-control" id="selExchangeCurrency" style="width:150px;" onChange="getExchangeAmountCal();"><?php $obj->getCurrencyList();?></select></th>
									<th>Exchange Date</th>
									<th><input type="text" name="txtExchangeDate" id="txtExchangeDate" class="form-control" autocomplete="off" value="" placeholder="dd-mm-yyyy"/></th>
									<th>Exchange Rate</th>
									<th><input type="text" name="txtExchangeRate" id="txtExchangeRate" class="form-control numeric" onKeyUp="getExchangeAmountCal();" autocomplete="off" value="1"/></th>
									<th>Banking Details</th>
									<th colspan="2"><select  name="selBankingDetails" class="form-control required" id="selBankingDetails" required></select></th>

									<th>Attachments</th>


								</tr>
								<tr>
								    <th>Select</th>
									<th align="left" valign="top" width="8%">Voyage No</th>
									<th align="left" valign="top" width="8%">Vessel Name</th>
									<th align="left" valign="top" width="8%">Cost Desc</th>
									<th align="left" valign="top" width="8%">Cost Type</th>
									<th align="left" valign="top" width="8%">Vendor Invoice Amount</th>
									<th align="left" valign="top" width="8%">Vendor Invoice Date</th>	
									<th align="left" valign="top" width="8%">Payment No</th>	
									<th align="left" valign="top" width="8%">Estimated Amount (USD)</th>
									<th align="left" valign="top" width="8%">Actual Amount (USD)</th>
									<th align="left" valign="top" width="8%">Exchange Amount (<span id="curr_span"></span>)</th>
									<th align="left" valign="top" width="12%">Remarks</th>
									<th align="left" valign="top" width="8%">Attachment</th>
								</tr>
								</thead>
								
								<tbody id="tbody1">

								<?php
	$vendorcode = $_REQUEST['selVendor'];
// $_REQUEST['selVendor']
								$query 		= mysql_query("select vendor_master_slave.RANDOMID, vendor_master_slave.SLAVEID, vendor_master_slave.NAME, vendor_master_slave.ADDRESS, vendor_master_slave.ACCOUNTNO, vendor_master_slave.IBAN_NO, vendor_master_slave.IBAN_REMARKS, vendor_master_slave.BANK_NAME, vendor_master_slave.BANK_ADDRESS, vendor_master_slave.SWIFT_CODE, vendor_master_slave.US_CORRES_BANK from vendor_master_slave inner join vendor_master on vendor_master.VENDORID=vendor_master_slave.VENDORID where vendor_master.CODE='".$vendorcode."'");
	$selectbox = "<option value = '' >---Select from list---</option>";
	while($rows = mysql_fetch_assoc($query))
	{
	     $key= $rows['RANDOMID'];
		 $value= $rows['NAME'].' - '.$rows['ACCOUNTNO'].' - '.$rows['IBAN_NO'];
		 $selectbox.="<option value='".$key."'>".$value."</option>";
	}
	
	$sno = 0;
	//----------------------------------------------Bunkers Nett Supply---------------------------------------------------------
	$query = "select COST, VENDORID, BUNKERGRADEID, (select COMID from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave8.FCAID) as COMID, (select VOYAGE_NO from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave8.FCAID) as VOYAGE_NO, (select VESSEL_IMO_ID from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave8.FCAID) as VESSEL_IMO_ID from freight_cost_estimete_slave8 where IDENTIFY='SUPPLY' and VENDORID='".$vendorcode."' and (select count(*) from request_master where request_master.NAME='Bunkers Nett Supply' and NAME_ID='2' and request_master.GRADEID=freight_cost_estimete_slave8.BUNKERGRADEID and request_master.VENDOR=freight_cost_estimete_slave8.VENDORID and request_master.COMID=(select COMID from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave8.FCAID))=0 and VENDORID!='' and FCAID IN (SELECT MAX(FCAID) FROM freight_cost_estimete_master where year(ADD_ON_DATE)='".$selYear."' GROUP BY COMID)";
	$qres = mysql_query($query) or die($query);
	while($qrows = mysql_fetch_assoc($qres))
	{   
	    $sno++;
	    echo '<tr>';
		echo '<td><input type="checkbox" name="chkSelect[]" id="chkSelect_'.$sno.'" value="'.$sno.'" class="checkbox"/></td>';
		echo '<td>'.$qrows['VOYAGE_NO'].'</td>';
		echo '<td>'.$obj->getVesselIMOData($qrows['VESSEL_IMO_ID'],"VESSEL_NAME").'</td>';
		echo '<td>'.$obj->getBunkerGradeBasedOnID($qrows['BUNKERGRADEID']).' Nett</td>';
		echo '<td>Bunkers Nett Supply<input type="hidden" id="NAME_ID_'.$sno.'" name="NAME_ID_'.$sno.'" value="2"/><input type="hidden" id="NAME_'.$sno.'" name="NAME_'.$sno.'" value="Bunkers Nett Supply"/><input type="hidden" id="GRADEID_'.$sno.'" name="GRADEID_'.$sno.'" value="'.$qrows['BUNKERGRADEID'].'"/><input type="hidden" id="ACCOUNT_TYPE_'.$sno.'" name="ACCOUNT_TYPE_'.$sno.'" value="Final"/><input type="hidden" id="PORT_'.$sno.'" name="PORT_'.$sno.'" value=""/><input type="hidden" id="VENDOR_'.$sno.'" name="VENDOR_'.$sno.'" value="'.$qrows['VENDORID'].'"/><input type="hidden" id="COMID_'.$sno.'" name="COMID_'.$sno.'" value="'.$qrows['COMID'].'"/></td>';
		echo '<td><input type="text" name="txtInvoiceAmount_'.$sno.'" id="txtInvoiceAmount_'.$sno.'" class="form-control numeric" autocomplete="off" value="" placeholder=""/></td>';
		echo '<td><input type="text" name="txtInvoiceDate_'.$sno.'" id="txtInvoiceDate_'.$sno.'" class="form-control" autocomplete="off" value="" placeholder="dd-mm-yyyy"/></td>';
		echo '<td><input type="text" name="txtPaymentNo_'.$sno.'" id="txtPaymentNo_'.$sno.'" class="form-control" autocomplete="off" value="" placeholder=""/></td>';
		echo '<td><input type="text" name="txtEstimatedAmt_'.$sno.'" id="txtEstimatedAmt_'.$sno.'" class="form-control" value="'.$qrows['COST'].'" readonly="true"/></td>';
		echo '<td><input type="text" name="txtActualAmt_'.$sno.'" id="txtActualAmt_'.$sno.'" class="form-control numeric" autocomplete="off" value="" placeholder="0.00" onKeyUp="getExchangeAmountCal();"/></td>';
		echo '<td><input type="text" name="txtActualExchangeAmt_'.$sno.'" id="txtActualExchangeAmt_'.$sno.'" class="form-control" readonly="true" autocomplete="off" value="" placeholder="0.00"/></td>';
		echo '<td><textarea class="form-control" name="txtRemarks_'.$sno.'" id="txtRemarks_'.$sno.'" cols="30" rows="2" placeholder="Remarks ..." ></textarea></td>';


		echo '<td><div class="btn btn-success btn-file btn-flat" data-toggle="tooltip">
		<i class="fa fa-paperclip"></i> Attachment
		<input type="file" class="form-control" multiple name="attach_file_'.$sno.'[]" id="attach_file_'.$sno.'" title="" data-widget="Attachment" data-toggle="tooltip" data-original-title="Attachment"/>
		</div><td/>';

		echo '</tr>';
	}
	
	//-----------------------------------------------Brokerage Commission------------------------------------------------------//
	$query = "select BROKAGE_AMT, VENDORID, (select COMID from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave4.FCAID) as COMID, (select VOYAGE_NO from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave4.FCAID) as VOYAGE_NO, (select VESSEL_IMO_ID from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave4.FCAID) as VESSEL_IMO_ID from freight_cost_estimete_slave4 where VENDORID='".$vendorcode."' and (select count(*) from request_master where request_master.NAME='Operational Costs (Others)' and NAME_ID='3' and request_master.GRADEID=0 and request_master.VENDOR=freight_cost_estimete_slave4.VENDORID and request_master.COMID=(select COMID from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave4.FCAID))=0 and VENDORID!='' and FCAID IN (SELECT MAX(FCAID) FROM freight_cost_estimete_master where  year(ADD_ON_DATE)='".$selYear."' GROUP BY COMID)";
	$qres = mysql_query($query) or die($query);
	while($qrows = mysql_fetch_assoc($qres))
	{   
	    $sno++;
	    echo '<tr>';
		echo '<td><input type="checkbox" name="chkSelect[]" id="chkSelect_'.$sno.'" value="'.$sno.'" class="checkbox"/></td>';
		echo '<td>'.$qrows['VOYAGE_NO'].'</td>';
		echo '<td>'.$obj->getVesselIMOData($qrows['VESSEL_IMO_ID'],"VESSEL_NAME").'</td>';
		echo '<td>Brokerage Commission</td>';
		echo '<td>Bunkers Nett Supply<input type="hidden" id="NAME_ID_'.$sno.'" name="NAME_ID_'.$sno.'" value="3"/><input type="hidden" id="NAME_'.$sno.'" name="NAME_'.$sno.'" value="Operational Costs (Others)"/><input type="hidden" id="GRADEID_'.$sno.'" name="GRADEID_'.$sno.'" value="0"/><input type="hidden" id="ACCOUNT_TYPE_'.$sno.'" name="ACCOUNT_TYPE_'.$sno.'" value="Final"/><input type="hidden" id="PORT_'.$sno.'" name="PORT_'.$sno.'" value=""/><input type="hidden" id="VENDOR_'.$sno.'" name="VENDOR_'.$sno.'" value="'.$qrows['VENDORID'].'"/><input type="hidden" id="COMID_'.$sno.'" name="COMID_'.$sno.'" value="'.$qrows['COMID'].'"/></td>';
		echo '<td><input type="text" name="txtInvoiceAmount_'.$sno.'" id="txtInvoiceAmount_'.$sno.'" class="form-control numeric" autocomplete="off" value="" placeholder=""/></td>';
		echo '<td><input type="text" name="txtInvoiceDate_'.$sno.'" id="txtInvoiceDate_'.$sno.'" class="form-control" autocomplete="off" value="" placeholder="dd-mm-yyyy"/></td>';
		echo '<td><input type="text" name="txtPaymentNo_'.$sno.'" id="txtPaymentNo_'.$sno.'" class="form-control" autocomplete="off" value="" placeholder=""/></td>';
		echo '<td><input type="text" name="txtEstimatedAmt_'.$sno.'" id="txtEstimatedAmt_'.$sno.'" class="form-control" value="'.$qrows['BROKAGE_AMT'].'" readonly="true"/></td>';
		echo '<td><input type="text" name="txtActualAmt_'.$sno.'" id="txtActualAmt_'.$sno.'" class="form-control numeric" autocomplete="off" value="" placeholder="0.00" onKeyUp="getExchangeAmountCal();"/></td>';
		echo '<td><input type="text" name="txtActualExchangeAmt_'.$sno.'" id="txtActualExchangeAmt_'.$sno.'" class="form-control" readonly="true" autocomplete="off" value="" placeholder="0.00"/></td>';
		echo '<td><textarea class="form-control" name="txtRemarks_'.$sno.'" id="txtRemarks_'.$sno.'" cols="30" rows="2" placeholder="Remarks ..." ></textarea></td>';

		echo '<td><div class="btn btn-success btn-file btn-flat" data-toggle="tooltip">
		<i class="fa fa-paperclip"></i> Attachment
		<input type="file" class="form-control" multiple name="attach_file_'.$sno.'[]" id="attach_file_'.$sno.'" title="" data-widget="Attachment" data-toggle="tooltip" data-original-title="Attachment"/>
		</div><td/>';

		echo '</tr>';
	}
	
	
	//------------------------------------------------------Operational Costs - Other Expenses------------------------------------------------------------
	$query = "select RAW_AMOUNT, VENDORID, RANDOMID, IDENTY_ID, (select COMID from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave3.FCAID) as COMID, (select VOYAGE_NO from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave3.FCAID) as VOYAGE_NO, (select VESSEL_IMO_ID from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave3.FCAID) as VESSEL_IMO_ID from freight_cost_estimete_slave3 where IDENTIFY='ORC' and VENDORID='".$vendorcode."' and (select count(*) from request_master where request_master.NAME='Operational Costs' and NAME_ID='3' and request_master.GRADEID=freight_cost_estimete_slave3.RANDOMID and request_master.VENDOR=freight_cost_estimete_slave3.VENDORID and request_master.COMID=(select COMID from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave3.FCAID))=0 and VENDORID!='' and FCAID IN (SELECT MAX(FCAID) FROM freight_cost_estimete_master where year(ADD_ON_DATE)='".$selYear."' GROUP BY COMID)";
	$qres = mysql_query($query) or die($query);
	while($qrows = mysql_fetch_assoc($qres))
	{   
	    $sno++;
	    echo '<tr>';
		echo '<td><input type="checkbox" name="chkSelect[]" id="chkSelect_'.$sno.'" value="'.$sno.'" class="checkbox"/></td>';
		echo '<td>'.$qrows['VOYAGE_NO'].'</td>';
		echo '<td>'.$obj->getVesselIMOData($qrows['VESSEL_IMO_ID'],"VESSEL_NAME").'</td>';
		echo '<td>'.$obj->getOwnerRelatedCostNameBasedOnID($qrows['IDENTY_ID']).'</td>';
		echo '<td>Operational Costs<input type="hidden" id="NAME_ID_'.$sno.'" name="NAME_ID_'.$sno.'" value="3"/><input type="hidden" id="NAME_'.$sno.'" name="NAME_'.$sno.'" value="Operational Costs"/><input type="hidden" id="GRADEID_'.$sno.'" name="GRADEID_'.$sno.'" value="'.$qrows['RANDOMID'].'"/><input type="hidden" id="ACCOUNT_TYPE_'.$sno.'" name="ACCOUNT_TYPE_'.$sno.'" value="Final"/><input type="hidden" id="PORT_'.$sno.'" name="PORT_'.$sno.'" value=""/><input type="hidden" id="VENDOR_'.$sno.'" name="VENDOR_'.$sno.'" value="'.$qrows['VENDORID'].'"/><input type="hidden" id="COMID_'.$sno.'" name="COMID_'.$sno.'" value="'.$qrows['COMID'].'"/></td>';
		echo '<td><input type="text" name="txtInvoiceAmount_'.$sno.'" id="txtInvoiceAmount_'.$sno.'" class="form-control numeric" autocomplete="off" value="" placeholder=""/></td>';
		echo '<td><input type="text" name="txtInvoiceDate_'.$sno.'" id="txtInvoiceDate_'.$sno.'" class="form-control" autocomplete="off" value="" placeholder="dd-mm-yyyy"/></td>';
		echo '<td><input type="text" name="txtPaymentNo_'.$sno.'" id="txtPaymentNo_'.$sno.'" class="form-control" autocomplete="off" value="" placeholder=""/></td>';
		echo '<td><input type="text" name="txtEstimatedAmt_'.$sno.'" id="txtEstimatedAmt_'.$sno.'" class="form-control" value="'.$qrows['RAW_AMOUNT'].'" readonly="true"/></td>';
		echo '<td><input type="text" name="txtActualAmt_'.$sno.'" id="txtActualAmt_'.$sno.'" class="form-control numeric" autocomplete="off" value="" placeholder="0.00" onKeyUp="getExchangeAmountCal();"/></td>';
		echo '<td><input type="text" name="txtActualExchangeAmt_'.$sno.'" id="txtActualExchangeAmt_'.$sno.'" class="form-control" readonly="true" autocomplete="off" value="" placeholder="0.00"/></td>';
		echo '<td><textarea class="form-control" name="txtRemarks_'.$sno.'" id="txtRemarks_'.$sno.'" cols="30" rows="2" placeholder="Remarks ..." ></textarea></td>';

		echo '<td><div class="btn btn-success btn-file btn-flat" data-toggle="tooltip">
		<i class="fa fa-paperclip"></i> Attachment
		<input type="file" class="form-control" multiple name="attach_file_'.$sno.'[]" id="attach_file_'.$sno.'" title="" data-widget="Attachment" data-toggle="tooltip" data-original-title="Attachment"/>
		</div><td/>';

		echo '</tr>';
	}
	
	
	//-----------------------------------------------------Port costs------------------
	if($vendorcode!='')
	{
		$query = "select RANDOMID, FROM_PORT, LOAD_PORT_COST, PORT_COSTLP_VENDOR, TO_PORT, DISC_PORT_COST, PORT_COSTDP_VENDOR, TRANSIT_PORT_COST, PORT_COSTTP_VENDOR, (select COMID from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave1.FCAID) as COMID, (select VOYAGE_NO from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave1.FCAID) as VOYAGE_NO, (select VESSEL_IMO_ID from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave1.FCAID) as VESSEL_IMO_ID from freight_cost_estimete_slave1 where (PORT_COSTLP_VENDOR='".$vendorcode."' or PORT_COSTDP_VENDOR='".$vendorcode."' or PORT_COSTTP_VENDOR='".$vendorcode."') and ((select count(*) from request_master where request_master.NAME='Load Port Costs' and NAME_ID='5' and request_master.GRADEID=freight_cost_estimete_slave1.FROM_PORT and request_master.VENDOR=freight_cost_estimete_slave1.PORT_COSTLP_VENDOR and request_master.COMID=(select COMID from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave1.FCAID)) or (select count(*) from request_master where request_master.NAME='Discharge Port Costs' and NAME_ID='5' and request_master.GRADEID=freight_cost_estimete_slave1.TO_PORT and request_master.VENDOR=freight_cost_estimete_slave1.PORT_COSTDP_VENDOR and request_master.COMID=(select COMID from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave1.FCAID)) or (select count(*) from request_master where request_master.NAME='Transit Port Costs' and NAME_ID='5' and request_master.GRADEID=freight_cost_estimete_slave1.FROM_PORT and request_master.VENDOR=freight_cost_estimete_slave1.PORT_COSTTP_VENDOR and request_master.COMID=(select COMID from freight_cost_estimete_master where freight_cost_estimete_master.FCAID=freight_cost_estimete_slave1.FCAID))) and (PORT_COSTLP_VENDOR!='' or PORT_COSTDP_VENDOR!='' or PORT_COSTTP_VENDOR!='') and FCAID IN (SELECT MAX(FCAID) FROM freight_cost_estimete_master where year(ADD_ON_DATE)='".$selYear."' GROUP BY COMID)";

		// echo $query;	

		
		$qres = mysql_query($query) or die($query);
		while($qrows = mysql_fetch_assoc($qres))
		{   
			if($qrows['LOAD_PORT_COST']>0 && $qrows['PORT_COSTLP_VENDOR']==$vendorcode)
			{ 
				$sno++;
				echo '<tr>';
				echo '<td><input type="checkbox" name="chkSelect[]" id="chkSelect_'.$sno.'" value="'.$sno.'" class="checkbox"/></td>';
				echo '<td>'.$qrows['VOYAGE_NO'].'</td>';
				echo '<td>'.$obj->getVesselIMOData($qrows['VESSEL_IMO_ID'],"VESSEL_NAME").'</td>';
				echo '<td>'.$obj->getPortNameBasedOnIDForCoa($qrows['FROM_PORT']).'</td>';
				echo '<td>Load Port Costs<input type="hidden" id="NAME_ID_'.$sno.'" name="NAME_ID_'.$sno.'" value="5"/><input type="hidden" id="NAME_'.$sno.'" name="NAME_'.$sno.'" value="Load Port Costs"/><input type="hidden" id="GRADEID_'.$sno.'" name="GRADEID_'.$sno.'" value="'.$qrows['FROM_PORT'].'"/><input type="hidden" id="ACCOUNT_TYPE_'.$sno.'" name="ACCOUNT_TYPE_'.$sno.'" value="Final"/><input type="hidden" id="PORT_'.$sno.'" name="PORT_'.$sno.'" value="Load"/><input type="hidden" id="VENDOR_'.$sno.'" name="VENDOR_'.$sno.'" value="'.$qrows['PORT_COSTLP_VENDOR'].'"/><input type="hidden" id="COMID_'.$sno.'" name="COMID_'.$sno.'" value="'.$qrows['COMID'].'"/></td>';
				echo '<td><input type="text" name="txtInvoiceAmount_'.$sno.'" id="txtInvoiceAmount_'.$sno.'" class="form-control numeric" autocomplete="off" value="" placeholder=""/></td>';
				echo '<td><input type="text" name="txtInvoiceDate_'.$sno.'" id="txtInvoiceDate_'.$sno.'" class="form-control" autocomplete="off" value="" placeholder="dd-mm-yyyy"/></td>';
				echo '<td><input type="text" name="txtPaymentNo_'.$sno.'" id="txtPaymentNo_'.$sno.'" class="form-control" autocomplete="off" value="" placeholder=""/></td>';
				echo '<td><input type="text" name="txtEstimatedAmt_'.$sno.'" id="txtEstimatedAmt_'.$sno.'" class="form-control" value="'.$qrows['LOAD_PORT_COST'].'" readonly="true"/></td>';
				echo '<td><input type="text" name="txtActualAmt_'.$sno.'" id="txtActualAmt_'.$sno.'" class="form-control numeric" autocomplete="off" value="" placeholder="0.00" onKeyUp="getExchangeAmountCal();"/></td>';
				echo '<td><input type="text" name="txtActualExchangeAmt_'.$sno.'" id="txtActualExchangeAmt_'.$sno.'" class="form-control" readonly="true" autocomplete="off" value="" placeholder="0.00"/></td>';
				echo '<td><textarea class="form-control" name="txtRemarks_'.$sno.'" id="txtRemarks_'.$sno.'" cols="30" rows="2" placeholder="Remarks ..." ></textarea></td>';

				echo '<td><div class="btn btn-success btn-file btn-flat" data-toggle="tooltip">
		<i class="fa fa-paperclip"></i> Attachment
		<input type="file" class="form-control" multiple name="attach_file_'.$sno.'[]" id="attach_file_'.$sno.'" title="" data-widget="Attachment" data-toggle="tooltip" data-original-title="Attachment"/>
		</div><td/>';

				echo '</tr>';
			}
			
			if($qrows['DISC_PORT_COST']>0 && $qrows['PORT_COSTDP_VENDOR']==$vendorcode)
			{ 
				$sno++;
				echo '<tr>';
				echo '<td><input type="checkbox" name="chkSelect[]" id="chkSelect_'.$sno.'" value="'.$sno.'" class="checkbox"/></td>';
				echo '<td>'.$qrows['VOYAGE_NO'].'</td>';
				echo '<td>'.$obj->getVesselIMOData($qrows['VESSEL_IMO_ID'],"VESSEL_NAME").'</td>';
				echo '<td>'.$obj->getPortNameBasedOnIDForCoa($qrows['TO_PORT']).'</td>';
				echo '<td>Discharge Port Costs<input type="hidden" id="NAME_ID_'.$sno.'" name="NAME_ID_'.$sno.'" value="5"/><input type="hidden" id="NAME_'.$sno.'" name="NAME_'.$sno.'" value="Discharge Port Costs"/><input type="hidden" id="GRADEID_'.$sno.'" name="GRADEID_'.$sno.'" value="'.$qrows['TO_PORT'].'"/><input type="hidden" id="ACCOUNT_TYPE_'.$sno.'" name="ACCOUNT_TYPE_'.$sno.'" value="Final"/><input type="hidden" id="PORT_'.$sno.'" name="PORT_'.$sno.'" value="Discharge"/><input type="hidden" id="VENDOR_'.$sno.'" name="VENDOR_'.$sno.'" value="'.$qrows['PORT_COSTDP_VENDOR'].'"/><input type="hidden" id="COMID_'.$sno.'" name="COMID_'.$sno.'" value="'.$qrows['COMID'].'"/></td>';
				echo '<td><input type="text" name="txtInvoiceAmount_'.$sno.'" id="txtInvoiceAmount_'.$sno.'" class="form-control numeric" autocomplete="off" value="" placeholder=""/></td>';
				echo '<td><input type="text" name="txtInvoiceDate_'.$sno.'" id="txtInvoiceDate_'.$sno.'" class="form-control" autocomplete="off" value="" placeholder="dd-mm-yyyy"/></td>';
				echo '<td><input type="text" name="txtPaymentNo_'.$sno.'" id="txtPaymentNo_'.$sno.'" class="form-control" autocomplete="off" value="" placeholder=""/></td>';
				echo '<td><input type="text" name="txtEstimatedAmt_'.$sno.'" id="txtEstimatedAmt_'.$sno.'" class="form-control" value="'.$qrows['DISC_PORT_COST'].'" readonly="true"/></td>';
				echo '<td><input type="text" name="txtActualAmt_'.$sno.'" id="txtActualAmt_'.$sno.'" class="form-control numeric" autocomplete="off" value="" placeholder="0.00" onKeyUp="getExchangeAmountCal();"/></td>';
				echo '<td><input type="text" name="txtActualExchangeAmt_'.$sno.'" id="txtActualExchangeAmt_'.$sno.'" class="form-control" readonly="true" autocomplete="off" value="" placeholder="0.00"/></td>';
				echo '<td><textarea class="form-control" name="txtRemarks_'.$sno.'" id="txtRemarks_'.$sno.'" cols="30" rows="2" placeholder="Remarks ..." ></textarea></td>';
				
				echo '<td><div class="btn btn-success btn-file btn-flat" data-toggle="tooltip">
				<i class="fa fa-paperclip"></i> Attachment
				<input type="file" class="form-control" multiple name="attach_file_'.$sno.'[]" id="attach_file_'.$sno.'" title="" data-widget="Attachment" data-toggle="tooltip" data-original-title="Attachment"/>
				</div><td/>';

				echo '</tr>';
			}
			
			if($qrows['TRANSIT_PORT_COST']>0 && $qrows['PORT_COSTTP_VENDOR']==$vendorcode)
			{ 
				$sno++;
				echo '<tr>';
				echo '<td><input type="checkbox" name="chkSelect[]" id="chkSelect_'.$sno.'" value="'.$sno.'" class="checkbox"/></td>';
				echo '<td>'.$qrows['VOYAGE_NO'].'</td>';
				echo '<td>'.$obj->getVesselIMOData($qrows['VESSEL_IMO_ID'],"VESSEL_NAME").'</td>';
				echo '<td>'.$obj->getPortNameBasedOnIDForCoa($qrows['FROM_PORT']).'</td>';
				echo '<td>Transit Port Costs<input type="hidden" id="NAME_ID_'.$sno.'" name="NAME_ID_'.$sno.'" value="5"/><input type="hidden" id="NAME_'.$sno.'" name="NAME_'.$sno.'" value="Transit Port Costs"/><input type="hidden" id="GRADEID_'.$sno.'" name="GRADEID_'.$sno.'" value="'.$qrows['FROM_PORT'].'"/><input type="hidden" id="ACCOUNT_TYPE_'.$sno.'" name="ACCOUNT_TYPE_'.$sno.'" value="Final"/><input type="hidden" id="PORT_'.$sno.'" name="PORT_'.$sno.'" value="Transit"/><input type="hidden" id="VENDOR_'.$sno.'" name="VENDOR_'.$sno.'" value="'.$qrows['PORT_COSTTP_VENDOR'].'"/><input type="hidden" id="COMID_'.$sno.'" name="COMID_'.$sno.'" value="'.$qrows['COMID'].'"/></td>';
				echo '<td><input type="text" name="txtInvoiceAmount_'.$sno.'" id="txtInvoiceAmount_'.$sno.'" class="form-control numeric" autocomplete="off" value="" placeholder=""/></td>';
				echo '<td><input type="text" name="txtInvoiceDate_'.$sno.'" id="txtInvoiceDate_'.$sno.'" class="form-control" autocomplete="off" value="" placeholder="dd-mm-yyyy"/></td>';
				echo '<td><input type="text" name="txtPaymentNo_'.$sno.'" id="txtPaymentNo_'.$sno.'" class="form-control" autocomplete="off" value="" placeholder=""/></td>';
				echo '<td><input type="text" name="txtEstimatedAmt_'.$sno.'" id="txtEstimatedAmt_'.$sno.'" class="form-control" value="'.$qrows['TRANSIT_PORT_COST'].'" readonly="true"/></td>';
				echo '<td><input type="text" name="txtActualAmt_'.$sno.'" id="txtActualAmt_'.$sno.'" class="form-control numeric" autocomplete="off" value="" placeholder="0.00" onKeyUp="getExchangeAmountCal();"/></td>';
				echo '<td><input type="text" name="txtActualExchangeAmt_'.$sno.'" id="txtActualExchangeAmt_'.$sno.'" class="form-control" readonly="true" autocomplete="off" value="" placeholder="0.00"/></td>';
				echo '<td><textarea class="form-control" name="txtRemarks_'.$sno.'" id="txtRemarks_'.$sno.'" cols="30" rows="2" placeholder="Remarks ..." ></textarea></td>';

				echo '<td><div class="btn btn-success btn-file btn-flat" data-toggle="tooltip">
		<i class="fa fa-paperclip"></i> Attachment
		<input type="file" class="form-control" multiple name="attach_file_'.$sno.'[]" id="attach_file_'.$sno.'" title="" data-widget="Attachment" data-toggle="tooltip" data-original-title="Attachment"/>
		</div><td/>';

				echo '</tr>';
			}
		}
	}	
	echo '<tr>';
	echo '<td colspan="10"><input type="hidden" id="txthddnBankingdetails" name="txthddnBankingdetails" value="'.$selectbox.'"/><input type="hidden" id="txtrowsid" name="txtrowsid" value="'.$sno.'"/></td>';
	echo '</tr>';?>
								</tbody>
								<tfoot>
									<tr>
									   <td colspan="7"></td>
									   <td><strong>Total</strong></td>
									   <td><input type="text" name="txtTotalEstAmount" readonly="true" id="txtTotalEstAmount" class="form-control" placeholder="0.00" autocomplete="off" value=""/></td>
									   <td><input type="text" name="txtTotalAmount" readonly="true" id="txtTotalAmount" class="form-control" placeholder="0.00" autocomplete="off" value=""/></td>
									   <td><input type="text" name="txtTotalExAmount" readonly="true" id="txtTotalExAmount" class="form-control" placeholder="0.00" autocomplete="off" value=""/></td>
									   <td></td>
									   <td></td> 
									   
									</tr>
								</tfoot>
							</table>
						</div>
						
						<div class="row" style="padding-right:10px; padding-left:10px; margin-bottom:10px;">
							 <div class="col-xs-4" margin-bottom:30px;>
								 Attachment<br>
								<div class="btn btn-success btn-file btn-flat" data-toggle="tooltip">
								<i class="fa fa-paperclip"></i> Attachment
								<input type="file" class="form-control" multiple name="attach_file[]" id="attach_file" title="" data-widget="Attachment" data-toggle="tooltip" data-original-title="Attachment"/>
								</div>
							 
							 </div>
							 <div class="col-xs-4" margin-bottom:30px;>
								 Remarks<br/>
								<textarea name="txtRemarks" id="txtRemarks" class="form-control autosize" rows="3" placeholder="Remarks"></textarea>
							 
							 </div>
						</div>
						<div class="row" style="padding-right:10px; padding-left:10px; margin-bottom:50px;">
							 <div class="col-xs-12" style="margin-bottom:30px; text-align:center;">
								<button type="submit" data-toggle="modal" data-target="#compose-modal" class="btn btn-primary" onClick="return getSelect();" >Submit</button>
								<input type="hidden" name="action" id="action" value="submit" />
							 </div>
						 </div>
						 <div class="row" style="padding-right:10px; padding-left:10px; margin-bottom:50px;">
						 <div class="col-xs-4" margin-bottom:30px;></div>
						 </div>
						</form>
					</div>
					<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
<?php $display->footer(); ?>
<?php $display->js(); ?>
<link href="../../css/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
<script src='../../js/plugins/datatables/jquery.dataTables.min.js'></script>
<script src="../../js/timer.js" type="text/javascript"></script>
<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<script language="JavaScript" type="text/javascript" src="../../js/jquery.numeric.js"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>
<link href="../../css/datepicker/datepicker.css" rel="stylesheet" type="text/css" />
<script src="../../js/bootstrap-datepicker.js" type="text/javascript"></script>
<script type="text/javascript">
$(document).ready(function(){


	// $("#selBankingDetails").html('');
	// $("#selBankingDetails").html($("#txthddnBankingdetails").val());


    $(".sidebar-toggle").click();
	$("#txtPaymentDate,#txtExchangeDate").datepicker({
		format: 'dd-mm-yyyy',
		autoclose: true
	});
	getdata1();
	$(".numeric").numeric();
	$("#frm1").validate({
		rules: {
			txtPaymentDate: "required",
			selBankingDetails: "required",
			selVendor: "required"
			},
		messages: {	
			txtPaymentDate : "*",
			selBankingDetails : "*",
			selVendor: "*"
			},
			submitHandler: function(form)  {
				jConfirm('Are you sure you want to create Combined SOA Payable?', 'Confirmation', function(r) {
				if(r){
					jAlert('<b style="font-size:25px;">Please wait . . .</b><br><br><img src="../../img/loading.gif"  />', 'Alert');
					$("#popup_container").css({"background": "rgba(255,255,255,0.1)","border": "10px solid rgba(255,255,255,0.1)","width": "100%"});
					$("#popup_content").css({"background":"none","text-align":"center"});
					$("#popup_ok,#popup_title").hide();  
					form.submit();
				}
				else{return false;}
				});
			}
	});
});

function getSubmit()
{ 
    $("#action").val("");
	 
	document.frm1.submit();
}



function getString(var1)
{
  var var2 = var1.split('-');  
  return var2[2]+'/'+var2[1]+'/'+var2[0];
}



function getdata1(){


	// $('#tbody1').html("");
		// $('#tbody1').html(html);
		$("#selBankingDetails").html('');
		$("#selBankingDetails").html($("#txthddnBankingdetails").val());
		$('[id^=txtInvoiceDate_]').datepicker({
			format: 'dd-mm-yyyy',
			autoclose: true
		});
		
		$("[id^=chkSelect_]").iCheck({
			checkboxClass: 'icheckbox_minimal',
			radioClass: 'iradio_minimal'
		});
		
		$('[id^=chkSelect_]').on('ifChecked', function () { 
		   $(this).parents('tr').css( "background-color", "#c2dee5" );
		   $(this).parents('tr').find( "#txtPaymentNo_"+$(this).val() ).addClass('required');
		   $(this).parents('tr').find( "#txtActualAmt_"+$(this).val() ).addClass('required');
		   $(this).parents('tr').find( "#txtRemarks_"+$(this).val() ).addClass('required');
		   getExchangeAmountCal();
		});
		 
		$('[id^=chkSelect_]').on('ifUnchecked', function () { 
		   $(this).parents('tr').css( "background-color", "white" );
		   $(this).parents('tr').find( "#txtPaymentNo_"+$(this).val() ).removeClass("required").focus();
		   $(this).parents('tr').find( "#txtActualAmt_"+$(this).val() ).removeClass("required").focus();
		   $(this).parents('tr').find( "#txtRemarks_"+$(this).val() ).removeClass("required").focus();
		   $(this).focus();
		   getExchangeAmountCal();
		});
		
		getExchangeAmountCal();
		$(".numeric").numeric();
}

function getData()
{
	$('#tbody1').html("");
	$('#tbody1').html('<tr><td align="center" colspan="11"><img src="../../img/loading.gif" /></span></td></tr>');

	var data = 'selVendor='+$("#selVendor").val();
	$.ajax({
        type: "POST",
        enctype: 'multipart/form-data',
        url: "options.php?id=111",
        data: data,
        processData: false,
        cache: false,
        async: true,
        timeout: 800000,

		success: function (html) {
		$('#tbody1').html("");
		$('#tbody1').html(html);
		$("#selBankingDetails").html('');
		$("#selBankingDetails").html($("#txthddnBankingdetails").val());
		$('[id^=txtInvoiceDate_]').datepicker({
			format: 'dd-mm-yyyy',
			autoclose: true
		});
		
		$("[id^=chkSelect_]").iCheck({
			checkboxClass: 'icheckbox_minimal',
			radioClass: 'iradio_minimal'
		});
		
		$('[id^=chkSelect_]').on('ifChecked', function () { 
		   $(this).parents('tr').css( "background-color", "#c2dee5" );
		   $(this).parents('tr').find( "#txtPaymentNo_"+$(this).val() ).addClass('required');
		   $(this).parents('tr').find( "#txtActualAmt_"+$(this).val() ).addClass('required');
		   $(this).parents('tr').find( "#txtRemarks_"+$(this).val() ).addClass('required');
		   getExchangeAmountCal();
		});
		 
		$('[id^=chkSelect_]').on('ifUnchecked', function () { 
		   $(this).parents('tr').css( "background-color", "white" );
		   $(this).parents('tr').find( "#txtPaymentNo_"+$(this).val() ).removeClass("required").focus();
		   $(this).parents('tr').find( "#txtActualAmt_"+$(this).val() ).removeClass("required").focus();
		   $(this).parents('tr').find( "#txtRemarks_"+$(this).val() ).removeClass("required").focus();
		   $(this).focus();
		   getExchangeAmountCal();
		});
		
		getExchangeAmountCal();
		$(".numeric").numeric();
	}
	});


	// $.post("options.php?id=111",{selVendor:""+$("#selVendor").val()+""}, function(html) {
	// 	$('#tbody1').html("");
	// 	$('#tbody1').html(html);
	// 	$("#selBankingDetails").html('');
	// 	$("#selBankingDetails").html($("#txthddnBankingdetails").val());
	// 	$('[id^=txtInvoiceDate_]').datepicker({
	// 		format: 'dd-mm-yyyy',
	// 		autoclose: true
	// 	});
		
	// 	$("[id^=chkSelect_]").iCheck({
	// 		checkboxClass: 'icheckbox_minimal',
	// 		radioClass: 'iradio_minimal'
	// 	});
		
	// 	$('[id^=chkSelect_]').on('ifChecked', function () { 
	// 	   $(this).parents('tr').css( "background-color", "#c2dee5" );
	// 	   $(this).parents('tr').find( "#txtPaymentNo_"+$(this).val() ).addClass('required');
	// 	   $(this).parents('tr').find( "#txtActualAmt_"+$(this).val() ).addClass('required');
	// 	   $(this).parents('tr').find( "#txtRemarks_"+$(this).val() ).addClass('required');
	// 	   getExchangeAmountCal();
	// 	});
		 
	// 	$('[id^=chkSelect_]').on('ifUnchecked', function () { 
	// 	   $(this).parents('tr').css( "background-color", "white" );
	// 	   $(this).parents('tr').find( "#txtPaymentNo_"+$(this).val() ).removeClass("required").focus();
	// 	   $(this).parents('tr').find( "#txtActualAmt_"+$(this).val() ).removeClass("required").focus();
	// 	   $(this).parents('tr').find( "#txtRemarks_"+$(this).val() ).removeClass("required").focus();
	// 	   $(this).focus();
	// 	   getExchangeAmountCal();
	// 	});
		
	// 	getExchangeAmountCal();
	// 	$(".numeric").numeric();
	// });
}

function getExchangeAmountCal()
{
    var estimatedtotal = 0;
	var actualtotal = 0;
	var actualexchangetotal = 0;
    if($("#selExchangeCurrency").val()!='')
	{
	    $("#curr_span").text($("#selExchangeCurrency").val());
		var exchangerate = parseFloat($("#txtExchangeRate").val());
		if(isNaN(exchangerate)){exchangerate = 1;}
		$('[id^=chkSelect_]').each(function() {
			if($(this).is(":checked")) {
				var chkvalue = $(this).val();
				
				var txtEstimatedAmt = parseFloat($("#txtEstimatedAmt_"+chkvalue).val());
				if(isNaN(txtEstimatedAmt)){txtEstimatedAmt = 0;}
				
				var txtActualAmt = parseFloat($("#txtActualAmt_"+chkvalue).val());
				if(isNaN(txtActualAmt)){txtActualAmt = 0;}
				
				var txtActualExchangeAmt = parseFloat(txtActualAmt)*parseFloat(exchangerate);
				if(isNaN(txtActualExchangeAmt)){txtActualExchangeAmt = 0;}
				$("#txtActualExchangeAmt_"+chkvalue).val(txtActualExchangeAmt.toFixed(2));
				
				estimatedtotal = parseFloat(estimatedtotal) + parseFloat(txtEstimatedAmt);
				actualtotal = parseFloat(actualtotal) + parseFloat(txtActualAmt);
				actualexchangetotal = parseFloat(actualexchangetotal) + parseFloat(txtActualExchangeAmt);
			}
		});
	}
	else
	{
		$("#curr_span").text('');
		var exchangerate = 0;
		$('[id^=chkSelect_]').each(function() {
			if($(this).is(":checked")) {
				var chkvalue = $(this).val();
				
				var txtEstimatedAmt = parseFloat($("#txtEstimatedAmt_"+chkvalue).val());
				if(isNaN(txtEstimatedAmt)){txtEstimatedAmt = 0;}
				
				var txtActualAmt = parseFloat($("#txtActualAmt_"+chkvalue).val());
				if(isNaN(txtActualAmt)){txtActualAmt = 0;}
				
				var txtActualExchangeAmt = parseFloat(txtActualAmt)*parseFloat(exchangerate);
				if(isNaN(txtActualExchangeAmt)){txtActualExchangeAmt = 0;}
				$("#txtActualExchangeAmt_"+chkvalue).val(txtActualExchangeAmt.toFixed(2));
				
				estimatedtotal = parseFloat(estimatedtotal) + parseFloat(txtEstimatedAmt);
				actualtotal = parseFloat(actualtotal) + parseFloat(txtActualAmt);
				actualexchangetotal = parseFloat(actualexchangetotal) + parseFloat(txtActualExchangeAmt);
			}
		});
		
	}
	$("#txtTotalEstAmount").val(estimatedtotal.toFixed(2));
	$("#txtTotalAmount").val(actualtotal.toFixed(2));
	$("#txtTotalExAmount").val(actualexchangetotal.toFixed(2));
}

function getSelect()
{
    
    // console.log('dpk');
    
    // return false//;
    
    
	var anyBoxesChecked = false;
	var chkArr = Array();
	var j = 0;
    $('[id^=chkSelect_]').each(function() {
        if ($(this).is(":checked")) {
			chkArr[j] = $(this).val();
            anyBoxesChecked = true;
			j = j + 1;
        }
    });
 
    if (anyBoxesChecked == false) {
       jAlert('Please select at least one record', 'alert');
      return false;
    } 
	else
	{  
	    

	    var validationResponse = $('#frm1').valid();
	    

	    if(validationResponse) {
		document.frm1.submit();
		} else {
		jAlert('Please Fill Required fields.', 'alert');
		return false;
	}
	}
}
 
</script>
		
</body>
</html>