<?php 
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");
$obj = new data();
$connect = $obj->funConnect();
$display = new display();
$display->logout_iu();
$pagename = basename($_SERVER['PHP_SELF']);
$msg = NULL;
if(isset($_REQUEST['selBType']) && $_REQUEST['selBType']!="")
{
	$selBType = $_REQUEST['selBType'];
}
else if(isset($_SESSION['selBType']))
{
	$selBType = $_SESSION['selBType'];
}
else
{
	$selBType = '';
}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<link href="../../css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(7,3); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        <i class="fa fa-bar-chart-o"></i>&nbsp;Reports&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                         <li><a href="../"><i class="fa fa-home"></i> Home</a></li>
                         <li>Reports</li>
						 <li>Accounts</li>
						 <li class="active">Payable & Receivables Report</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
				<!--   content put here..................-->
				<div class="box box-primary">
					<h3 style=" text-align:center;">Payable & Receivables Report</h3>
					<div class="row invoice-info" style="margin-left:10px;">
                        <div class="col-sm-2 invoice-col">
                           Vendor/Client
                            <address>
								<select  name="selVendor" class="select form-control" id="selVendor">
									<?php $obj->getVendorListNewUpdate();?>
								</select>
							</address>
						</div>
                        <div class="col-sm-2 invoice-col">
                             Business Type
                             <select name="selBType" id="selBType" class="form-control" >
                               <?php echo $obj->getBusinessTypeList1($selBType);?>
                              </select>                  
                        </div><!-- /.col -->
						<div class="col-sm-2 invoice-col">
                            Spot/COA/TC
                             <select name="selSpotCOA" id="selSpotCOA" class="form-control" onChange="getshowselectbox();">
                               <?php echo $obj->getCOASpotTCList();?>
                              </select>                  
                        </div><!-- /.col -->
						<div class="col-sm-4 invoice-col">
                           Nomination IDs - Voyage No./TC No.
                            <address id="voyagediv">
								<select data-placeholder="Choose Voyage No..." class="input-text chzn-select" style="width:300px;" multiple name="selVoyageNo[]" id="selVoyageNo"><?php $obj->getVoyageNoList();?></select>
							</address>
							<address id="tcnodiv" style="display:none;">
								<select data-placeholder="Choose TC No..." class="input-text chzn-select" style="width:300px;" multiple name="selTCNo[]" id="selTCNo"><?php $obj->getTCNoList();?></select>
							</address>
						</div>
						<div class="col-sm-2 invoice-col">
							&nbsp;
                            <address>
								<button class="btn btn-info btn-flat" id="inner-login-button" type="button" onClick="getData()">Search</button>
							</address>
						</div>
					</div>
					<div align="right">
						<a href="#" title="Pdf" onClick="getExcel();"><button class="btn btn-default" style="margin-right: 5px;" type="button"><i class="fa fa-download"></i>Generate Excel</button></a>
                        <!--<a href="#" title="Pdf" onClick="getPdf();"><button class="btn btn-default" style="margin-right: 5px;" type="button"><i class="fa fa-download"></i>Generate PDF</button></a>-->
					</div>
					<div style="height:10px;"></div>
					<div id="DivOwner" class="box-body table-responsive" >
						<table id="aging_receivables" class="table table-bordered table-striped dataTable" >
							<thead>
								<tr>
									<th align="left" width="5%">Sr. No.</th>
                                    <th align="left" width="9%">Client</th>
									<th align="left" width="9%">Spot/COA/TC</th>
                                    <th align="left" width="9%">Nom Id/Voyage No.</th>
                                    <th align="left" width="9%">Vessel</th>
                                    <th align="left" width="9%">Amount Invoiced</th>
                                    <th align="left" width="9%">Amount Received</th>
                                    <th align="left" width="9%">Difference</th>
									<th align="left" width="9%">Payment Advice Created</th>
                                    <th align="left" width="9%">Amount Paid</th>
                                    <th align="left" width="9%">Difference</th>
								</tr>
							</thead>
							<tbody>
							
							</tbody>
						</table>
					</div>
				</div>
				<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
			
        </div><!-- ./wrapper -->
<?php $display->footer(); ?>
<?php $display->js(); ?>
<script src="../../js/plugins/datatables/jquery.dataTables.js" type="text/javascript"></script>
<script src="../../js/plugins/datatables/dataTables.bootstrap.js" type="text/javascript"></script>
<script src="../../js/timer.js" type="text/javascript"></script>
<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<link type="text/css" href="../../css/chosen.css" rel="stylesheet" />
<script src="../../js/chosen.jquery.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.numeric.js"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.calculation-min.js"></script>
<script type="text/javascript">
$(document).ready(function(){
	$("#selVoyageNo,#selTCNo").chosen();
	
});

function getData()
{
    if($("#selVendor").val()!='')
	{
		$('#DivOwner').html('<span style="text-align:center;display:block;"><img src="../../img/loading.gif" /></span>');
			$.post("options.php?id=98",{selVendor:""+$("#selVendor").val()+"",selBType:""+$("#selBType").val()+"",selVoyageNo:""+$("#selVoyageNo").val()+"",selTCNo:""+$("#selTCNo").val()+"", selSpotCOA:""+$("#selSpotCOA").val()+""}, function(html) {
				$('#DivOwner').empty();
				$('#DivOwner').append(html);
				 var hddninvoicedamt = parseFloat($("[id^=hddninvoicedamt_]").sum());
				 var hddnreceivedamt = parseFloat($("[id^=hddnreceivedamt_]").sum());
				 var hddninvdiffamt  = parseFloat($("[id^=hddninvdiffamt_]").sum());
				 var hddnpaymentamt  = parseFloat($("[id^=hddnpaymentamt_]").sum());
				 var hddnpaidamt     = parseFloat($("[id^=hddnpaidamt_]").sum());
				 var hddnipaydiffamt = parseFloat($("[id^=hddnipaymentdiffamt_]").sum());
				 
				 $("#txtInvoicedAmt").val(hddninvoicedamt.toFixed(2));
				 $("#txtReceivedAmt").val(hddnreceivedamt.toFixed(2));
				 $("#txtInvDiffAmt").val(hddninvdiffamt.toFixed(2));
				 $("#txtPaymentAmt").val(hddnpaymentamt.toFixed(2));
				 $("#txtPaidAmt").val(hddnpaidamt.toFixed(2));
				 $("#txtPayDiffAmt").val(hddnipaydiffamt.toFixed(2));
				 var txtBalanceAmt = parseFloat(hddninvdiffamt) - parseFloat(hddnipaydiffamt);if(isNaN(txtBalanceAmt)){txtBalanceAmt = 0;}
				 $("#txtBalanceAmt").val(txtBalanceAmt.toFixed(2));
			});
	}else
	{
	    jAlert('Please Select Vendor/Client', 'Alert');
	}
	
}

function getPdf()
{
	location.href='allPdf.php?id=37&selVendor='+$("#selVendor").val()+'&selBType='+$("#selBType").val()+'&selDate_Type='+$("#selDate_Type").val()+'&selSpotCOA='+$("#selSpotCOA").val();
}

function getExcel()
{
    if($("#selVendor").val()!='')
	{
		location.href='allExcel.php?id=31&selVendor='+$("#selVendor").val()+'&selBType='+$("#selBType").val()+'&selVoyageNo='+$("#selVoyageNo").val()+'&selTCNo='+$("#selTCNo").val()+'&selSpotCOA='+$("#selSpotCOA").val();
	}else
	{
	    jAlert('Please Select Vendor/Client', 'Alert');
	}
}


function getshowselectbox()
{
    if($("#selSpotCOA").val() == 1 || $("#selSpotCOA").val() == 2)
	{
	    $('#voyagediv').show();
		$('#tcnodiv').hide();
	}
	else
	{
	    $('#tcnodiv').show();
		$('#voyagediv').hide();
	}

}
 
</script>
</body>
</html>