<?php 
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");
$obj = new data();
$connect = $obj->funConnect();
$display = new display();
$display->logout_iu();
$id = @$_REQUEST['id'];
$user = $_REQUEST['user'];
if (@$_REQUEST['action'] == 'submit')
 {
 	$msg = $obj->insertVesselCommercialParametersDetails();
	header('Location:./fleet.php?msg='.$msg);
 }
$pagename = basename($_SERVER['PHP_SELF'])."?id=".$id."&user=".$user;

if($user == 'EXTERNAL_USER')
{
	$name = $obj->getExternalVesselData($id,"VESSEL_NAME"); $type = $obj->getVesselTypeBasedOnID($obj->getExternalVesselData($id,"VESSEL_TYPE"));
}else{
	$name = $obj->getVesselIMOData($id,"VESSEL_NAME"); $type = $obj->getVesselTypeBasedOnID($obj->getVesselIMOData($id,"VESSEL_TYPE"));}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<?php $display->js(); ?>
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
<style>
.animated {
	vertical-align: top; 
	transition: height 0.2s;
	-webkit-transition: height 0.2s; 
	-moz-transition: height 0.2s; 
}

form.cmxform label.error, label.error {
	/* remove the next line when you have trouble in IE6 with labels in list */
	font-family:Verdana, Arial, Helvetica, sans-serif;
	font-size:10px;
	color: red;
	font-style:normal;
	font-weight:lighter;
	margin:5px;
	vertical-align:top;
}
</style>
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(2); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                 <section class="content-header">
                    <h1>
                        <i class="fa fa-anchor"></i>&nbsp;Fleet &nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="#"><i class="fa fa-home"></i> Home</a></li>
                        <li class="active">Fleet</li>
						<li class="active">Commercial Parameter</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
					<!--   content put here..................-->
					<div align="right"><a href="#" title="Pdf" onClick="getPdf();"><button class="btn btn-default" type="button" style="margin-right: 5px;"><i class="fa fa-download"></i> Generate PDF</button></a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="fleet.php"><button class="btn btn-info btn-flat">Back</button></a></div>
					<div style="height:10px;">&nbsp;</div>
					<form role="form" name="frm1" id="frm1" enctype="multipart/form-data" action="<?php echo $pagename;?>" method="post">			
						<div class="row">
							<div class="col-xs-12">
								<h2 class="page-header" style=" text-align:center;">
								 COMMERCIAL - PARAMETERS
								</h2>                            
							</div><!-- /.col -->
						</div>
						
						<div class="box">
							<div class="box-header">
								<h3 class="box-title">Main Data</h3>
							</div><!-- /.box-header -->
							<div class="box-body no-padding">
								<table class="table table-striped">
									<tbody>
										<tr>
											<th width="25%">&nbsp;</th>
											<th width="25%">&nbsp;</th>
											<th width="25%">&nbsp;</th>
											<th width="25%">&nbsp;</th>
										</tr>
										<tr>
											<td>&nbsp;&nbsp;&nbsp;Vessel Name</td>
											<td>
												<input type="text" name="txtVName" id="txtVName" class="form-control" readonly value="<?php echo $name;?>" placeholder="Vessel Name"/>
											</td>
											<td>&nbsp;&nbsp;&nbsp;Vessel Type</td>
											<td>
												<input type="text" name="txtVType" id="txtVType" class="form-control" readonly value="<?php echo $type;?>" placeholder="Vessel Type"/>
											</td>
										</tr>
										
										<tr>
											<td>&nbsp;&nbsp;&nbsp;Date</td>
											<td>
												<?php if($obj->getVesselParameterData($id,"MAIN_DATA_DATE",$user) != ""){?>
													<input type="text" name="txtDate" id="txtDate" class="form-control datepiker" value="<?php echo date("d-m-Y",strtotime($obj->getVesselParameterData($id,"MAIN_DATA_DATE",$user)));?>" placeholder="dd-mm-yyyy" />
												<?php }else{?>
													<input type="text" name="txtDate" id="txtDate" class="form-control datepiker" value="<?php echo date("d-m-Y",time())?>" placeholder="dd-mm-yyyy" />
												<?php }?>
											</td>
											<td>&nbsp;&nbsp;&nbsp;DWT <span style="font-size:11px; font-style:italic;">(Summer)</span></td>
											<td>
												<input type="text" name="txtDWTS" id="txtDWTS" class="form-control" value="<?php echo $obj->getVesselIMOData($id,"DWT");?>" readonly placeholder="" />
											</td>
										</tr>
										
										<tr>
											<td>&nbsp;&nbsp;&nbsp;Draft <span style="font-size:10px; font-style:italic;">(Summer)</td>
											<td>
												<input type="text" name="txtDraft" id="txtDraft" class="form-control"  value="<?php echo $obj->getVesselIMOData($id,"DRAFTM");?>" readonly />
											</td>
											<td>&nbsp;&nbsp;&nbsp;TPC</td>
											<td>
                                            <?php if($obj->getVesselIMOData($id,"BUSINESSTYPEID")==3){?>
												<input type="text" name="txtTPC" id="txtTPC" class="form-control" value="<?php echo $obj->getVesselParticularData('TPC_MT','vessel_master_1',$id);?>" readonly placeholder="TPC" />
                                            <?php }else{?>
                                                <input type="text" name="txtTPC" id="txtTPC" class="form-control" value="<?php echo $obj->getVesselParticularData('TPC_SUMMER','vessel_master_tankers',$id);?>" readonly placeholder="TPC" />
                                            <?php }?>
											</td>
										</tr>
										
										
									</tbody>
								</table>
							</div><!-- /.box-body -->
						</div>
						
						<div class="box">
							<div class="box-header">
								<h3 class="box-title">Speed Data</h3>
							</div><!-- /.box-header -->	
							<div class="box-body no-padding">
								<table class="table table-striped">
									<tbody>
										<tr>
											<th width="25%">&nbsp;</th>
											<th width="25%">&nbsp;</th>
											<th width="25%">&nbsp;</th>
											<th width="25%">&nbsp;</th>
										</tr>
										<tr style="font-weight:bold;">
											<td align="center">&nbsp;</td>
											<td align="right">Full Speed</td>
											<td align="right">Service Speed</td>
											<td align="right">Most Eco Speed&nbsp;</td>
											
										</tr>
										<tr>
											<td>&nbsp;&nbsp;&nbsp;Ballast Speed <span style="font-size:10px; font-style:italic;">(Knots)</span></td>
											<td>
												<input type="text" name="txtBFullSpeed" id="txtBFullSpeed" class="form-control numeric" autocomplete="off" value="<?php echo $obj->getVesselParameterData($id,"B_FULL_SPEED",$user);?>" tabindex="1"/>
											</td>
											<td>
												<input type="text" name="txtBEcoSpeed1" id="txtBEcoSpeed1" class="form-control numeric" autocomplete="off" value="<?php echo $obj->getVesselParameterData($id,"B_ECO_SPEED1",$user);?>" tabindex="9"/>
											</td>
											<td>
											<input type="text" name="txtBEcoSpeed2" id="txtBEcoSpeed2" class="form-control numeric" autocomplete="off" value="<?php echo $obj->getVesselParameterData($id,"B_ECO_SPEED2",$user);?>" tabindex="17"/>
											</td>
										</tr>
										<tr>
											<td>&nbsp;&nbsp;&nbsp;Laden Speed <span style="font-size:10px; font-style:italic;">(Knots)</span></td>
											<td>
												<input type="text" name="txtLFullSpeed" id="txtLFullSpeed" class="form-control numeric" autocomplete="off" value="<?php echo $obj->getVesselParameterData($id,"L_FULL_SPEED",$user);?>" tabindex="2"/>
											</td>
											<td>
												<input type="text" name="txtLEcoSpeed1" id="txtLEcoSpeed1" class="form-control numeric" autocomplete="off" value="<?php echo $obj->getVesselParameterData($id,"L_ECO_SPEED1",$user);?>" tabindex="10"/>
											</td>
											<td>
												<input type="text" name="txtLEcoSpeed2" id="txtLEcoSpeed2" class="form-control numeric" autocomplete="off" value="<?php echo $obj->getVesselParameterData($id,"L_ECO_SPEED2",$user);?>" tabindex="18"/>
											</td>
										</tr>
									</tbody>
								</table>
							</div><!-- /.box-body -->
						</div>
						
						<div class="box">
							<div class="box-header">
								<h3 class="box-title">FO Consp/day(MT) - At Sea</h3>
							</div>
							<div class="table-responsive" style="overflow:auto;">
								<table class="table table-bordered table-striped">
								    <thead>
									   <tr>
									      <th></th>
										  <th></th>
										  <th colspan="4" style="text-align:center;">Full Speed</th>
										  <th colspan="4" style="text-align:center;">Service Speed</th>
										  <th colspan="4" style="text-align:center;">Most Eco Speed</th>
									   </tr>
									   <tr>
									      <th>#</th>
										  <th>Bunker&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
										  <th>SECA (Ballast)</th>
										  <th>SECA (Laden)</th>
										  <th>NON-SECA (Ballast)</th>
										  <th>NON-SECA (Laden)</th>
										  <th>SECA (Ballast)</th>
										  <th>SECA (Laden)</th>
										  <th>NON-SECA (Ballast)</th>
										  <th>NON-SECA (Laden)</th>
										  <th>SECA (Ballast)</th>
										  <th>SECA (Laden)</th>
										  <th>NON-SECA (Ballast)</th>
										  <th>NON-SECA (Laden)</th>
									   </tr>
									</thead>
									<tbody id="tbodyFOAtSea">
								<?php 
								      $sql = "select * from vessel_commercial_parameters_slave1 where IDENTIFY='FO' and COMMERCIAL_PARAMETERID=".$obj->getVesselParameterData($id,"COMMERCIAL_PARAMETERID");
								      $result = mysql_query($sql);$i = 0;
									  $num = mysql_num_rows($result);
									  if($num==0)
									  {$i++;
								?>										
										<tr id="FOAtSeaRow_1">
											<td align="center"><a href="#FOAtSeaRow_1" onClick="removeFOAtSeaRow(1);"><i class="fa fa-times" style="color:red;"></i></a></td>
											<td align="right"><select  name="selFOAtSeaBunker_1" class="select form-control" id="selFOAtSeaBunker_1" onChange="FOBunkerChnge(1);"><?php $obj->getBunkerListBasedOnBunkerType('IFO');?></select></td>
											<td align="right"><input type="text" name="txtFOBalAtSeaSECAConspFS_1" id="txtFOBalAtSeaSECAConspFS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOLadAtSeaSECAConspFS_1" id="txtFOLadAtSeaSECAConspFS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOBalAtSeaNONSECAConspFS_1" id="txtFOBalAtSeaNONSECAConspFS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOLadAtSeaNONSECAConspFS_1" id="txtFOLadAtSeaNONSECAConspFS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOBalAtSeaSECAConspSS_1" id="txtFOBalAtSeaSECAConspSS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOLadAtSeaSECAConspSS_1" id="txtFOLadAtSeaSECAConspSS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOBalAtSeaNONSECAConspSS_1" id="txtFOBalAtSeaNONSECAConspSS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOLadAtSeaNONSECAConspSS_1" id="txtFOLadAtSeaNONSECAConspSS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOBalAtSeaSECAConspMES_1" id="txtFOBalAtSeaSECAConspMES_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOLadAtSeaSECAConspMES_1" id="txtFOLadAtSeaSECAConspMES_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOBalAtSeaNONSECAConspMES_1" id="txtFOBalAtSeaNONSECAConspMES_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOLadAtSeaNONSECAConspMES_1" id="txtFOLadAtSeaNONSECAConspMES_1" class="form-control numeric" autocomplete="off" value=""/></td>
										</tr>
								<?php }else{
								      while($rows = mysql_fetch_assoc($result))
									  {$i++;?>
									    <tr id="FOAtSeaRow_<?=$i?>">
											<td align="center"><a href="#FOAtSeaRow_<?=$i?>" onClick="removeFOAtSeaRow(<?=$i?>);"><i class="fa fa-times" style="color:red;"></i></a></td>
											<td align="right"><select  name="selFOAtSeaBunker_<?=$i?>" class="select form-control" id="selFOAtSeaBunker_<?=$i?>" onChange="FOBunkerChnge(<?=$i?>);"><?php $obj->getBunkerListBasedOnBunkerType('IFO');?></select></td>
											<script>$("#selFOAtSeaBunker_<?=$i?>").val(<?=$rows['BUNKERID'];?>);</script>
											<td align="right"><input type="text" name="txtFOBalAtSeaSECAConspFS_<?=$i?>" id="txtFOBalAtSeaSECAConspFS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_BALAST_ATSEA_SECA_CONSP_FS'];?>"/></td>
											<td align="right"><input type="text" name="txtFOLadAtSeaSECAConspFS_<?=$i?>" id="txtFOLadAtSeaSECAConspFS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_LADEN_ATSEA_SECA_CONSP_FS'];?>"/></td>
											<td align="right"><input type="text" name="txtFOBalAtSeaNONSECAConspFS_<?=$i?>" id="txtFOBalAtSeaNONSECAConspFS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_BALAST_ATSEA_NONSECA_CONSP_FS'];?>"/></td>
											<td align="right"><input type="text" name="txtFOLadAtSeaNONSECAConspFS_<?=$i?>" id="txtFOLadAtSeaNONSECAConspFS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_LADEN_ATSEA_NONSECA_CONSP_FS'];?>"/></td>
											<td align="right"><input type="text" name="txtFOBalAtSeaSECAConspSS_<?=$i?>" id="txtFOBalAtSeaSECAConspSS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_BALAST_ATSEA_SECA_CONSP_SS'];?>"/></td>
											<td align="right"><input type="text" name="txtFOLadAtSeaSECAConspSS_<?=$i?>" id="txtFOLadAtSeaSECAConspSS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_LADEN_ATSEA_SECA_CONSP_SS'];?>"/></td>
											<td align="right"><input type="text" name="txtFOBalAtSeaNONSECAConspSS_<?=$i?>" id="txtFOBalAtSeaNONSECAConspSS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_BALAST_ATSEA_NONSECA_CONSP_SS'];?>"/></td>
											<td align="right"><input type="text" name="txtFOLadAtSeaNONSECAConspSS_<?=$i?>" id="txtFOLadAtSeaNONSECAConspSS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_LADEN_ATSEA_NONSECA_CONSP_SS'];?>"/></td>
											<td align="right"><input type="text" name="txtFOBalAtSeaSECAConspMES_<?=$i?>" id="txtFOBalAtSeaSECAConspMES_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_BALAST_ATSEA_SECA_CONSP_MES'];?>"/></td>
											<td align="right"><input type="text" name="txtFOLadAtSeaSECAConspMES_<?=$i?>" id="txtFOLadAtSeaSECAConspMES_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_LADEN_ATSEA_SECA_CONSP_MES'];?>"/></td>
											<td align="right"><input type="text" name="txtFOBalAtSeaNONSECAConspMES_<?=$i?>" id="txtFOBalAtSeaNONSECAConspMES_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_BALAST_ATSEA_NONSECA_CONSP_MES'];?>"/></td>
											<td align="right"><input type="text" name="txtFOLadAtSeaNONSECAConspMES_<?=$i?>" id="txtFOLadAtSeaNONSECAConspMES_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_LADEN_ATSEA_NONSECA_CONSP_MES'];?>"/></td>
										</tr>
						        <?php }}?>
									</tbody>
									<tfoot>
										<tr>
											<td colspan="14"><button type="button" class="btn btn-primary btn-flat" onClick="AddNewFOAtSeaRow();">Add</button><input type="hidden" name="txtFOAtSeaID" id="txtFOAtSeaID" value="<?=$i?>"/></td>
										</tr>
									</tfoot>	
								</table>
							</div><!-- /.box-body -->
						</div>
						
						<div class="box">
							<div class="box-header">
								<h3 class="box-title">DO Consp/day(MT) - At Sea</h3>
							</div>
							<div class="table-responsive" style="overflow:auto;">
								<table class="table table-bordered table-striped">
								    <thead>
									   <tr>
									      <th></th>
										  <th></th>
										  <th colspan="4" style="text-align:center;">Full Speed</th>
										  <th colspan="4" style="text-align:center;">Service Speed</th>
										  <th colspan="4" style="text-align:center;">Most Eco Speed</th>
									   </tr>
									   <tr>
									      <th>#</th>
										  <th>Bunker&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
										  <th>SECA (Ballast)</th>
										  <th>SECA (Laden)</th>
										  <th>NON-SECA (Ballast)</th>
										  <th>NON-SECA (Laden)</th>
										  <th>SECA (Ballast)</th>
										  <th>SECA (Laden)</th>
										  <th>NON-SECA (Ballast)</th>
										  <th>NON-SECA (Laden)</th>
										  <th>SECA (Ballast)</th>
										  <th>SECA (Laden)</th>
										  <th>NON-SECA (Ballast)</th>
										  <th>NON-SECA (Laden)</th>
									   </tr>
									</thead>
									<tbody id="tbodyDOAtSea">	
									<?php 
								      $sql = "select * from vessel_commercial_parameters_slave1 where IDENTIFY='DO' and COMMERCIAL_PARAMETERID=".$obj->getVesselParameterData($id,"COMMERCIAL_PARAMETERID");
								      $result = mysql_query($sql);$i = 0;
									  $num = mysql_num_rows($result);
									  if($num==0)
									  {$i++;?>										
										<tr id="DOAtSeaRow_1">
											<td align="center"><a href="#DOAtSeaRow_1" onClick="removeDOAtSeaRow(1);"><i class="fa fa-times" style="color:red;"></i></a></td>
											<td align="right"><select  name="selDOAtSeaBunker_1" class="select form-control" id="selDOAtSeaBunker_1" onChange="DOBunkerChnge(1);"><?php $obj->getBunkerListBasedOnBunkerType('MDO');?></select></td>
											<td align="right"><input type="text" name="txtDOBalAtSeaSECAConspFS_1" id="txtDOBalAtSeaSECAConspFS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOLadAtSeaSECAConspFS_1" id="txtDOLadAtSeaSECAConspFS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOBalAtSeaNONSECAConspFS_1" id="txtDOBalAtSeaNONSECAConspFS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOLadAtSeaNONSECAConspFS_1" id="txtDOLadAtSeaNONSECAConspFS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOBalAtSeaSECAConspSS_1" id="txtDOBalAtSeaSECAConspSS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOLadAtSeaSECAConspSS_1" id="txtDOLadAtSeaSECAConspSS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOBalAtSeaNONSECAConspSS_1" id="txtDOBalAtSeaNONSECAConspSS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOLadAtSeaNONSECAConspSS_1" id="txtDOLadAtSeaNONSECAConspSS_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOBalAtSeaSECAConspMES_1" id="txtDOBalAtSeaSECAConspMES_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOLadAtSeaSECAConspMES_1" id="txtDOLadAtSeaSECAConspMES_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOBalAtSeaNONSECAConspMES_1" id="txtDOBalAtSeaNONSECAConspMES_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOLadAtSeaNONSECAConspMES_1" id="txtDOLadAtSeaNONSECAConspMES_1" class="form-control numeric" autocomplete="off" value=""/></td>
										</tr>
								<?php }else{
								      while($rows = mysql_fetch_assoc($result))
									  {$i++;?>
									    <tr id="DOAtSeaRow_<?=$i?>">
											<td align="center"><a href="#DOAtSeaRow_<?=$i?>" onClick="removeDOAtSeaRow(<?=$i?>);"><i class="fa fa-times" style="color:red;"></i></a></td>
											<td align="right"><select  name="selDOAtSeaBunker_<?=$i?>" class="select form-control" id="selDOAtSeaBunker_<?=$i?>" onChange="DOBunkerChnge(<?=$i?>);"><?php $obj->getBunkerListBasedOnBunkerType('MDO');?></select></td>
											<script>$("#selDOAtSeaBunker_<?=$i?>").val(<?=$rows['BUNKERID'];?>);</script>
											<td align="right"><input type="text" name="txtDOBalAtSeaSECAConspFS_<?=$i?>" id="txtDOBalAtSeaSECAConspFS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_BALAST_ATSEA_SECA_CONSP_FS'];?>"/></td>
											<td align="right"><input type="text" name="txtDOLadAtSeaSECAConspFS_<?=$i?>" id="txtDOLadAtSeaSECAConspFS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_LADEN_ATSEA_SECA_CONSP_FS'];?>"/></td>
											<td align="right"><input type="text" name="txtDOBalAtSeaNONSECAConspFS_<?=$i?>" id="txtDOBalAtSeaNONSECAConspFS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_BALAST_ATSEA_NONSECA_CONSP_FS'];?>"/></td>
											<td align="right"><input type="text" name="txtDOLadAtSeaNONSECAConspFS_<?=$i?>" id="txtDOLadAtSeaNONSECAConspFS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_LADEN_ATSEA_NONSECA_CONSP_FS'];?>"/></td>
											<td align="right"><input type="text" name="txtDOBalAtSeaSECAConspSS_<?=$i?>" id="txtDOBalAtSeaSECAConspSS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_BALAST_ATSEA_SECA_CONSP_SS'];?>"/></td>
											<td align="right"><input type="text" name="txtDOLadAtSeaSECAConspSS_<?=$i?>" id="txtDOLadAtSeaSECAConspSS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_LADEN_ATSEA_SECA_CONSP_SS'];?>"/></td>
											<td align="right"><input type="text" name="txtDOBalAtSeaNONSECAConspSS_<?=$i?>" id="txtDOBalAtSeaNONSECAConspSS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_BALAST_ATSEA_NONSECA_CONSP_SS'];?>"/></td>
											<td align="right"><input type="text" name="txtDOLadAtSeaNONSECAConspSS_<?=$i?>" id="txtDOLadAtSeaNONSECAConspSS_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_LADEN_ATSEA_NONSECA_CONSP_SS'];?>"/></td>
											<td align="right"><input type="text" name="txtDOBalAtSeaSECAConspMES_<?=$i?>" id="txtDOBalAtSeaSECAConspMES_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_BALAST_ATSEA_SECA_CONSP_MES'];?>"/></td>
											<td align="right"><input type="text" name="txtDOLadAtSeaSECAConspMES_<?=$i?>" id="txtDOLadAtSeaSECAConspMES_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_LADEN_ATSEA_SECA_CONSP_MES'];?>"/></td>
											<td align="right"><input type="text" name="txtDOBalAtSeaNONSECAConspMES_<?=$i?>" id="txtDOBalAtSeaNONSECAConspMES_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_BALAST_ATSEA_NONSECA_CONSP_MES'];?>"/></td>
											<td align="right"><input type="text" name="txtDOLadAtSeaNONSECAConspMES_<?=$i?>" id="txtDOLadAtSeaNONSECAConspMES_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_LADEN_ATSEA_NONSECA_CONSP_MES'];?>"/></td>
										</tr>
						        <?php }}?>
									</tbody>
									<tfoot>
										<tr>
											<td colspan="14"><button type="button" class="btn btn-primary btn-flat" onClick="AddNewDOAtSeaRow();">Add</button><input type="hidden" name="txtDOAtSeaID" id="txtDOAtSeaID" value="<?=$i?>"/></td>
										</tr>
									</tfoot>	
								</table>
							</div><!-- /.box-body -->
						</div>
						
				<?php if($obj->getVesselIMOData($id,"BUSINESSTYPEID")==3 || $obj->getVesselIMOData($id,"BUSINESSTYPEID")==1)
				      {?>
						<div class="box">
							<div class="box-header">
								<h3 class="box-title">FO Consp/day(MT)- In Port</h3>
							</div>
							<div class="table-responsive" style="overflow:auto;">
								<table class="table table-bordered table-striped">
								    <thead>
									   <tr>
									    
										  <th></th>
										  <th colspan="2" style="text-align:center;">Working</th>
										  <th colspan="2" style="text-align:center;">Idle</th>
										  <th colspan="2" style="text-align:center;">Others</th>
									   </tr>
									   <tr>
									      
										  <th>Bunker&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
									   </tr>
									</thead>
									<tbody id="tbodyFOInPort">	
								<?php 
								      $sql = "select *, (select NAME from bunker_grade_master where bunker_grade_master.BUNKERGRADEID=vessel_commercial_parameters_slave1.BUNKERID) as BUNKER_NAME from vessel_commercial_parameters_slave1 where IDENTIFY='FO' and COMMERCIAL_PARAMETERID=".$obj->getVesselParameterData($id,"COMMERCIAL_PARAMETERID");
								      $result = mysql_query($sql);$i = 0;
									  $num = mysql_num_rows($result);
									  if($num==0)
									  {$i++;
								?>									
										<tr id="FOInPortRow_1">
											<td align="right"><input type="hidden" name="selFOInPortBunker_1" id="selFOInPortBunker_1" value=""><span id="fo_bunkerLevel_1"></span></td>
											<td align="right"><input type="text" name="txtFOInPortSECAConspWorking_1" id="txtFOInPortSECAConspWorking_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOInPortNONSECAConspWorking_1" id="txtFOInPortNONSECAConspWorking_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOInPortSECAConspIdle_1" id="txtFOInPortSECAConspIdle_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOInPortNONSECAConspIdle_1" id="txtFOInPortNONSECAConspIdle_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOInPortSECAConspOther_1" id="txtFOInPortSECAConspOther_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOInPortNONSECAConspOther_1" id="txtFOInPortNONSECAConspOther_1" class="form-control numeric" autocomplete="off" value=""/></td>
										</tr>
								<?php }else{
								      while($rows = mysql_fetch_assoc($result))
									  {$i++;?>
									    <tr id="FOInPortRow_<?=$i?>">
											<td align="right"><input type="hidden" name="selFOInPortBunker_<?=$i?>" id="selFOInPortBunker_<?=$i?>" value="<?=$rows['BUNKERID'];?>"><span id="fo_bunkerLevel_<?=$i?>"><?=$rows['BUNKER_NAME'];?></span></td>
											<td align="right"><input type="text" name="txtFOInPortSECAConspWorking_<?=$i?>" id="txtFOInPortSECAConspWorking_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_SECA_CONSP_WORKING'];?>"/></td>
											<td align="right"><input type="text" name="txtFOInPortNONSECAConspWorking_<?=$i?>" id="txtFOInPortNONSECAConspWorking_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_NONSECA_CONSP_WORKING'];?>"/></td>
											<td align="right"><input type="text" name="txtFOInPortSECAConspIdle_<?=$i?>" id="txtFOInPortSECAConspIdle_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_SECA_CONSP_IDLE'];?>"/></td>
											<td align="right"><input type="text" name="txtFOInPortNONSECAConspIdle_<?=$i?>" id="txtFOInPortNONSECAConspIdle_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_NONSECA_CONSP_IDLE'];?>"/></td>
											<td align="right"><input type="text" name="txtFOInPortSECAConspOther_<?=$i?>" id="txtFOInPortSECAConspOther_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_SECA_CONSP_OTHER'];?>"/></td>
											<td align="right"><input type="text" name="txtFOInPortNONSECAConspOther_<?=$i?>" id="txtFOInPortNONSECAConspOther_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_NONSECA_CONSP_OTHER'];?>"/></td>
										</tr>
							    <?php }}?>
									</tbody>
										
								</table>
							</div><!-- /.box-body -->
						</div>
						
						<div class="box">
							<div class="box-header">
								<h3 class="box-title">DO Consp/day(MT)- In Port</h3>
							</div>
							<div class="table-responsive" style="overflow:auto;">
								<table class="table table-bordered table-striped">
								    <thead>
									   <tr>
									    
										  <th></th>
										  <th colspan="2" style="text-align:center;">Working</th>
										  <th colspan="2" style="text-align:center;">Idle</th>
										  <th colspan="2" style="text-align:center;">Others</th>
									   </tr>
									   <tr>
									      
										  <th>Bunker&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
									   </tr>
									</thead>
									<tbody id="tbodyDOInPort">
								<?php 
								      $sql = "select *, (select NAME from bunker_grade_master where bunker_grade_master.BUNKERGRADEID=vessel_commercial_parameters_slave1.BUNKERID) as BUNKER_NAME from vessel_commercial_parameters_slave1 where IDENTIFY='DO' and COMMERCIAL_PARAMETERID=".$obj->getVesselParameterData($id,"COMMERCIAL_PARAMETERID");
								      $result = mysql_query($sql);$i = 0;
									  $num = mysql_num_rows($result);
									  if($num==0)
									  {$i++;
								?>												
										<tr id="DOInPortRow_1">
											<td align="right"><input type="hidden" name="selDOInPortBunker_1" id="selDOInPortBunker_1" value=""><span id="do_bunkerLevel_1"></span></td>
											<td align="right"><input type="text" name="txtDOInPortSECAConspWorking_1" id="txtDOInPortSECAConspWorking_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOInPortNONSECAConspWorking_1" id="txtDOInPortNONSECAConspWorking_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOInPortSECAConspIdle_1" id="txtDOInPortSECAConspIdle_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOInPortNONSECAConspIdle_1" id="txtDOInPortNONSECAConspIdle_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOInPortSECAConspOther_1" id="txtDOInPortSECAConspOther_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOInPortNONSECAConspOther_1" id="txtDOInPortNONSECAConspOther_1" class="form-control numeric" autocomplete="off" value=""/></td>
										</tr>
								<?php }else{
								      while($rows = mysql_fetch_assoc($result))
									  {$i++;?>
								        <tr id="DOInPortRow_<?=$i?>">
											<td align="right"><input type="hidden" name="selDOInPortBunker_<?=$i?>" id="selDOInPortBunker_<?=$i?>" value="<?=$rows['BUNKERID'];?>"><span id="do_bunkerLevel_<?=$i?>"><?=$rows['BUNKER_NAME'];?></span></td>
											<td align="right"><input type="text" name="txtDOInPortSECAConspWorking_<?=$i?>" id="txtDOInPortSECAConspWorking_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_SECA_CONSP_WORKING'];?>"/></td>
											<td align="right"><input type="text" name="txtDOInPortNONSECAConspWorking_<?=$i?>" id="txtDOInPortNONSECAConspWorking_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_NONSECA_CONSP_WORKING'];?>"/></td>
											<td align="right"><input type="text" name="txtDOInPortSECAConspIdle_<?=$i?>" id="txtDOInPortSECAConspIdle_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_SECA_CONSP_IDLE'];?>"/></td>
											<td align="right"><input type="text" name="txtDOInPortNONSECAConspIdle_<?=$i?>" id="txtDOInPortNONSECAConspIdle_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_NONSECA_CONSP_IDLE'];?>"/></td>
											<td align="right"><input type="text" name="txtDOInPortSECAConspOther_<?=$i?>" id="txtDOInPortSECAConspOther_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_SECA_CONSP_OTHER'];?>"/></td>
											<td align="right"><input type="text" name="txtDOInPortNONSECAConspOther_<?=$i?>" id="txtDOInPortNONSECAConspOther_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_NONSECA_CONSP_OTHER'];?>"/></td>
										</tr>
								
								<?php }}?>
									</tbody>
										
								</table>
							</div><!-- /.box-body -->
						</div>
				  <?php }else{?>	
				        
						
						<div class="box">
							<div class="box-header">
								<h3 class="box-title">FO Consp/day(MT) - In Port</h3>
							</div>
							<div class="table-responsive" style="overflow:auto;">
								<table class="table table-bordered table-striped">
								    <thead>
									   <tr>
									    
										  <th></th>
										  <th colspan="4" style="text-align:center;">Idle</th>
										  <th colspan="2" style="text-align:center;">Working - LP(incl. Deball)</th>
										  <th colspan="2" style="text-align:center;">Working - DP(Incl. COW, Inert, Ball)</th>
									   </tr>
									   <tr>
									      
										  <th>Bunker&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
										  <th>SECA (Ballast)</th>
										  <th>NON-SECA (Ballast)</th>
										  <th>SECA (Laden)</th>
										  <th>NON-SECA (Laden)</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
									   </tr>
									</thead>
									<tbody id="tbodyFOInPort">	
								<?php 
								      $sql = "select *, (select NAME from bunker_grade_master where bunker_grade_master.BUNKERGRADEID=vessel_commercial_parameters_slave1.BUNKERID) as BUNKER_NAME from vessel_commercial_parameters_slave1 where IDENTIFY='FO' and COMMERCIAL_PARAMETERID=".$obj->getVesselParameterData($id,"COMMERCIAL_PARAMETERID");
								      $result = mysql_query($sql);$i = 0;
									  $num = mysql_num_rows($result);
									  if($num==0)
									  {$i++;
								?>									
										<tr id="FOInPortRow_1">
											<td align="right"><input type="hidden" name="selFOInPortBunker_1" id="selFOInPortBunker_1" value=""><span id="fo_bunkerLevel_1"></span></td>
											<td align="right"><input type="text" name="txtFOInPortSECAConspIdleBallast_1" id="txtFOInPortSECAConspIdleBallast_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOInPortNONSECAConspIdleBallast_1" id="txtFOInPortNONSECAConspIdleBallast_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOInPortSECAConspIdleLaden_1" id="txtFOInPortSECAConspIdleLaden_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOInPortNONSECAConspIdleLaden_1" id="txtFOInPortNONSECAConspIdleLaden_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOInPortSECAConspWorkingLP_1" id="txtFOInPortSECAConspWorkingLP_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOInPortNONSECAConspWorkingLP_1" id="txtFOInPortNONSECAConspWorkingLP_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOInPortSECAConspWorkingDP_1" id="txtFOInPortSECAConspWorkingDP_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOInPortNONSECAConspWorkingDP_1" id="txtFOInPortNONSECAConspWorkingDP_1" class="form-control numeric" autocomplete="off" value=""/></td>
										</tr>
								<?php }else{
								      while($rows = mysql_fetch_assoc($result))
									  {$i++;?>
									    <tr id="FOInPortRow_<?=$i?>">
											<td align="right"><input type="hidden" name="selFOInPortBunker_<?=$i?>" id="selFOInPortBunker_<?=$i?>" value="<?=$rows['BUNKERID'];?>"><span id="fo_bunkerLevel_<?=$i?>"><?=$rows['BUNKER_NAME'];?></span></td>
											<td align="right"><input type="text" name="txtFOInPortSECAConspIdleBallast_<?=$i?>" id="txtFOInPortSECAConspIdleBallast_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_SECA_CONSP_IDLE_BALLAST'];?>"/></td>
											<td align="right"><input type="text" name="txtFOInPortNONSECAConspIdleBallast_<?=$i?>" id="txtFOInPortNONSECAConspIdleBallast_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_NONSECA_CONSP_IDLE_BALLAST'];?>"/></td>
											<td align="right"><input type="text" name="txtFOInPortSECAConspIdleLaden_<?=$i?>" id="txtFOInPortSECAConspIdleLaden_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_SECA_CONSP_IDLE_LADEN'];?>"/></td>
											<td align="right"><input type="text" name="txtFOInPortNONSECAConspIdleLaden_<?=$i?>" id="txtFOInPortNONSECAConspIdleLaden_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_NONSECA_CONSP_IDLE_LADEN'];?>"/></td>
											<td align="right"><input type="text" name="txtFOInPortSECAConspWorkingLP_<?=$i?>" id="txtFOInPortSECAConspWorkingLP_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_SECA_CONSP_WORKING_LP'];?>"/></td>
											<td align="right"><input type="text" name="txtFOInPortNONSECAConspWorkingLP_<?=$i?>" id="txtFOInPortNONSECAConspWorkingLP_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_NONSECA_CONSP_WORKING_LP'];?>"/></td>
											<td align="right"><input type="text" name="txtFOInPortSECAConspWorkingDP_<?=$i?>" id="txtFOInPortSECAConspWorkingDP_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_SECA_CONSP_WORKING_DP'];?>"/></td>
											<td align="right"><input type="text" name="txtFOInPortNONSECAConspWorkingDP_<?=$i?>" id="txtFOInPortNONSECAConspWorkingDP_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_NONSECA_CONSP_WORKING_DP'];?>"/></td>
										</tr>
							    <?php }}?>
									</tbody>
										
								</table>
							</div><!-- /.box-body -->
						</div>
						
						<div class="box">
							<div class="box-header">
								<h3 class="box-title">DO Consp/day(MT)- In Port</h3>
							</div>
							<div class="table-responsive" style="overflow:auto;">
								<table class="table table-bordered table-striped">
								    <thead>
									   <tr>
									    
										  <th></th>
										  <th colspan="4" style="text-align:center;">Idle</th>
										  <th colspan="2" style="text-align:center;">Working - LP(incl. Deball)</th>
										  <th colspan="2" style="text-align:center;">Working - DP(Incl. COW, Inert, Ball)</th>
									   </tr>
									   <tr>
									      
										  <th>Bunker&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
										  <th>SECA (Ballast)</th>
										  <th>NON-SECA (Ballast)</th>
										  <th>SECA (Laden)</th>
										  <th>NON-SECA (Laden)</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
									   </tr>
									</thead>
									<tbody id="tbodyDOInPort">
								<?php 
								      $sql = "select *, (select NAME from bunker_grade_master where bunker_grade_master.BUNKERGRADEID=vessel_commercial_parameters_slave1.BUNKERID) as BUNKER_NAME from vessel_commercial_parameters_slave1 where IDENTIFY='DO' and COMMERCIAL_PARAMETERID=".$obj->getVesselParameterData($id,"COMMERCIAL_PARAMETERID");
								      $result = mysql_query($sql);$i = 0;
									  $num = mysql_num_rows($result);
									  if($num==0)
									  {$i++;
								?>												
										<tr id="DOInPortRow_1">
											<td align="right"><input type="hidden" name="selDOInPortBunker_1" id="selDOInPortBunker_1" value=""><span id="do_bunkerLevel_1"></span></td>
											<td align="right"><input type="text" name="txtDOInPortSECAConspIdleBallast_1" id="txtDOInPortSECAConspIdleBallast_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOInPortNONSECAConspIdleBallast_1" id="txtDOInPortNONSECAConspIdleBallast_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOInPortSECAConspIdleLaden_1" id="txtDOInPortSECAConspIdleLaden_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOInPortNONSECAConspIdleLaden_1" id="txtDOInPortNONSECAConspIdleLaden_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOInPortSECAConspWorkingLP_1" id="txtDOInPortSECAConspWorkingLP_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOInPortNONSECAConspWorkingLP_1" id="txtDOInPortNONSECAConspWorkingLP_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOInPortSECAConspWorkingDP_1" id="txtDOInPortSECAConspWorkingDP_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOInPortNONSECAConspWorkingDP_1" id="txtDOInPortNONSECAConspWorkingDP_1" class="form-control numeric" autocomplete="off" value=""/></td>
										</tr>
								<?php }else{
								      while($rows = mysql_fetch_assoc($result))
									  {$i++;?>
								        <tr id="DOInPortRow_<?=$i?>">
											<td align="right"><input type="hidden" name="selDOInPortBunker_<?=$i?>" id="selDOInPortBunker_<?=$i?>" value="<?=$rows['BUNKERID'];?>"><span id="do_bunkerLevel_<?=$i?>"><?=$rows['BUNKER_NAME'];?></span></td>
											<td align="right"><input type="text" name="txtDOInPortSECAConspIdleBallast_<?=$i?>" id="txtDOInPortSECAConspIdleBallast_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_SECA_CONSP_IDLE_BALLAST'];?>"/></td>
											<td align="right"><input type="text" name="txtDOInPortNONSECAConspIdleBallast_<?=$i?>" id="txtDOInPortNONSECAConspIdleBallast_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_NONSECA_CONSP_IDLE_BALLAST'];?>"/></td>
											<td align="right"><input type="text" name="txtDOInPortSECAConspIdleLaden_<?=$i?>" id="txtDOInPortSECAConspIdleLaden_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_SECA_CONSP_IDLE_LADEN'];?>"/></td>
											<td align="right"><input type="text" name="txtDOInPortNONSECAConspIdleLaden_<?=$i?>" id="txtDOInPortNONSECAConspIdleLaden_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_NONSECA_CONSP_IDLE_LADEN'];?>"/></td>
											<td align="right"><input type="text" name="txtDOInPortSECAConspWorkingLP_<?=$i?>" id="txtDOInPortSECAConspWorkingLP_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_SECA_CONSP_WORKING_LP'];?>"/></td>
											<td align="right"><input type="text" name="txtDOInPortNONSECAConspWorkingLP_<?=$i?>" id="txtDOInPortNONSECAConspWorkingLP_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_NONSECA_CONSP_WORKING_LP'];?>"/></td>
											<td align="right"><input type="text" name="txtDOInPortSECAConspWorkingDP_<?=$i?>" id="txtDOInPortSECAConspWorkingDP_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_SECA_CONSP_WORKING_DP'];?>"/></td>
											<td align="right"><input type="text" name="txtDOInPortNONSECAConspWorkingDP_<?=$i?>" id="txtDOInPortNONSECAConspWorkingDP_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_INPORT_NONSECA_CONSP_WORKING_DP'];?>"/></td>
										</tr>
								
								<?php }}?>
									</tbody>
										
								</table>
							</div><!-- /.box-body -->
						</div>
						
						
						
						<div class="box">
							<div class="box-header">
								<h3 class="box-title">FO Consp/day(MT) - Others</h3>
							</div>
							<div class="table-responsive" style="overflow:auto;">
								<table class="table table-bordered table-striped">
								    <thead>
									   <tr>
									    
										  <th></th>
										  <th colspan="2" style="text-align:center;">Tank Cleaning(Incl. Inert)</th>
										  <th colspan="2" style="text-align:center;">Inerting</th>
										  <th colspan="2" style="text-align:center;">Gas Freeing</th>
										  <th colspan="2" style="text-align:center;">Heating(Maintain 45 dec C)</th>
										  <th colspan="2" style="text-align:center;">Heating(Raise 1 Deg C)</th>
									   </tr>
									   <tr>
									      
										  <th>Bunker&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
									   </tr>
									</thead>
									<tbody id="tbodyFOOthers">	
								<?php 
								      $sql = "select *, (select NAME from bunker_grade_master where bunker_grade_master.BUNKERGRADEID=vessel_commercial_parameters_slave1.BUNKERID) as BUNKER_NAME from vessel_commercial_parameters_slave1 where IDENTIFY='FO' and COMMERCIAL_PARAMETERID=".$obj->getVesselParameterData($id,"COMMERCIAL_PARAMETERID");
								      $result = mysql_query($sql);$i = 0;
									  $num = mysql_num_rows($result);
									  if($num==0)
									  {$i++;
								?>									
										<tr id="FOOthersRow_1">
											<td align="right"><input type="hidden" name="selFOOtherBunker_1" id="selFOOtherBunker_1" value=""><span id="fo_otherbunkerLevel_1"></span></td>
											<td align="right"><input type="text" name="txtFOOtherSECAConspTK_1" id="txtFOOtherSECAConspTK_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOOtherNONSECAConspTK_1" id="txtFOOtherNONSECAConspTK_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOOtherSECAConspInert_1" id="txtFOOtherSECAConspInert_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOOtherNONSECAConspInert_1" id="txtFOOtherNONSECAConspInert_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOOtherSECAConspGF_1" id="txtFOOtherSECAConspGF_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOOtherNONSECAConspGF_1" id="txtFOOtherNONSECAConspGF_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOOtherSECAConspHeat_1" id="txtFOOtherSECAConspHeat_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOOtherNONSECAConspHeat_1" id="txtFOOtherNONSECAConspHeat_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOOtherSECAConspHeat1_1" id="txtFOOtherSECAConspHeat1_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtFOOtherNONSECAConspHeat1_1" id="txtFOOtherNONSECAConspHeat1_1" class="form-control numeric" autocomplete="off" value=""/></td>
										</tr>
								<?php }else{
								      while($rows = mysql_fetch_assoc($result))
									  {$i++;?>
									    <tr id="FOOthersRow_<?=$i?>">
											<td align="right"><input type="hidden" name="selFOOtherBunker_<?=$i?>" id="selFOOtherBunker_<?=$i?>" value="<?=$rows['BUNKERID'];?>"><span id="fo_otherbunkerLevel_<?=$i?>"><?=$rows['BUNKER_NAME'];?></span></td>
											<td align="right"><input type="text" name="txtFOOtherSECAConspTK_<?=$i?>" id="txtFOOtherSECAConspTK_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_SECA_CONSP_TK'];?>"/></td>
											<td align="right"><input type="text" name="txtFOOtherNONSECAConspTK_<?=$i?>" id="txtFOOtherNONSECAConspTK_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_NONSECA_CONSP_TK'];?>"/></td>
											<td align="right"><input type="text" name="txtFOOtherSECAConspInert_<?=$i?>" id="txtFOOtherSECAConspInert_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_SECA_CONSP_INERT'];?>"/></td>
											<td align="right"><input type="text" name="txtFOOtherNONSECAConspInert_<?=$i?>" id="txtFOOtherNONSECAConspInert_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_NONSECA_CONSP_INERT'];?>"/></td>
											<td align="right"><input type="text" name="txtFOOtherSECAConspGF_<?=$i?>" id="txtFOOtherSECAConspGF_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_SECA_CONSP_GF'];?>"/></td>
											<td align="right"><input type="text" name="txtFOOtherNONSECAConspGF_<?=$i?>" id="txtFOOtherNONSECAConspGF_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_NONSECA_CONSP_GF'];?>"/></td>
											<td align="right"><input type="text" name="txtFOOtherSECAConspHeat_<?=$i?>" id="txtFOOtherSECAConspHeat_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_SECA_CONSP_HEAT'];?>"/></td>
											<td align="right"><input type="text" name="txtFOOtherNONSECAConspHeat_<?=$i?>" id="txtFOOtherNONSECAConspHeat_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_NONSECA_CONSP_HEAT'];?>"/></td>
											<td align="right"><input type="text" name="txtFOOtherSECAConspHeat1_<?=$i?>" id="txtFOOtherSECAConspHeat1_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_SECA_CONSP_HEAT_1'];?>"/></td>
											<td align="right"><input type="text" name="txtFOOtherNONSECAConspHeat1_<?=$i?>" id="txtFOOtherNONSECAConspHeat1_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_NONSECA_CONSP_HEAT_1'];?>"/></td>
										</tr>
							    <?php }}?>
									</tbody>
										
								</table>
							</div><!-- /.box-body -->
						</div>
						
						
						<div class="box">
							<div class="box-header">
								<h3 class="box-title">DO Consp/day(MT) - Others</h3>
							</div>
							<div class="table-responsive" style="overflow:auto;">
								<table class="table table-bordered table-striped">
								    <thead>
									   <tr>
									    
										  <th></th>
										  <th colspan="2" style="text-align:center;">Tank Cleaning(Incl. Inert)</th>
										  <th colspan="2" style="text-align:center;">Inerting</th>
										  <th colspan="2" style="text-align:center;">Gas Freeing</th>
										  <th colspan="2" style="text-align:center;">Heating(Maintain 45 dec C)</th>
										  <th colspan="2" style="text-align:center;">Heating(Raise 1 Deg C)</th>
									   </tr>
									   <tr>
									      
										  <th>Bunker&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
										  <th>SECA</th>
										  <th>NON-SECA</th>
									   </tr>
									</thead>
									<tbody id="tbodyDOOthers">	
								<?php 
								      $sql = "select *, (select NAME from bunker_grade_master where bunker_grade_master.BUNKERGRADEID=vessel_commercial_parameters_slave1.BUNKERID) as BUNKER_NAME from vessel_commercial_parameters_slave1 where IDENTIFY='DO' and COMMERCIAL_PARAMETERID=".$obj->getVesselParameterData($id,"COMMERCIAL_PARAMETERID");
								      $result = mysql_query($sql);$i = 0;
									  $num = mysql_num_rows($result);
									  if($num==0)
									  {$i++;
								?>									
										<tr id="DOOthersRow_1">
											<td align="right"><input type="hidden" name="selDOOtherBunker_1" id="selDOOtherBunker_1" value=""><span id="do_otherbunkerLevel_1"></span></td>
											<td align="right"><input type="text" name="txtDOOtherSECAConspTK_1" id="txtDOOtherSECAConspTK_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOOtherNONSECAConspTK_1" id="txtDOOtherNONSECAConspTK_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOOtherSECAConspInert_1" id="txtDOOtherSECAConspInert_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOOtherNONSECAConspInert_1" id="txtDOOtherNONSECAConspInert_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOOtherSECAConspGF_1" id="txtDOOtherSECAConspGF_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOOtherNONSECAConspGF_1" id="txtDOOtherNONSECAConspGF_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOOtherSECAConspHeat_1" id="txtDOOtherSECAConspHeat_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOOtherNONSECAConspHeat_1" id="txtDOOtherNONSECAConspHeat_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOOtherSECAConspHeat1_1" id="txtDOOtherSECAConspHeat1_1" class="form-control numeric" autocomplete="off" value=""/></td>
											<td align="right"><input type="text" name="txtDOOtherNONSECAConspHeat1_1" id="txtDOOtherNONSECAConspHeat1_1" class="form-control numeric" autocomplete="off" value=""/></td>
										</tr>
								<?php }else{
								      while($rows = mysql_fetch_assoc($result))
									  {$i++;?>
									    <tr id="DOOthersRow_<?=$i?>">
											<td align="right"><input type="hidden" name="selDOOtherBunker_<?=$i?>" id="selDOOtherBunker_<?=$i?>" value="<?=$rows['BUNKERID'];?>"><span id="do_otherbunkerLevel_<?=$i?>"><?=$rows['BUNKER_NAME'];?></span></td>
											<td align="right"><input type="text" name="txtDOOtherSECAConspTK_<?=$i?>" id="txtDOOtherSECAConspTK_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_SECA_CONSP_TK'];?>"/></td>
											<td align="right"><input type="text" name="txtDOOtherNONSECAConspTK_<?=$i?>" id="txtDOOtherNONSECAConspTK_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_NONSECA_CONSP_TK'];?>"/></td>
											<td align="right"><input type="text" name="txtDOOtherSECAConspInert_<?=$i?>" id="txtDOOtherSECAConspInert_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_SECA_CONSP_INERT'];?>"/></td>
											<td align="right"><input type="text" name="txtDOOtherNONSECAConspInert_<?=$i?>" id="txtDOOtherNONSECAConspInert_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_NONSECA_CONSP_INERT'];?>"/></td>
											<td align="right"><input type="text" name="txtDOOtherSECAConspGF_<?=$i?>" id="txtDOOtherSECAConspGF_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_SECA_CONSP_GF'];?>"/></td>
											<td align="right"><input type="text" name="txtDOOtherNONSECAConspGF_<?=$i?>" id="txtDOOtherNONSECAConspGF_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_NONSECA_CONSP_GF'];?>"/></td>
											<td align="right"><input type="text" name="txtDOOtherSECAConspHeat_<?=$i?>" id="txtDOOtherSECAConspHeat_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_SECA_CONSP_HEAT'];?>"/></td>
											<td align="right"><input type="text" name="txtDOOtherNONSECAConspHeat_<?=$i?>" id="txtDOOtherNONSECAConspHeat_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_NONSECA_CONSP_HEAT'];?>"/></td>
											<td align="right"><input type="text" name="txtDOOtherSECAConspHeat1_<?=$i?>" id="txtDOOtherSECAConspHeat1_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_SECA_CONSP_HEAT_1'];?>"/></td>
											<td align="right"><input type="text" name="txtDOOtherNONSECAConspHeat1_<?=$i?>" id="txtDOOtherNONSECAConspHeat1_<?=$i?>" class="form-control numeric" autocomplete="off" value="<?=$rows['FO_OTHER_NONSECA_CONSP_HEAT_1'];?>"/></td>
										</tr>
							    <?php }}?>
									</tbody>
										
								</table>
							</div><!-- /.box-body -->
						</div>
						
				  <?php }?>
						<div class="box-footer" align="right">
							<input type="hidden" name="txtCRMFILE" id="txtCRMFILE" value="" />
							<input type="hidden" name="txtCRMNAME" id="txtCRMNAME" value="" />
							<button type="submit" class="btn btn-primary btn-flat" onClick="return getValidate(0);">Submit</button>
							<input type="hidden" name="action" value="submit" />
							<input type="hidden" name="usertype" id="usertype" value="<?php echo $user; ?>" />
						</div>
					</form>
					<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
			
        </div><!-- ./wrapper -->
<?php $display->footer(); ?>

<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<script src='../../js/jquery.autosize.js'></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>
<script src="../../js/timer.js" type="text/javascript"></script>
<script src="../../js/bootstrap-datepicker.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.numeric.js"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.calculation-min.js"></script>
<script type="text/javascript">

$(document).ready(function(){

$(".areasize").autosize({append: "\n"});
$(".numeric").numeric();
$('.datepiker').datepicker({
    format: 'dd-mm-yyyy'
});

$("#frm1").validate({
	rules: {
		txtDate:"required"
		},
	messages: {	
		txtDate:"*"
		
		},
	submitHandler: function(form)  {
		jAlert('<b style="font-size:25px;">Please wait . . .</b><br><br><img src="../../img/loading.gif"  />', 'Alert');
		$("#popup_container").css({"background": "rgba(255,255,255,0.1)","border": "10px solid rgba(255,255,255,0.1)","width": "100%"});
		$("#popup_content").css({"background":"none","text-align":"center"});
		$("#popup_ok,#popup_title").hide();  
		form.submit();
	}
});

$(".numeric").css({"text-align":"right"});
});

function getPdf()
{
	location.href='allPdf.php?id=40&imoid='+<?php echo $id; ?>+'&user='+$("#usertype").val();
}

function getValidate()
{
	var var1 = $("[id^=file_]").map(function () {return this.value;}).get().join(",");
	$('#txtCRMFILE').val(var1);
	
	var var2 = $("[id^=name_]").map(function () {return this.value;}).get().join(",");
	$('#txtCRMNAME').val(var2);
}

function Del_Upload(var1)
{
	jConfirm('Are you sure you want to remove this attachment permanently ?', 'Confirmation', function(r) {
	if(r){
			$("#row_file_"+var1).remove();	
		 }
	else{return false;}
	});
}

//----------------------------------------------------------------------------------------
function AddNewFOAtSeaRow()
{
	var id = $("#txtFOAtSeaID").val();
	if($("#selFOAtSeaBunker_"+id).val() != "")
	{
		id = (id - 1) + 2;
		$('<tr id="FOAtSeaRow_'+id+'"><td align="center"><a href="#FOAtSeaRow_'+id+'" onClick="removeFOAtSeaRow('+id+');"><i class="fa fa-times" style="color:red;"></i></a></td><td align="right"><select  name="selFOAtSeaBunker_'+id+'" class="select form-control" id="selFOAtSeaBunker_'+id+'" onChange="FOBunkerChnge('+id+');"><?php $obj->getBunkerListBasedOnBunkerType('IFO');?></select></td><td align="right"><input type="text" name="txtFOBalAtSeaSECAConspFS_'+id+'" id="txtFOBalAtSeaSECAConspFS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOLadAtSeaSECAConspFS_'+id+'" id="txtFOLadAtSeaSECAConspFS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOBalAtSeaNONSECAConspFS_'+id+'" id="txtFOBalAtSeaNONSECAConspFS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOLadAtSeaNONSECAConspFS_'+id+'" id="txtFOLadAtSeaNONSECAConspFS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOBalAtSeaSECAConspSS_'+id+'" id="txtFOBalAtSeaSECAConspSS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOLadAtSeaSECAConspSS_'+id+'" id="txtFOLadAtSeaSECAConspSS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOBalAtSeaNONSECAConspSS_'+id+'" id="txtFOBalAtSeaNONSECAConspSS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOLadAtSeaNONSECAConspSS_'+id+'" id="txtFOLadAtSeaNONSECAConspSS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOBalAtSeaSECAConspMES_'+id+'" id="txtFOBalAtSeaSECAConspMES_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOLadAtSeaSECAConspMES_'+id+'" id="txtFOLadAtSeaSECAConspMES_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOBalAtSeaNONSECAConspMES_'+id+'" id="txtFOBalAtSeaNONSECAConspMES_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOLadAtSeaNONSECAConspMES_'+id+'" id="txtFOLadAtSeaNONSECAConspMES_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td></tr>').appendTo("#tbodyFOAtSea");
  <?php if($obj->getVesselIMOData($id,"BUSINESSTYPEID")==3 || $obj->getVesselIMOData($id,"BUSINESSTYPEID")==1)
		{?>
		$('<tr id="FOInPortRow_'+id+'"><td align="right"><input type="hidden" name="selFOInPortBunker_'+id+'" id="selFOInPortBunker_'+id+'" value=""/><span id="fo_bunkerLevel_'+id+'"></span></td><td align="right"><input type="text" name="txtFOInPortSECAConspWorking_'+id+'" id="txtFOInPortSECAConspWorking_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOInPortNONSECAConspWorking_'+id+'" id="txtFOInPortNONSECAConspWorking_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOInPortSECAConspIdle_'+id+'" id="txtFOInPortSECAConspIdle_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOInPortNONSECAConspIdle_'+id+'" id="txtFOInPortNONSECAConspIdle_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOInPortSECAConspOther_'+id+'" id="txtFOInPortSECAConspOther_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOInPortNONSECAConspOther_'+id+'" id="txtFOInPortNONSECAConspOther_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td></tr>').appendTo("#tbodyFOInPort");
  <?php }else{?>
        $('<tr id="FOInPortRow_'+id+'"><td align="right"><input type="hidden" name="selFOInPortBunker_'+id+'" id="selFOInPortBunker_'+id+'" value=""><span id="fo_bunkerLevel_'+id+'"></span></td><td align="right"><input type="text" name="txtFOInPortSECAConspIdleBallast_'+id+'" id="txtFOInPortSECAConspIdleBallast_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOInPortNONSECAConspIdleBallast_'+id+'" id="txtFOInPortNONSECAConspIdleBallast_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOInPortSECAConspIdleLaden_'+id+'" id="txtFOInPortSECAConspIdleLaden_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOInPortNONSECAConspIdleLaden_'+id+'" id="txtFOInPortNONSECAConspIdleLaden_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOInPortSECAConspWorkingLP_'+id+'" id="txtFOInPortSECAConspWorkingLP_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOInPortNONSECAConspWorkingLP_'+id+'" id="txtFOInPortNONSECAConspWorkingLP_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOInPortSECAConspWorkingDP_'+id+'" id="txtFOInPortSECAConspWorkingDP_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOInPortNONSECAConspWorkingDP_'+id+'" id="txtFOInPortNONSECAConspWorkingDP_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td></tr>').appendTo("#tbodyFOInPort");
		
		$('<tr id="FOOthersRow_'+id+'"><td align="right"><input type="hidden" name="selFOOtherBunker_'+id+'" id="selFOOtherBunker_'+id+'" value=""><span id="fo_otherbunkerLevel_'+id+'"></span></td><td align="right"><input type="text" name="txtFOOtherSECAConspTK_'+id+'" id="txtFOOtherSECAConspTK_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOOtherNONSECAConspTK_'+id+'" id="txtFOOtherNONSECAConspTK_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOOtherSECAConspInert_'+id+'" id="txtFOOtherSECAConspInert_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOOtherNONSECAConspInert_'+id+'" id="txtFOOtherNONSECAConspInert_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOOtherSECAConspGF_'+id+'" id="txtFOOtherSECAConspGF_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOOtherNONSECAConspGF_'+id+'" id="txtFOOtherNONSECAConspGF_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOOtherSECAConspHeat_'+id+'" id="txtFOOtherSECAConspHeat_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOOtherNONSECAConspHeat_'+id+'" id="txtFOOtherNONSECAConspHeat_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOOtherSECAConspHeat1_'+id+'" id="txtFOOtherSECAConspHeat1_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtFOOtherNONSECAConspHeat1_'+id+'" id="txtFOOtherNONSECAConspHeat1_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td></tr>').appendTo("#tbodyFOOthers");
  <?php }?>
		$("#txtFOAtSeaID").val(id);
		FOBunkerChnge(id);
		$(".numeric").numeric();
	}
}

function removeFOAtSeaRow(var1)
{
	jConfirm('Are you sure you want to remove this entry permanently ?', 'Confirmation', function(r) {
		if(r){
				$("#FOAtSeaRow_"+var1).remove();
				$("#FOInPortRow_"+var1).remove();
			 }
		else{return false;}
		});
}


//----------------------------------------
function AddNewDOAtSeaRow()
{
	var id = $("#txtDOAtSeaID").val();
	if($("#selDOAtSeaBunker_"+id).val() != "")
	{
		id = (id - 1) + 2;
		$('<tr id="DOAtSeaRow_'+id+'"><td align="center"><a href="#DOAtSeaRow_'+id+'" onClick="removeDOAtSeaRow('+id+');"><i class="fa fa-times" style="color:red;"></i></a></td><td align="right"><select  name="selDOAtSeaBunker_'+id+'" class="select form-control" id="selDOAtSeaBunker_'+id+'"  onChange="DOBunkerChnge('+id+');"><?php $obj->getBunkerListBasedOnBunkerType('MDO');?></select></td><td align="right"><input type="text" name="txtDOBalAtSeaSECAConspFS_'+id+'" id="txtDOBalAtSeaSECAConspFS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOLadAtSeaSECAConspFS_'+id+'" id="txtDOLadAtSeaSECAConspFS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOBalAtSeaNONSECAConspFS_'+id+'" id="txtDOBalAtSeaNONSECAConspFS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOLadAtSeaNONSECAConspFS_'+id+'" id="txtDOLadAtSeaNONSECAConspFS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOBalAtSeaSECAConspSS_'+id+'" id="txtDOBalAtSeaSECAConspSS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOLadAtSeaSECAConspSS_'+id+'" id="txtDOLadAtSeaSECAConspSS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOBalAtSeaNONSECAConspSS_'+id+'" id="txtDOBalAtSeaNONSECAConspSS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOLadAtSeaNONSECAConspSS_'+id+'" id="txtDOLadAtSeaNONSECAConspSS_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOBalAtSeaSECAConspMES_'+id+'" id="txtDOBalAtSeaSECAConspMES_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOLadAtSeaSECAConspMES_'+id+'" id="txtDOLadAtSeaSECAConspMES_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOBalAtSeaNONSECAConspMES_'+id+'" id="txtDOBalAtSeaNONSECAConspMES_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOLadAtSeaNONSECAConspMES_'+id+'" id="txtDOLadAtSeaNONSECAConspMES_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td></tr>').appendTo("#tbodyDOAtSea");
  <?php if($obj->getVesselIMOData($id,"BUSINESSTYPEID")==3 || $obj->getVesselIMOData($id,"BUSINESSTYPEID")==1)
		{?>												
		$('<tr id="DOInPortRow_'+id+'"><td align="right"><input type="hidden" name="selDOInPortBunker_'+id+'" id="selDOInPortBunker_'+id+'" value=""/><span id="do_bunkerLevel_'+id+'"></span></td><td align="right"><input type="text" name="txtDOInPortSECAConspWorking_'+id+'" id="txtDOInPortSECAConspWorking_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOInPortNONSECAConspWorking_'+id+'" id="txtDOInPortNONSECAConspWorking_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOInPortSECAConspIdle_'+id+'" id="txtDOInPortSECAConspIdle_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOInPortNONSECAConspIdle_'+id+'" id="txtDOInPortNONSECAConspIdle_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOInPortSECAConspOther_'+id+'" id="txtDOInPortSECAConspOther_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOInPortNONSECAConspOther_'+id+'" id="txtDOInPortNONSECAConspOther_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td></tr>').appendTo("#tbodyDOInPort");
  <?php }else{?>
        $('<tr id="DOInPortRow_'+id+'"><td align="right"><input type="hidden" name="selDOInPortBunker_'+id+'" id="selDOInPortBunker_'+id+'" value=""><span id="do_bunkerLevel_'+id+'"></span></td><td align="right"><input type="text" name="txtDOInPortSECAConspIdleBallast_'+id+'" id="txtDOInPortSECAConspIdleBallast_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOInPortNONSECAConspIdleBallast_'+id+'" id="txtDOInPortNONSECAConspIdleBallast_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOInPortSECAConspIdleLaden_'+id+'" id="txtDOInPortSECAConspIdleLaden_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOInPortNONSECAConspIdleLaden_'+id+'" id="txtDOInPortNONSECAConspIdleLaden_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOInPortSECAConspWorkingLP_'+id+'" id="txtDOInPortSECAConspWorkingLP_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOInPortNONSECAConspWorkingLP_'+id+'" id="txtDOInPortNONSECAConspWorkingLP_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOInPortSECAConspWorkingDP_'+id+'" id="txtDOInPortSECAConspWorkingDP_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOInPortNONSECAConspWorkingDP_'+id+'" id="txtDOInPortNONSECAConspWorkingDP_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td></tr>').appendTo("#tbodyDOInPort");
		
		$('<tr id="DOOthersRow_'+id+'"><td align="right"><input type="hidden" name="selDOOtherBunker_'+id+'" id="selDOOtherBunker_'+id+'" value=""><span id="do_otherbunkerLevel_'+id+'"></span></td><td align="right"><input type="text" name="txtDOOtherSECAConspTK_'+id+'" id="txtDOOtherSECAConspTK_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOOtherNONSECAConspTK_'+id+'" id="txtDOOtherNONSECAConspTK_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOOtherSECAConspInert_'+id+'" id="txtDOOtherSECAConspInert_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOOtherNONSECAConspInert_'+id+'" id="txtDOOtherNONSECAConspInert_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOOtherSECAConspGF_'+id+'" id="txtDOOtherSECAConspGF_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOOtherNONSECAConspGF_'+id+'" id="txtDOOtherNONSECAConspGF_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOOtherSECAConspHeat_'+id+'" id="txtDOOtherSECAConspHeat_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOOtherNONSECAConspHeat_'+id+'" id="txtDOOtherNONSECAConspHeat_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOOtherSECAConspHeat1_'+id+'" id="txtDOOtherSECAConspHeat1_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td><td align="right"><input type="text" name="txtDOOtherNONSECAConspHeat1_'+id+'" id="txtDOOtherNONSECAConspHeat1_'+id+'" class="form-control numeric" autocomplete="off" value=""/></td></tr>').appendTo("#tbodyDOOthers");
  <?php }?>	
		$("#txtDOAtSeaID").val(id);
		DOBunkerChnge(id);
		$(".numeric").numeric();
	}
}

function removeDOAtSeaRow(var1)
{
	jConfirm('Are you sure you want to remove this entry permanently ?', 'Confirmation', function(r) {
		if(r){
				$("#DOAtSeaRow_"+var1).remove();
				$("#DOInPortRow_"+var1).remove();
			 }
		else{return false;}
		});
}


function DOBunkerChnge(val)
{
    if($("#selDOAtSeaBunker_"+val).val()!='')
	{
	    $("#selDOInPortBunker_"+val+",#selDOOtherBunker_"+val).val($("#selDOAtSeaBunker_"+val).val());
		$("#do_bunkerLevel_"+val+",#do_otherbunkerLevel_"+val).text($("#selDOAtSeaBunker_"+val+" option:selected").text());
	}else
	{
	    $("#selDOInPortBunker_"+val+",#selDOOtherBunker_"+val).val('');
		$("#do_bunkerLevel_"+val+",#do_otherbunkerLevel_"+val).text('');
	}
}


function FOBunkerChnge(val)
{
    if($("#selFOAtSeaBunker_"+val).val()!='')
	{
	    $("#selFOInPortBunker_"+val+",#selFOOtherBunker_"+val).val($("#selFOAtSeaBunker_"+val).val());
		$("#fo_bunkerLevel_"+val+",#fo_otherbunkerLevel_"+val).text($("#selFOAtSeaBunker_"+val+" option:selected").text());
	}else
	{
	    $("#selFOInPortBunker_"+val+",#selFOOtherBunker_"+val).val('');
		$("#fo_bunkerLevel_"+val+",#fo_otherbunkerLevel_"+val).text('');
	}
}

</script>
    </body>
</html>