<?php 
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");
$obj = new data();
$_SESSION['moduleid'] =6;
$connect = $obj->funConnect();
$display = new display();
$display->logout_iu();
$pagename = basename($_SERVER['PHP_SELF']);
$msg = NULL;
$selBType = $_SESSION['selBType'];
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<link href="../../css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href=
"https://unpkg.com/leaflet@1.6.0/dist/leaflet.css"
    integrity="sha512-xwE/Az9zrjBIphAcBb3F6JVqxf46+CDLwfLMHloNu6KEQCAWi6HcDUbeOfBIptF7tcCzusKFjFw2yuvEpDL9wQ=="
    crossorigin="" />

<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(2); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        <i class="fa fa-anchor"></i>&nbsp;Fleet&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="#"><i class="fa fa-home"></i> Home</a></li>
                        <li class="active">Fleet</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
				<!--   content put here..................-->
				<?php if(isset($_REQUEST['msg'])){
						$msg = $_REQUEST['msg'];
						if($msg == 0){?>
				<div class="alert alert-success alert-dismissable">
					<i class="fa fa-check"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Congratulations!</b>  Fleet added/updated successfully.
				</div>
				<?php }?>
				<?php if($msg == 1){?>
				<div class="alert alert-danger alert-dismissable">
					<i class="fa fa-ban"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Sorry!</b> there was an error while adding/updating Fleet.
				</div>
				<?php }}?>
				<div class="box box-primary">
				<h3 style=" text-align:center;">FLEET</h3>
				    <div class="col-xs-6">
					<div align="left">
						<a href="#" style="display:block;" data-toggle="modal" data-target="#compose-modal"><button type="button" class="btn btn-success btn-flat" id="comparebutton">Search Vessel</button></a>
				</div>

                    </div>

					
					<div class="col-xs-3">
						 <select name="selBType" id="selBType" class="form-control" onChange="getDefaultData();">
						 <option value="">---Select Business Type---</option>
						   <?php echo $obj->getBusinessTypeList1($selBType);?>
						  </select>               

					</div><!-- /.col -->
					<div class="col-xs-3">
						<div align="right"><a href="#" onClick="getListToCompare();"><button type="button" class="btn btn-info btn-flat" id="comparebutton">Compare Vessels</button></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<button style="display:none;" class="btn btn-info btn-flat" data-toggle="modal" id="buttonPop1" data-target="#compose-modal">Compare Voyage Est.</button><a href="addVessel.php" title="Add New"><button class="btn btn-info btn-flat">Add New</button></a>&nbsp;&nbsp;&nbsp;&nbsp;</div>
					</div>


					
				
                <div class="modal fade" id="compose-modal" tabindex="-1" role="dialog" aria-hidden="true">
				<div class="modal-dialog" style="width:70%">
					 <div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
							<h4 class="modal-title"><i class="fa fa-file-text-o"></i>&nbsp;&nbsp;VESSEL DETAILS</h4>
						</div>
						
						<div class="modal-body" id="div_3" style="overflow:auto;">


                        <div class="box-body table-responsive" style="overflow:auto;">

                        <div id="headingFfaDet"> 

						<div class="form-group" style="width:49%; float:left;">
							<label for="txtVName" >IMO number</label>
							<input type="text" class="form-control" id="txtIMONo" name="txtIMONo" onkeydown="getVesseldataByImo(this)" placeholder="IMO number" autocomplete="off">                        
						</div>
					


						<div class="form-group" style="width:49%; float:left;padding-left:1%;">
							<label for="txtVName" >Vessel Name</label>
							<input type="text" class="form-control" id="txtVName" name="txtVName" placeholder="Vessel Name" autocomplete="off">                        </div>



						</div>


                     
                                           <table class="table table-bordered table-striped">
                                             <thead>
                                                 <tr>
                                                     <th align="left" width="15%">NAME
                     
                                                     </th>
                                                     <th align="left" width="25%">IMO
                     
                                                     </th>
                                                     <th align="left" width="40%">MMSI
                     
                                                     </th>
                                                     <th align="left" width="25%">CALL SIGN</th>
                                                     <th align="left" width="40%">SHIP TYPE</th>
                                                     <th align="left" width="40%">LENGTH OVERALL</th>
                                                     <th align="left" width="40%">BREADTH</th>
                                                     <th align="left" width="40%">CURRENT DRAUGHT</th>
                                                     <th align="left" width="40%">LAST SEEN</th>
                                                 </tr></thead>

                                               
												       
                      
                     
                                                            <tbody id="FfaDetailHedgeVsl">
                                                                             
                                                                           </tbody>
                                                                           </table>
                                                                         
                                                         </div><!-- /.col -->




						</div>
                        
					 </div>
				</div>
			</div>


			
			<div class="modal fade" id="compose_modal_distance" tabindex="-1" role="dialog" aria-hidden="true">
					<div class="modal-dialog" style="width:80%;">
						<div class="modal-content">
							<div class="modal-header">
								<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
								<h4 class="modal-title"><i class="fa fa-file-text-o"></i>&nbsp;&nbsp;Last Position</h4>
								<input type="hidden" id="portDistanceRowid" name="portDistanceRowid" value="" />
							</div>

							<div class="modal-body">
								<table class='tablesorter' width="100%" border="1px">
									<tr>
										<td width="20%"><b>Name: </b><span id="spanForName"></span></td>
										<td width="20%"><b>Call sign: </b><span id="call_sign"></span></td>
										<td width="15%"><b>Destination: </b><span id="destination"></span></td>
										<td width="15%"><b>ETA datetime: </b><span id="etaDateTime"></span></td>
										<td width="15%"><b>Max draught: </b><span id="max_draught"></span></td>
										<td width="15%"><b>Ship type: </b><span id="shipType"></span></td>
										<td width="20%"><b>Navigational status : </b><span id="navigational_status"></span></td>

									</tr>

									<tr>
										<td><b>Origin: </b><span id="spanForOrigin"></span></td>
										<td><span id="spanToPort"></span></td>

										<td></td>
										<td><span id="spanGreatCircle2"></span></td>
										<td>
										
										</td>
										<td>
										
										</td>
										<td>
										</td>

									</tr>
									<tr>
										<td colspan="2"><b>LAT/LONG</b></td>
										<td></td>
										<td></td>
										<td></td>
										<td></td>
										<td></td>
									</tr>
									<tr>
										<td colspan="8">
											<div id="map" style="width:100%; height:500px; vertical-align:middle; text-align:center; border:1px solid #D6D6D6; margin-bottom:10px;">
												<div id="distancemap" style="width:100%; height:500px; vertical-align:middle; text-align:center; border:1px solid #D6D6D6; margin-bottom:10px;">Show Map Here</div>
										</td>
										
									
									</tr>
									</tbody>
								</table>

								<div class="row">
								
					
									<div class="col-xs-2" style="text-align:left;">
									Dimension_a_m
										<address>
											<span id="Dimension_a_m">0.00</span>
										</address>
									</div>
									<div class="col-xs-2" style="text-align:left;">
									Dimension_b_m
										<address>
											<span id="Dimension_b_m">0.00</span>
										</address>
									</div>
									<div class="col-xs-2" style="text-align:left;">
									Dimension_c_m
										<address>
											<span id="Dimension_c_m">0.00</span>
										</address>
									</div>

									<div class="col-xs-2" style="text-align:left;">
									Dimension_d_m
										<address>
											<span id="Dimension_d_m">0.00</span>
										</address>
									</div>
							
								
								</div>
							</div>

						</div>
					</div>
				</div>





					<div class="box-body table-responsive" style="overflow:auto;">
						<table class="table table-bordered table-striped" id='fleet_list'>
							<thead>
								<tr>
								<th>#</th>
								<th>Vessel Type</th>
								<th>Vessel</th>
								<th>Business Type</th>
								<th>IMO No.</th>
								<th>Summer DWT(MT)</th>
								<th>Built</th>
								<th>Primary Details</th>
								<th>Vessel Particulars</th>
								<th>Commercial Parameters</th>
								<th>Select to Compare</th>
								</tr>
							</thead>
							
						</table>
					</div>

		
				
				<?php //$obj->displayFleetlList();?>
				</div>
                
                 <div class="modal fade" id="compose-modal" tabindex="-1" role="dialog" aria-hidden="true">
				<div class="modal-dialog" style="width:95%">
					 <div class="modal-content">

						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
							<h4 class="modal-title"><i class="fa fa-file-text-o"></i>&nbsp;&nbsp;Compare Vessels</h4>
						</div>
						<form name="frm2" id="frm2" enctype="multipart/form-data" action="<?php echo $pagename;?>"/>
						<div class="modal-body" id="div_3" style="overflow:auto;">

						</div>
                        <input type="hidden" name="action1" value="submit" />
                        </form>
					 </div>
				</div>
				</div>
				<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
			
        </div><!-- ./wrapper -->
<?php $display->footer(); ?>
<?php $display->js(); ?>
<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js" type="text/javascript"></script>
	
	<!-- new scripts -->
	<script src="https://cdn.datatables.net/buttons/2.2.2/js/dataTables.buttons.min.js" type="text/javascript"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js" type="text/javascript"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js" type="text/javascript"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js" type="text/javascript"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js" type="text/javascript"></script>
	<script src="https://cdn.datatables.net/buttons/2.2.2/js/buttons.html5.min.js" type="text/javascript"></script>
	<script src="https://cdn.datatables.net/buttons/2.2.2/js/buttons.print.min.js" type="text/javascript"></script>
<script src="../../js/timer.js" type="text/javascript"></script>
<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>


<script src="https://unpkg.com/leaflet@1.6.0/dist/leaflet.js"
    integrity="sha512-gZwIG9x3wUXg2hdXF6+rVkLF/0Vi9U8D2Ntg4Ga5I5BZpVkVxlJWbSQtXPSiUTtC0TjtGOmxa1AJPuV0CPthew=="
    crossorigin=""></script>



<script type="text/javascript">
$(function() {
	getDefaultData();

	
});


function getVesseldataByImo(ele){

$('#FfaDetailHedgeVsl').html('<tr><td align="center" colspan="8"><img src="../../img/loading.gif" /></td></tr>');
	$.post("getVesselByImo.php",{txtIMONo:""+$(ele).val()+"",txtToDate:""+$("#txtToDate").val()+"",txtFromDate:""+$("#txtFromDate").val()+""}, function(html) {
		$('#FfaDetailHedgeVsl').empty();

		// console.log(JSON.parse(html));
		if(html!=null){
		var jsondata1 = JSON.parse(html);
		// console.log();
		let sumpnlrel=Number(0);
		let nOFD=Number(0);
		let m2mpl=Number(0);
		let closedDays=Number(0);
		let ttlpnl = Number(0);
		let ttlForTTlpnl = Number(0);
		let vsl = '';
		// console.log(jsondata1.results.length);
		$.each(jsondata1.results, function(index, array){

		
		 
			
			$('<tr><td> <a href="#" class="column1link"  class="blue-border" style="display:block;" data-toggle="modal" data-target="#compose_modal_distance" data-id="'+array['name']+'" onclick="getLastPositionOfVessel(this)">'+array['name']+'</a></td><td>'+array['imo']+'</td><td>'+array['mmsi']+'</td><td>'+array['call_sign']+'</td><td>'+array['ship_type']+'</td><td>'+array['length_overall']+'</td><td>'+array['breadth']+'</td><td>'+array['current_draught']+'</td><td>'+array['last_seen']+'</td></tr>').appendTo("#FfaDetailHedgeVsl");

			
			

			// $('<tr><td>'+array['vessel']+'</td><td>'+array['voyageno']+'</td><td data-order="'+array['cpdatestr']+'">'+array['cpdate']+'</td><td>'+array['voyage']+'</td><td>'+array['delredeldate']+'</td></tr>').appendTo("#reportcomtbody");
		});
		// $('#reporttable').dataTable();

		// $('<h3 align="center">VESSEL</h3>').appendTo("#headingFfaDet");
		$('#ttlforhedgepnl').val(parseFloat(sumpnlrel));
		$('#ttlforhedm2m').val(parseFloat(m2mpl));
		$('#nOFD').val(parseFloat(nOFD));
	}else{
		$('#FfaDetailHedgeVsl').html('<tr><td align="center" colspan="8"><img src="../../img/loading.gif" /></td></tr>');
		
	}

	
		

});



}




function getDefaultData()
{
		var table = $('#fleet_list').dataTable();
		if(table != null)table.fnDestroy();
	  
		table = $("#fleet_list").DataTable( {
			"processing": true,
			"serverSide": true,
			"stateSave": true,
			"order": [[0, 'desc']],
			"ajax": {
				"url": "options.php?id=100",
				"type": "POST",
				"dataSrc": function ( d ) {
					return d.records;
				},
				"data": function ( d ) {d.selBType=$("#selBType").val()},
			},
			"columns": [
				{ "data": "col1" },
				{ "data": "col2" },
				{ "data": "col3" },
				{ "data": "col4" },
				{ "data": "col5" },
				{ "data": "col6" },
				{ "data": "col7" },
				{ "data": "col8" },
				{ "data": "col9" },
				{ "data": "col10" },
				{ "data": "col11" },
			],
			"language": {
				  "zeroRecords": "SORRY CURRENTLY THERE ARE ZERO(0) RECORDS"
				},
			 "fnDrawCallback": function(oSettings, json) {
				  $('[data-toggle="tooltip"]').tooltip();
				  $("input[type='checkbox']").iCheck({
					checkboxClass: 'icheckbox_minimal',
					radioClass: 'iradio_minimal'
					});	
				},	
			"columnDefs": [ 
					{
						"targets": 7,
						"orderable": false
					},
					{
						"targets": 8,
						"orderable": false
					},
					{
						"targets": 9,
						"orderable": false
					}
					,
					{
						"targets": 10,
						"orderable": false
					}
				]
					
		});
}


function getListToCompare()
{
	var anyBoxesChecked = false;
	var chkArr = Array();
	var j = 0;
    $('[id^=chkVSL_]').each(function() {
        if ($(this).is(":checked")) {
			chkArr[j] = $(this).val();
            anyBoxesChecked = true;
			j = j + 1;
        }
    });
 
    if (anyBoxesChecked == false) {
       jAlert('Please select at least one checkbox', 'alert');
      return false;
    } 
	else
	{  
	    $("#buttonPop1").click();
	    $("#div_3").html('<b style="font-size:25px;">Please wait . . .</b><br><br><img src="../../img/loading.gif"  />');
		$.post("options.php?id=48",{chkArr:""+chkArr+""}, function(html) {
		$("#div_3").html("");
		$("#div_3").html(html);
		$("input[type='radio']").iCheck({
				checkboxClass: 'icheckbox_minimal',
				radioClass: 'iradio_minimal'
			    });
		$('[id^=txtDesc_]').autosize({append: "\n"});
	});
	}
}

var i=0;
var map;

function getLastPositionOfVessel(ele) {

	// console.log()

$.post("getLastPosVessel.php", {
	vesselName: "" + $(ele).data('id') + "",
	txtFromDate: "" + $("#txtFromDate").val() + ""
}, function(json) {

	$("#map").empty();
	var jsondata = JSON.parse(json);	

	// console.log(i);
	// console.log(jsondata);

		if (map != undefined) map.remove();
		 map = L.map('map');
	

		// map.off();
	// map.remove();

	L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {

		maxZoom: 19,

	}).addTo(map);

	map.setView([jsondata.vessels_info[0].latitude_deg, jsondata.vessels_info[0].longitude_deg], 10);
	let Marker = L.marker([jsondata.vessels_info[0].latitude_deg, jsondata.vessels_info[0].longitude_deg]).addTo(map);
	var latlng = new L.latLng(jsondata.vessels_info[0].latitude_deg, jsondata.vessels_info[0].longitude_deg);
	var point = L.Projection.Mercator.project(latlng);
	console.log(point.toString());
	var popup = L.popup();
	popup.setLatLng(latlng)
		.setContent(" " + latlng.toString())
		.openOn(map);
	Marker.bindPopup("Ship is at " + latlng.toString()).openPopup();

	$('#spanForName').text(jsondata.vessels_info[0].name)
	$('#call_sign').text(jsondata.vessels_info[0].call_sign)
	$('#destination').text(jsondata.vessels_info[0].destination)
	$('#etaDateTime').text(jsondata.vessels_info[0].eta_datetime)
	$('#max_draught').text(jsondata.vessels_info[0].max_draught)
	$('#shipType').text(jsondata.vessels_info[0].ship_type)
	$('#navigational_status').text(jsondata.vessels_info[0].navigational_status)
	$('#Dimension_a_m').text(jsondata.vessels_info[0].dimension_a_m)
	$('#Dimension_b_m').text(jsondata.vessels_info[0].dimension_b_m)
	$('#Dimension_c_m').text(jsondata.vessels_info[0].dimension_c_m)
	$('#Dimension_d_m').text(jsondata.vessels_info[0].dimension_d_m)
	$('#spanForOrigin').text(jsondata.vessels_info[0].origin)
	i++;

});

}



</script>
    </body>
</html>