<?php
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");

$_SESSION['moduleid'] = 6;
$_SESSION['selBType'] = 3;
$_SESSION['company'] = 1;
$obj        = new data();
$connect    = $obj->funConnectMysqli();

$auth_token = mysqli_real_escape_string($connect, $_REQUEST['auth_token']);

if ($auth_token != "6obDl3xsdutQ2Js0nF0rT") {
	echo "Invalid Auth Token";
	die;
}

$json_Data = [[]];
if ($_REQUEST['vocType'] == 'FREIGHT INVOICE RECEIPT') {
	$sql = 'select * from freight_invoice_master where SYNC_STATUS=1';

	// echo $sql;

	$res = mysqli_query($connect, $sql);
	$p = 0;
	while ($rows = mysqli_fetch_assoc($res)) {

		$fcaid = $obj->getLatestCostSheetID($rows['COMID']);
		$obj->viewFreightCostEstimationTempleteRecordsNew($fcaid);


		// echo $fcaid;

		$arr       = $obj->getLoadPortAndDischargePortArrBasedOnCommidAndProcessWithoutTBN($rows['COMID'], $fcaid);

		$lp_name = array();
		$dp_name = array();
		$discharge_port = "";

		for ($j = 0; $j < count($arr); $j++) {
			$arr_explode = explode('@@', $arr[$j]);
			if ($arr_explode[0] == "LP" && $arr_explode[8] == '') {
				$lp_name[] = $obj->shortPortNameWithCountry($obj->getPortNameBasedOnID($arr_explode[1]));
			}
			if ($arr_explode[0] == "DP" && $arr_explode[8] == '') {
				$dp_name[] = $obj->shortPortNameWithCountry($obj->getPortNameBasedOnID($arr_explode[1]));
			}
		}

		// echo $rows['COMID'];

		// die($rows['COMID']);
		$lp_name  = implode(', ', $lp_name);
		$dp_name  = implode(', ', $dp_name);


		$crLedger='';
		$Addcomm = '';
		$broKreageCode = ''; 
		if(strpos($obj->getCompareEstimateData($rows['COMID'],"VOYAGE_NO"), 'U') !== false || strpos($obj->getCompareEstimateData($rows['COMID'],"VOYAGE_NO"), 'TU') !== false){
	
		if (strpos($lp_name, 'UAE') !== false && strpos($dp_name, 'UAE') !== false) {

			$crLedger = 'DI0006';
			$Addcomm = 'DE0001';
			$broKreageCode = 'DE0006';
	
		}else if(strpos($lp_name, 'UAE') !== false && strpos($dp_name, 'UAE') == false){
	
			$crLedger = 'SA0024';
			$Addcomm = 'SA0001';
			$broKreageCode = 'SA0008';
	
		}else if(strpos($lp_name, 'UAE') == false && strpos($dp_name, 'UAE') !== false){
	
			$crLedger = 'SA0024';
			$Addcomm = 'SA0001';
			$broKreageCode = 'SA0008';
		}else if(strpos($lp_name, 'UAE') == false && strpos($dp_name, 'UAE') == false){
			
			$crLedger = 'SA0023';
			$Addcomm = 'SA0002';
			$broKreageCode = 'SA0007';
		}
		}else{
			$crLedger = 'DI0006';
			$Addcomm = 'DE0001';
			$broKreageCode = 'DE0006';
	
		}
	

		



		$sqlForQtyNRate = 'select BL_QTY_FREIGHT,FREIGHT_GROSS,COAID from
		freight_cost_estimete_master where FCAID="' . $fcaid . '" and COMID="' . $rows['COMID'] . '"';


		$resForQtyNRate = mysqli_query($connect, $sqlForQtyNRate) or die($sqlForQtyNRate);

		$rowForQtyNRate = mysqli_fetch_assoc($resForQtyNRate);

		if (!empty($rowForQtyNRate['COAID']) || $rowForQtyNRate['COAID'] != NULL) {
			// echo '<h1>hi';
			$sql1 = "select * from freight_cost_estimete_slave10 where FCAID='" . $fcaid . "' and STATUS=1";

			$res1 = mysqli_query($connect, $sql1) or die($sql1);

			$row1 = mysqli_fetch_assoc($res1);
		}
		// die($rows['COMID']);
		if ($obj->getCompareEstimateData($rows['COMID'], "ESTIMATE_TYPE") == 1) {
			// die($rows['COMID'].'123');
			$quantity = $obj->getCompareEstimateData($rows['COMID'], "GAS_QUANTITY");
			$totalfreight = $row12['SUM3'];
			$freightrate = $row12['GAS_BASE_RATE'];
		} else if ($obj->getCompareEstimateData($rows['COMID'], "ESTIMATE_TYPE") == 2) {
			// die($rows['COMID'].'askld');
			$quantity = $obj->getCompareEstimateData($rows['COMID'], "TANK_QUANTITY");
			$freightrate = $obj->getFun250();
			$maincargoid = $obj->getFun52();
			if ($obj->getFun228() == 1) {
				if ($obj->getFun171() == 1) {
					$totalfreight = $obj->getFun172();
					$quantity = $obj->getCompareEstimateData($rows['COMID'], "TANK_QUANTITY");
				} else {
					$res1_1 = mysqli_query($connect, "select * from freight_cost_estimete_slave12 where FCAID='" . $obj->getFun1() . "' and CUSTOMER = '" . $rows['VENDOR'] . "' ");
					$row1_1 = mysqli_fetch_assoc($res1_1);
					$totalfreight = $row1_1['TOTAL_AMOUNT'];
					$quantity = $row1_1['TOTAL_QTY'];
				}
			} else {

				$sql12 = "select CARGO_MT, AMOUNT_USD, CARGOID from freight_cost_estimete_slave10 where FCAID='" . $fcaid . "' and RANDOMID='" . $rows['RANDOMID'] . "' and STATUS=1";
				$res12 = mysqli_query($connect, $sql12);
				$row12 = mysqli_fetch_assoc($res12);
				$quantity = $row12['CARGO_MT'];

				$totalfreight = $row12['AMOUNT_USD'];
				$maincargoid = $row12['CARGOID'];
			}
		} else {
			if ($obj->getCompareEstimateData($rows['COMID'], "QTY_TYPE_RADIO") == 1) {


				// echo 'dpk';
				$quantity = $obj->getCompareEstimateData($rows['COMID'], "QUANTITY");
				$totalfreight = $obj->getCompareEstimateData($rows['COMID'], "TOTAL_PREIGHT_ADJ");
				// $freightrate = $obj->getCompareEstimateData($rows['COMID'],"FREIGHT_GROSS");

				if ($rows['FREIGHT_RATE'] != NULL || $rows['FREIGHT_RATE'] != 0.00) {
					$freightrate = $rows['FREIGHT_RATE'];

					// echo 'lp';
				} else {
					$freightrate = $obj->getCompareEstimateData($rows['COMID'], "FREIGHT_GROSS");

					// echo 'cp';
				}

				$maincargoid = $obj->getCompareEstimateData($rows['COMID'], "CARGO_ID");
			} else {

				$sql12 = "select QUANTITY, GROSS_FREIGHT, AGREED_GROSS_FREIGHT, CARGO from freight_cost_estimete_slave7 where FCAID='" . $fcaid . "' and RANDOMID='" . $rows['RANDOMID'] . "'";


				// echo $sql12;



				$res12 = mysqli_query($connect, $sql12) or die($sql12);
				$row12 = mysqli_fetch_assoc($res12);
				$quantity = $row12['QUANTITY'];
				$totalfreight = $row12['GROSS_FREIGHT'];
				$freightrate = $row12['AGREED_GROSS_FREIGHT'];
				$maincargoid = $row12['CARGO'];
			}
		}
		// echo $quantity;
		// die($freightrate);

		// echo '<pre>';

		// print_r($rows);

		if ($obj->getFun155() == 2) {
			$f_rate =  $id[7] . ' USD/MT';
		} else if (!empty($rowForQtyNRate['COAID']) || $rowForQtyNRate['COAID'] != NULL) {
			$f_rate = $rowForQtyNRate['FREIGHT_GROSS'] . ' USD/MT';
		} else {
			$f_rate = $rowForQtyNRate['FREIGHT_GROSS'] . ' USD/MT';
		}

		$LPDem = $DPDem = $DPDesp =  $LPDesp =  0;

		for ($jj = 0; $jj < count($arr); $jj++) {
			$arr_explode = explode('@@', $arr[$jj]);
			$psql = "select * from laytime_master where COMID='" . $rows['COMID'] . "' and LOGIN='INTERNAL_USER' and PORT='" . $arr_explode[0] . "' and PORTID='" . $arr_explode[1] . "' and RANDOMID='" . $arr_explode[2] . "'";
			$pres = mysqli_query($connect, $psql);
			while ($prows = mysqli_fetch_assoc($pres)) {

				$sql2 = "select * from freight_invoice_slave3 where INVOICEID='" . $rows['INVOICEID'] . "' and PORT='" . $arr_explode[0] . "' and PORTID='" . $arr_explode[1] . "' and RANDOMID='" . $arr_explode[2] . "'";
				$res21 = mysqli_query($connect, $sql2);
				while ($rows21 = mysqli_fetch_assoc($res21)) {

					$DebitDeMLedger = $rows21['VENDORID'];
					if($rows21['DEM_AMT']>0)
					{
	
						
	
						if($prows['PORT']=='LP')
						{
							$LPDem += $rows21['DEM_AMT'];
						}
						if($prows['PORT']=='DP')
						{
							$DPDem += $rows21['DEM_AMT'];
						}
	
	
	
					}else{
				
						if($prows['PORT']=='LP')
						{
							$LPDesp +=  $rows21['DEM_AMT'];
						}
						if($prows['PORT']=='DP')
						{
							$DPDesp += $rows21['DEM_AMT'];
						}
	
					}  
				}
			}
		}


		$sql_brok = "select * from freight_cost_estimete_slave4 where FCAID='" . $fcaid . "'";

		$res_brok = mysqli_query($connect, $sql_brok);
		$num_brok = mysqli_num_rows($res_brok);
		if ($num_brok == 0) {
			$BrokerageVendor = '';
		} else {

			while ($rows_brok = mysqli_fetch_assoc($res_brok)) {

				$BrokerageVendor = explode(",", $rows_brok['VENDORID']);
			}
		}
		// print_r($BrokerageVendor);
		$sql_brok = "select * from freight_cost_estimete_slave4 where FCAID='" . $fcaid . "'";

		$res_brok = mysqli_query($connect, $sql_brok);
		$num_brok = mysqli_num_rows($res_brok);
		if ($num_brok == 0) {
			$BrokerageVendor = '';
		} else {

			while ($rows_brok = mysqli_fetch_assoc($res_brok)) {



				$dynamicArray[$dynamicKey] = $dynamicValue;
			}
		}



	
	unset($otherAddAdj);
	if($rows['I_TYPE']=='Final'){

		$sql111 = 'select  INVOICEID from freight_invoice_master where COMID="'.$rows['COMID'].'" and I_TYPE="Interim"';
		$res111 = mysql_query($sql111);
		
		// echo $sql111;
	

		while($rows111 = mysql_fetch_assoc($res111)){


			$sql_addadj = "select * from freight_invoice_adj_slave where INVOICEID='".$rows['invoiceid']."' and IDENTIFY='ADD' and AMOUNT>0" ;
									
	
			// echo $sql_add;
			$res_addadj = mysql_query($sql_addadj);
			$num_addadj = mysql_num_rows($res_addadj);

			$sql_addadjForinitial = "select * from freight_invoice_adj_slave where INVOICEID='".$rows111['INVOICEID']."' and IDENTIFY='ADD' and AMOUNT>0" ;
									
	
			// echo $sql_addadj;
			// die();
					$res_addadjforini = mysql_query($sql_addadjForinitial);
					$num_addadjforini = mysql_num_rows($res_addadjforini);


			if($num_addadjforini==0)
			{
				// $resForSubAdd='';

				$sql_addadj = "select * from freight_invoice_adj_slave where INVOICEID='".$rows['invoiceid']."' and IDENTIFY='ADD' and AMOUNT>0" ;
									
	
				// echo $sql_add;
				$res_addadj = mysql_query($sql_addadj);
				$num_addadj = mysql_num_rows($res_addadj);
				if($num_addadj==0)
				{
					// $resForSubAdd='';
			
				}else{
					$i=1;
					$k=1;
			
					$otherAddAdj[[]];
			
					while($resForAddadj = mysql_fetch_assoc($res_addadj))
					{
						
						$otherAddAdj[]=array(
			
							"COST TYPE" => $resForAddadj['ORC_ID'],
							"FIXTURE NO"=> $resForAddadj['FIXTURE_NO'],
							"VESSEL"=>	$obj->getVesselIMOData($resForAddadj['VESSEL'],'VESSEL_NAME'),
							"DESCRIPTION"=> $resForAddadj['DESCRIPTION'],
							"AMOUNT"=> $resForAddadj['AMOUNT'],
							"DIFF" =>0,
						);
			
						$i++;
			
						$k++;
			
					}
				}





			}else{
				$i=1;
				$k=1;

				$otherAddAdj[[]];

				while($resForAddadj = mysql_fetch_assoc($res_addadj))
				{

					$sql_addadjForinitial = "select * from freight_invoice_adj_slave where INVOICEID='".$rows111['INVOICEID']."' and IDENTIFY='ADD' and AMOUNT>0 and ORC_ID='".$resForAddadj['ORC_ID']."'" ;
									
					$res_addadjforini = mysql_query($sql_addadjForinitial);
					$num_addadjforini = mysql_num_rows($res_addadjforini);

					$resForAddadjforini = mysql_fetch_assoc($res_addadjforini);
					$otherAddAdj[]=array(
			
							"COST TYPE" => $resForAddadj['ORC_ID'],
							"FIXTURE NO"=> $resForAddadj['FIXTURE_NO'],
							"VESSEL"=>	$obj->getVesselIMOData($resForAddadj['VESSEL'],'VESSEL_NAME'),
							"DESCRIPTION"=> $resForAddadj['DESCRIPTION'],
							"AMOUNT"=> $resForAddadj['AMOUNT'],
							"DIFF" =>$resForAddadj['AMOUNT']-$resForAddadjforini['AMOUNT'],
				
						);


					$i++;

					$k++;
				
				}
			}




		}
	

	}else{

		$sql_addadj = "select * from freight_invoice_adj_slave where INVOICEID='".$rows['invoiceid']."' and IDENTIFY='ADD' and AMOUNT>0" ;
									
	
		// echo $sql_add;
		$res_addadj = mysql_query($sql_addadj);
		$num_addadj = mysql_num_rows($res_addadj);
		if($num_addadj==0)
		{
			// $resForSubAdd='';
	
		}else{
			$i=1;
			$k=1;
	
			$otherAddAdj[[]];
	
			while($resForAddadj = mysql_fetch_assoc($res_addadj))
			{
				
				$otherAddAdj[]=array(
	
					"COST TYPE" => $resForAddadj['ORC_ID'],
					"FIXTURE NO"=> $resForAddadj['FIXTURE_NO'],
					"VESSEL"=>	$obj->getVesselIMOData($resForAddadj['VESSEL'],'VESSEL_NAME'),
					"DESCRIPTION"=> $resForAddadj['DESCRIPTION'],
					"AMOUNT"=> $resForAddadj['AMOUNT'],
					"DIFF" =>0,
				);
	
				$i++;
	
				$k++;
	
			}
		}

		


	}




	
	unset($otherLessAdj);
	if($rows['I_TYPE']=='Final'){

		$sql111 = 'select  INVOICEID from freight_invoice_master where COMID="'.$rows['COMID'].'" and I_TYPE="Interim"';
		$res111 = mysql_query($sql111);
		
		// echo $sql111;
	

		while($rows111 = mysql_fetch_assoc($res111)){


			$sql_addadj = "select * from freight_invoice_adj_slave where INVOICEID='".$rows['INVOICEID']."' and IDENTIFY='SUB' and AMOUNT>0" ;
									
	
			// echo $sql_add;
			$res_addadj = mysql_query($sql_addadj);
			$num_addadj = mysql_num_rows($res_addadj);

			$sql_addadjForinitial = "select * from freight_invoice_adj_slave where INVOICEID='".$rows111['INVOICEID']."' and IDENTIFY='SUB' and AMOUNT>0" ;
									
	
			// echo $sql_addadj;
			// die();
					$res_addadjforini = mysql_query($sql_addadjForinitial);
					$num_addadjforini = mysql_num_rows($res_addadjforini);


			if($num_addadjforini==0)
			{
				// $resForSubAdd='';

				$sql_addadj = "select * from freight_invoice_adj_slave where INVOICEID='".$rows['INVOICEID']."' and IDENTIFY='SUB' and AMOUNT>0" ;
									
	
				// echo $sql_add;
				$res_addadj = mysql_query($sql_addadj);
				$num_addadj = mysql_num_rows($res_addadj);
				if($num_addadj==0)
				{
					// $resForSubAdd='';
			
				}else{
					$i=1;
					$k=1;
			
					$otherLessAdj[[]];
			
					while($resForAddadj = mysql_fetch_assoc($res_addadj))
					{
						
						$otherLessAdj[]=array(
			
							"COST TYPE" => $resForAddadj['ORC_ID'],
							"FIXTURE NO"=> $resForAddadj['FIXTURE_NO'],
							"VESSEL"=>	$obj->getVesselIMOData($resForAddadj['VESSEL'],'VESSEL_NAME'),
							"DESCRIPTION"=> $resForAddadj['DESCRIPTION'],
							"AMOUNT"=> $resForAddadj['AMOUNT'],
							"DIFF" =>0,
						);
			
						$i++;
			
						$k++;
			
					}
				}





			}else{
				$i=1;
				$k=1;

		

				while($resForAddadj = mysql_fetch_assoc($res_addadj))
				{	


					$sql_addadjForinitial = "select * from freight_invoice_adj_slave where INVOICEID='".$rows111['INVOICEID']."' and IDENTIFY='SUB' and AMOUNT>0 and ORC_ID='".$resForAddadj['ORC_ID']."'" ;
									
					$res_addadjforini = mysql_query($sql_addadjForinitial);
					$num_addadjforini = mysql_num_rows($res_addadjforini);

					$resForAddadjforini = mysql_fetch_assoc($res_addadjforini);
					
				
							$otherLessAdj[]=array(
			
								"COST TYPE" => $resForAddadj['ORC_ID'],
								"FIXTURE NO"=> $resForAddadj['FIXTURE_NO'],
								"VESSEL"=>	$obj->getVesselIMOData($resForAddadj['VESSEL'],'VESSEL_NAME'),
								"DESCRIPTION"=> $resForAddadj['DESCRIPTION'],
								"AMOUNT"=> $resForAddadj['AMOUNT'],
								"DIFF" =>$resForAddadj['AMOUNT']-$resForAddadjforini['AMOUNT'],
					
							);

				
					$i++;

					$k++;
				
				}
			}




		}
	

	}else{

		$sql_addadj = "select * from freight_invoice_adj_slave where INVOICEID='".$rows['INVOICEID']."' and IDENTIFY='SUB' and AMOUNT>0" ;
									
	
		// echo $sql_add;
		$res_addadj = mysql_query($sql_addadj);
		$num_addadj = mysql_num_rows($res_addadj);
		if($num_addadj==0)
		{
			// $resForSubAdd='';
	
		}else{
			$i=1;
			$k=1;
	
			$otherLessAdj[[]];
	
			while($resForAddadj = mysql_fetch_assoc($res_addadj))
			{
				
				$otherLessAdj[]=array(
	
					"COST TYPE" => $resForAddadj['ORC_ID'],
					"FIXTURE NO"=> $resForAddadj['FIXTURE_NO'],
					"VESSEL"=>	$obj->getVesselIMOData($resForAddadj['VESSEL'],'VESSEL_NAME'),
					"DESCRIPTION"=> $resForAddadj['DESCRIPTION'],
					"AMOUNT"=> $resForAddadj['AMOUNT'],
					"DIFF" =>0,
				);
	
				$i++;
	
				$k++;
	
			}
		}

		


	}







		$sql111 = 'select sum(NET_AMOUNT) as netA,sum(VAT_PERCENT_AMOUNT) as VAT from freight_invoice_master where COMID="' . $rows['COMID'] . '" and I_TYPE="Interim"';
		$res111 = mysqli_query($connect, $sql111);
		$rows111 = mysqli_fetch_assoc($res111);

		// echo $sql111;

		// die();

		$VATDIFF=0;
		$balance = 0;
	if($rows['I_TYPE']=='Final'){

		$balance = $rows['NET_AMOUNT']-$rows111['netA'];
		$VATDIFF = $rows['VAT_PERCENT_AMOUNT']-$rows111['VAT'];


	}else{

		$balance = 0;
		$VATDIFF = 0;

	}

	unset($otherAdd);
	if($rows['I_TYPE']=='Final'){

		$sql111 = 'select  INVOICEID from freight_invoice_master where COMID="'.$rows['COMID'].'" and I_TYPE="Interim"';
		$res111 = mysql_query($sql111);
		
		// echo $sql111;
	

		while($rows111 = mysql_fetch_assoc($res111)){


			$sql_addadj = "select * from freight_invoice_slave where INVOICEID='".$rows['INVOICEID']."' and IDENTIFY='ADD' and AMOUNT>0" ;
									
	
			// echo $sql_add;
			$res_addadj = mysql_query($sql_addadj);
			$num_addadj = mysql_num_rows($res_addadj);

			$sql_addadjForinitial = "select * from freight_invoice_slave where INVOICEID='".$rows111['INVOICEID']."' and IDENTIFY='ADD' and AMOUNT>0" ;
									
	
			// echo $sql_addadj;
			// die();
					$res_addadjforini = mysql_query($sql_addadjForinitial);
					$num_addadjforini = mysql_num_rows($res_addadjforini);


			if($num_addadjforini==0)
			{
				// $resForSubAdd='';

				$sql_addadj = "select * from freight_invoice_slave where INVOICEID='".$rows['INVOICEID']."' and IDENTIFY='ADD' and AMOUNT>0" ;
									
	
				// echo $sql_add;
				$res_addadj = mysql_query($sql_addadj);
				$num_addadj = mysql_num_rows($res_addadj);
				if($num_addadj==0)
				{
					// $resForSubAdd='';
			
				}else{
					$i=1;
					$k=1;
			
					$otherAdd[[]];
			
					while($resForAddadj = mysql_fetch_assoc($res_addadj))
					{
						
						$otherAdd[]=array(
			
							"Cr_Code"  => $resForAddadj['ORC_ID'],
							
							"Cr_Amt"=> $resForAddadj['AMOUNT'],
							"DIFF" =>0,
						);
			
						$i++;
			
						$k++;
			
					}
				}





			}else{
				$i=1;
				$k=1;
				$otherAdd[[]];
		

				while($resForAddadj = mysql_fetch_assoc($res_addadj))
				{	


					$sql_addadjForinitial = "select * from freight_invoice_slave where INVOICEID='".$rows111['INVOICEID']."' and IDENTIFY='ADD' and AMOUNT>0 and ORC_ID='".$resForAddadj['ORC_ID']."'" ;
									
					$res_addadjforini = mysql_query($sql_addadjForinitial);
					$num_addadjforini = mysql_num_rows($res_addadjforini);

					$resForAddadjforini = mysql_fetch_assoc($res_addadjforini);
					
				
							$otherAdd[]=array(
			
								"Cr_Code"  => $resForAddadj['ORC_ID'],
							
									"Cr_Amt"=> $resForAddadj['AMOUNT'],
								"DIFF" =>$resForAddadj['AMOUNT']-$resForAddadjforini['AMOUNT'],
					
							);

				
					$i++;

					$k++;
				
				}
			}




		}
	

	}else{
		$otherAdd[[]];
		$sql_add = "select * from freight_invoice_slave where INVOICEID='".$rows['INVOICEID']."' and IDENTIFY='ADD' and AMOUNT>0" ;
									
	
									// echo $sql_add;
									$res_add = mysql_query($sql_add);
									$num_add = mysql_num_rows($res_add);
									if($num_add==0)
									{
										// $resForSubAdd='';
								
									}else{
										$i=1;
										$k=1;
								
										$otherAdd[[]];
								
										while($resForAdd = mysql_fetch_assoc($res_add))
										{
											
											$otherAdd[]=array(
								
								
								
												"Cr_Code" => $resForAdd['ORC_ID'],
												"Cr_Amt"=> $resForAdd['AMOUNT'],
												"DIFF" =>0,
											);
								
											$i++;
								
											$k++;
								
										}
									}

		


	}









	unset($otherLess);

	if($rows['I_TYPE']=='Final'){
		$otherLess[[]];
		$sql111 = 'select  INVOICEID from freight_invoice_master where COMID="'.$rows['COMID'].'" and I_TYPE="Interim"';
		$res111 = mysql_query($sql111);
		
		// echo $sql111;
	

		while($rows111 = mysql_fetch_assoc($res111)){


			$sql_addadj = "select * from freight_invoice_slave where INVOICEID='".$rows['INVOICEID']."' and IDENTIFY='SUB' and AMOUNT>0" ;
									
	
			// echo $sql_add;
			$res_addadj = mysql_query($sql_addadj);
			$num_addadj = mysql_num_rows($res_addadj);

			$sql_addadjForinitial = "select * from freight_invoice_slave where INVOICEID='".$rows111['INVOICEID']."' and IDENTIFY='SUB' and AMOUNT>0" ;
									
	
			// echo $sql_addadj;
			// die();
					$res_addadjforini = mysql_query($sql_addadjForinitial);
					$num_addadjforini = mysql_num_rows($res_addadjforini);


			if($num_addadjforini==0)
			{
				// $resForSubAdd='';

				$sql_addadj = "select * from freight_invoice_slave where INVOICEID='".$rows['INVOICEID']."' and IDENTIFY='SUB' and AMOUNT>0" ;
									
	
				// echo $sql_add;
				$res_addadj = mysql_query($sql_addadj);
				$num_addadj = mysql_num_rows($res_addadj);
				if($num_addadj==0)
				{
					// $resForSubAdd='';
			
				}else{
					$i=1;
					$k=1;
			
					$otherLess[[]];
			
					while($resForAddadj = mysql_fetch_assoc($res_addadj))
					{
						
						$otherLess[]=array(
			
							"Cr_Code"  => $resForAddadj['ORC_ID'],
							
							"Cr_Amt"=> $resForAddadj['AMOUNT'],
							"DIFF" =>0,
						);
			
						$i++;
			
						$k++;
			
					}
				}





			}else{
				$i=1;
				$k=1;
				$otherLess[[]];
		

				while($resForAddadj = mysql_fetch_assoc($res_addadj))
				{	


					$sql_addadjForinitial = "select * from freight_invoice_slave where INVOICEID='".$rows111['INVOICEID']."' and IDENTIFY='SUB' and AMOUNT>0 and ORC_ID='".$resForAddadj['ORC_ID']."'" ;
									
					$res_addadjforini = mysql_query($sql_addadjForinitial);
					$num_addadjforini = mysql_num_rows($res_addadjforini);

					$resForAddadjforini = mysql_fetch_assoc($res_addadjforini);
					
				
							$otherLess[]=array(
			
								"Cr_Code"  => $resForAddadj['ORC_ID'],
							
								"Cr_Amt"=> $resForAddadj['AMOUNT'],

								"DIFF" =>$resForAddadj['AMOUNT']-$resForAddadjforini['AMOUNT'],
					
							);

				
					$i++;

					$k++;
				
				}
			}




		}
	

	}else{
		$otherLess[[]];
		$sql_add = "select * from freight_invoice_slave where INVOICEID='".$rows['INVOICEID']."' and IDENTIFY='SUB' and AMOUNT>0" ;
									
	
									// echo $sql_add;
									$res_add = mysql_query($sql_add);
									$num_add = mysql_num_rows($res_add);
									if($num_add==0)
									{
										// $resForSubAdd='';
								
									}else{
										$i=1;
										$k=1;
								
										$otherLess[[]];
								
										while($resForAdd = mysql_fetch_assoc($res_add))
										{
											
											$otherLess[]=array(
								
								
								
												"Cr_Code" => $resForAdd['ORC_ID'],
												"Cr_Amt"=> $resForAdd['AMOUNT'],
												"DIFF" =>0,
											);
								
											$i++;
								
											$k++;
								
										}
									}

		


	}





		$totalDisDUm = 0;

		$totalDisDUm = $LPDem + $DPDem - $DPDesp - $LPDesp;

		$brokVen = '';
		$brokVen = implode(",", $BrokerageVendor);


		$sql_prevAddComm = "SELECT *  FROM `freight_invoice_master` WHERE `COMID` = '".$rows['COMID']."' ORDER by INVOICEID DESC" ;
									
	
		// echo $sql_add;
		$res_AddCom = mysql_query($sql_prevAddComm);
		$num_sub = mysql_num_rows($res_AddCom);
		$mj = 1;
	
		$GST_ON_BROK=0;
	
		$ADDCOM_AMOUNT=0;
	
		$BROKERAGE=0;

		$GST_ON_BROK1=0;
				$ADDCOM_AMOUNT1=0;
				$BROKERAGE1=0;


				$GST_ON_BROK2=0;
				$ADDCOM_AMOUNT2=0;
				$BROKERAGE2=0;


	
	
		while($resForAddComm = mysql_fetch_assoc($res_AddCom)){
	
	
			if($mj==1){
	
				$GST_ON_BROK1=$resForAddComm['GST_ON_BROK'];
				$ADDCOM_AMOUNT1=$resForAddComm['ADDCOM_AMOUNT'];
				$BROKERAGE1=$resForAddComm['BROKERAGE'];
	
			}
	
	
	
			if($mj==2){
	
	
				$GST_ON_BROK2=$resForAddComm['GST_ON_BROK'];
				$ADDCOM_AMOUNT2=$resForAddComm['ADDCOM_AMOUNT'];
				$BROKERAGE2=$resForAddComm['BROKERAGE'];
	
			}
	
			$mj++;
		}
	
	
		$GST_ON_BROK=$GST_ON_BROK1-$GST_ON_BROK2;
	
		$ADDCOM_AMOUNT=	$ADDCOM_AMOUNT1-$ADDCOM_AMOUNT2;
	
		$BROKERAGE=$BROKERAGE1-$BROKERAGE2;


		



		
	
	
		$drIncomeCode='';
		if(strpos($obj->getCompareEstimateData($rows['COMID'],"VOYAGE_NO"), 'U') !== false || strpos($obj->getCompareEstimateData($rows['COMID'],"VOYAGE_NO"), 'TU') !== false){

		if( $LPDem > 0 ||  $DPDem > 0 || $LPDem != 0 || $DPDem != 0){
			
		if (strpos($lp_name, 'UAE') !== false && strpos($dp_name, 'UAE') !== false) {
			$drIncomeCode = 'DI0003';
	
			
		}else if(strpos($lp_name, 'UAE') !== false && strpos($dp_name, 'UAE') == false){
			
	
			$drIncomeCode = 'SA0014';
	
		}else if(strpos($lp_name, 'UAE') == false && strpos($dp_name, 'UAE') !== false){
	
			$drIncomeCode = 'SA0014';
		}else if(strpos($lp_name, 'UAE') == false && strpos($dp_name, 'UAE') == false){
			
			$drIncomeCode = 'SA0016';
			
		}
	
	
		}
	}else{

		$drIncomeCode = 'DI0003';

	}
	
		
	
		$drDpDespIncomeCode='';

		if(strpos($obj->getCompareEstimateData($rows['COMID'],"VOYAGE_NO"), 'U') !== false || strpos($obj->getCompareEstimateData($rows['COMID'],"VOYAGE_NO"), 'TU') !== false){


		if($DPDesp > 0 || $LPDesp > 0 || $DPDesp != 0 || $LPDesp != 0){
	
		if (strpos($lp_name, 'UAE') !== false && strpos($dp_name, 'UAE') !== false) {
			$drDpDespIncomeCode = 'DE0020';
	
		}else if(strpos($lp_name, 'UAE') !== false && strpos($dp_name, 'UAE') == false){
	
			$drDpDespIncomeCode = 'SA0013';
	
		}else if(strpos($lp_name, 'UAE') == false && strpos($dp_name, 'UAE') !== false){
	
			$drDpDespIncomeCode = 'SA0013';
	
		}else if(strpos($lp_name, 'UAE') == false && strpos($dp_name, 'UAE') == false){
			
			$drDpDespIncomeCode = 'SA0015';
			
		}
	
		}

		}else{

			$drDpDespIncomeCode = 'DE0020';

		}




		$array_json = [

			"InvoiceId" => $rows['INVOICEID'],
			"voucherType" => "FREIGHT INVOICE RECEIPT",
			"InvoiceDate" => date('d-M-Y H:i:s', strtotime($rows['DATE'])),
			"InvoiceNo" => $rows['MESSAGE'],
			
		"CreditLedger"=> $crLedger,

			"DebitLedger" => $obj->getVendorListNewData($rows['VENDOR'], "CODE"),
			"VendorName" => $obj->getVendorListNewData($rows['VENDOR'], "NAME"),
			"Fixtureno" => $obj->getVoyageNoByComid($rows['COMID']),
			"VesselName" =>  $obj->getVesselIMOData($obj->getCompareEstimateData($rows['COMID'], "VESSEL_IMO_ID"), "VESSEL_NAME"),
			"CPDate" => date("d-m-Y", strtotime($obj->getFun3())),
			"LP" => $lp_name,
			"DP" => $dp_name,

			"FreightRate" => $freightrate,
			"BLQTY" => $quantity,
			"BLDate" => date("d-m-Y", strtotime($rows['BL_DATE'])),
			"BLNo" =>  $rows['BL_NO'],
			"Unit" =>	"USD/MT",
			"Currency" => "USD",
			"ExchCurrency" => $rows['EXCHANGE_CURRENCY'],
			"ExchRate" =>  $rows['EXCHANGE_RATE'],

			"ExchDate" => date("d-m-Y", strtotime($rows['EXCHANGE_DATE'])),
			"InvoiceType" => $rows['I_TYPE'],
			"Attn" =>  $rows['ATTEN'],
			"PymtTerms" => $rows['PAYMENT_TERMS'],
			"Description" => $rows['REMARKS'],
			"GrossFreight"=> $rows['GROSS_FREIGHT'],
			"Percent" => $rows['TO_1'],
			"LPDem"=> $LPDem,
			"DPDem"=> $DPDem,
			"DemmurageIncomeCode"=>$drIncomeCode,

			"LPDesp"=> $LPDesp,
			"DPDesp"=> $DPDesp,
	
			"DispatchExpenseCode"=>$drDpDespIncomeCode,

			"CreditDemcode" => "DI0003",
			"DebitDeMLedger" => $DebitDeMLedger,
			"Brokerage" => $rows['BROKERAGE'],
			"BrokerageVendor" => $brokVen,
			"BrokerDebitCode" => $broKreageCode,



			"Gst_brokerage" => "GSTBR1",

			"GST_brk_Amount" => $rows['GST_ON_BROK'],

			"Addcomm"  => $Addcomm,

			"Addcomm_amt" => $rows['ADDCOM_AMOUNT'],


			"AddAdj"   => $otherAddAdj,
			"otherAdd" => $otherAdd,
			"LessAdj"   => $otherLessAdj,

			"otherLess" => $otherLess,
			"balance" => $balance,

			
			"VatPercent" => $rows['VAT_PERCENT'],
            "Vatcode" => "VAT001",
            "VatAmt" => $rows['VAT_PERCENT_AMOUNT'],

			"Vatdiff" => $VATDIFF,
			"totalAmt" => $rows['NET_PAYABLE_TAX'],
			
			"AddcomDiff" => $ADDCOM_AMOUNT,
		"BrokercomDiff" => $BROKERAGE,
		"GSTonbrokerDiff" => $GST_ON_BROK,

		

			"objParticulars" => [[
				"accountErpID" => $rows2['BD_ID'],
				"accountName" => $rows2['NAME'],
				"accountAlias" => "",
				"accountAliasID" => "",
				"accountGroup" => "Bank Accounts",
				"accountDivision" => $rows2['BANK'],
				"accountAddLine1" => $rows2['ADDRESS'],
				"accountAddLine2" => "",
				"accountLandmark" => "",
				"accountCity" => "", 
				"accountState" => "",
				"accountCountry" => "",
				"accountPincode" => "",
				"accountGstNo" => "",
				"accountPanNo" => "",
				"accountCinNo" => "",
				"accountContactName" => "",
				"accountMobile" => "91-6000000",
				"accountEmail" => "",
				"totalAmt" => $rows['P_AMT'],
				"billType" => 0
			]],

			"hasErrors" => false,
			"errors" => null,
			"errorCode" => null

		];


		$json_Data[$p] =  $array_json;

		$p++;
	}


	echo json_encode(array('response' => $json_Data));
	die;
} else if ($_REQUEST['vocType'] == 'Vc Payment') {

	$sql = 'select * from request_master WHERE SYNC_STATUS = 1 and PAYMENT_STATUS!="payment_hold"';
	$res = mysqli_query($connect, $sql);
	$p = 0;
	while ($rows = mysqli_fetch_assoc($res)) {

		$fcaid = $obj->getLatestCostSheetID($rows['COMID']);
		$obj->viewFreightCostEstimationTempleteRecordsNew($fcaid);

		$CrledgerCode = '';

		if ($rows['NAME'] == 'Bunkers Nett Supply') {

			$CrledgerCode = 'DE0008';
		}else if ($rows['NAME'] == 'Discharge Port Costs' || $rows['NAME'] == 'Load Port Costs' || $rows['NAME'] == 'Transit Port Costs') {


			if ($rows['NAME'] == 'Discharge Port Costs') {

				$CrledgerCode = 'DE0024';
			} else if ($rows['NAME'] == 'Load Port Costs') {

				$CrledgerCode = 'DE0033';
			} else {
				$CrledgerCode = 'DE0076';
			}
		}else{

			if($rows['NAME'] == 'Operational Costs (Others)' || $rows['NAME'] == 'Operational Costs'){

				$CrledgerCode = $obj->getOwnerRelatedCostForTallyInvoice($rows['COST_DESC']);

			}else{
				$CrledgerCode = $obj->getOwnerRelatedCostForTallyInvoice($rows['NAME']);
			}

			// $type='Operational Costs';
		}



		$arr       = $obj->getLoadPortAndDischargePortArrBasedOnCommidAndProcessWithoutTBN($rows['COMID'], $fcaid);

		$lp_name = array();
		$dp_name = array();
		$discharge_port = "";

		for ($j = 0; $j < count($arr); $j++) {
			$arr_explode = explode('@@', $arr[$j]);
			if ($arr_explode[0] == "LP" && $arr_explode[8] == '') {
				$lp_name[] = $obj->shortPortNameWithCountry($obj->getPortNameBasedOnID($arr_explode[1]));
			}
			if ($arr_explode[0] == "DP" && $arr_explode[8] == '') {
				$dp_name[] = $obj->shortPortNameWithCountry($obj->getPortNameBasedOnID($arr_explode[1]));
			}
		}



		$lp_name  = implode(', ', $lp_name);
		$dp_name  = implode(', ', $dp_name);

		$sqlForQtyNRate = 'select BL_QTY_FREIGHT,FREIGHT_GROSS,COAID from
	freight_cost_estimete_master where FCAID="' . $fcaid . '" and COMID="' . $rows['COMID'] . '"';


		$resForQtyNRate = mysqli_query($connect, $sqlForQtyNRate) or die($sqlForQtyNRate);

		$rowForQtyNRate = mysqli_fetch_assoc($resForQtyNRate);

		if (!empty($rowForQtyNRate['COAID']) || $rowForQtyNRate['COAID'] != NULL) {
			// echo '<h1>hi';
			$sql1 = "select * from freight_cost_estimete_slave10 where FCAID='" . $fcaid . "' and STATUS=1";

			$res1 = mysqli_query($connect, $sql1) or die($sql1);

			$row1 = mysqli_fetch_assoc($res1);
		}

		if ($obj->getCompareEstimateData($rows['COMID'], "ESTIMATE_TYPE") == 1) {

			$quantity = $obj->getCompareEstimateData($rows['COMID'], "GAS_QUANTITY");
			$totalfreight = $row12['SUM3'];
			$freightrate = $row12['GAS_BASE_RATE'];
		} else if ($obj->getCompareEstimateData($rows['COMID'], "ESTIMATE_TYPE") == 2) {

			$quantity = $obj->getCompareEstimateData($rows['COMID'], "TANK_QUANTITY");
			$freightrate = $obj->getFun250();
			$maincargoid = $obj->getFun52();
			if ($obj->getFun228() == 1) {
				if ($obj->getFun171() == 1) {
					$totalfreight = $obj->getFun172();
					$quantity = $obj->getCompareEstimateData($rows['COMID'], "TANK_QUANTITY");
				} else {
					$res1_1 = mysqli_query($connect, "select * from freight_cost_estimete_slave12 where FCAID='" . $obj->getFun1() . "' and CUSTOMER = '" . $rows['VENDOR'] . "' ");
					$row1_1 = mysqli_fetch_assoc($res1_1);
					$totalfreight = $row1_1['TOTAL_AMOUNT'];
					$quantity = $row1_1['TOTAL_QTY'];
				}
			} else {

				$sql12 = "select CARGO_MT, AMOUNT_USD, CARGOID from freight_cost_estimete_slave10 where FCAID='" . $fcaid . "' and RANDOMID='" . $rows['RANDOMID'] . "' and STATUS=1";
				$res12 = mysqli_query($connect, $sql12);
				$row12 = mysqli_fetch_assoc($res12);
				$quantity = $row12['CARGO_MT'];

				$totalfreight = $row12['AMOUNT_USD'];
				$maincargoid = $row12['CARGOID'];
			}
		} else {
			if ($obj->getCompareEstimateData($rows['COMID'], "QTY_TYPE_RADIO") == 1) {

				// die($rows['COMID']);
				// echo 'dpk';
				$quantity = $obj->getCompareEstimateData($rows['COMID'], "QUANTITY");
				$totalfreight = $obj->getCompareEstimateData($rows['COMID'], "TOTAL_PREIGHT_ADJ");
				// $freightrate = $obj->getCompareEstimateData($rows['COMID'],"FREIGHT_GROSS");

				if ($rows['FREIGHT_RATE'] != NULL || $rows['FREIGHT_RATE'] != 0.00) {
					$freightrate = $rows['FREIGHT_RATE'];

					// echo 'lp';
				} else {
					$freightrate = $obj->getCompareEstimateData($rows['COMID'], "FREIGHT_GROSS");

					// echo 'cp';
				}

				$maincargoid = $obj->getCompareEstimateData($rows['COMID'], "CARGO_ID");
			} else {

				$sql12 = "select QUANTITY, GROSS_FREIGHT, AGREED_GROSS_FREIGHT, CARGO from freight_cost_estimete_slave7 where FCAID='" . $fcaid . "' and RANDOMID='" . $rows['RANDOMID'] . "'";


				// echo $sql12;



				$res12 = mysqli_query($connect, $sql12) or die($sql12);
				$row12 = mysqli_fetch_assoc($res12);
				$quantity = $row12['QUANTITY'];
				$totalfreight = $row12['GROSS_FREIGHT'];
				$freightrate = $row12['AGREED_GROSS_FREIGHT'];
				$maincargoid = $row12['CARGO'];
			}
		}





		$sql_addadj = "select * from request_adj_slave where REQ_ID='" . $rows['REQ_ID'] . "' and IDENTIFY='ADD' and AMOUNT>0";


		// echo $sql_add;
		$res_addadj = mysqli_query($connect, $sql_addadj);
		$num_addadj = mysqli_num_rows($res_addadj);
		unset($otherAddAdj); 
		// [[]];


		if ($num_addadj == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

	

			while ($resForAddadj = mysqli_fetch_assoc($res_addadj)) {

				$otherAddAdj[] = array(

					"COST TYPE" => $resForAddadj['ORC_ID'],
					"FIXTURE NO" => $resForAddadj['FIXTURE_NO'],
					"VESSEL" =>	$obj->getVesselIMOData($resForAddadj['VESSEL'], 'VESSEL_NAME'),
					"DESCRIPTION" => $resForAddadj['DESCRIPTION'],
					"AMOUNT" => $resForAddadj['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}


		$sql_lessadj = "select * from request_adj_slave where REQ_ID='" . $rows['REQ_ID'] . "' and IDENTIFY='SUB' and AMOUNT>0";


		// echo $sql_add;
		$res_lessadj = mysqli_query($connect, $sql_lessadj);
		$num_lessadj = mysqli_num_rows($res_lessadj);
		
		
		unset($otherLessAdj); 

		if ($num_lessadj == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;


			while ($resForLessadj = mysqli_fetch_assoc($res_lessadj)) {

				$otherLessAdj[] = array(
					"COST TYPE" => $resForLessadj['ORC_ID'],
					"FIXTURE NO" => $resForLessadj['FIXTURE_NO'],
					"VESSEL" =>	 $obj->getVesselIMOData($resForLessadj['VESSEL'], 'VESSEL_NAME'),
					"DESCRIPTION" => $resForLessadj['DESCRIPTION'],
					"AMOUNT" => $resForLessadj['AMOUNT'],
				);

				$i++;

				$k++;
			}
		}






		$sql_add = "select * from request_master_slave where REQ_ID='" . $rows['REQ_ID'] . "' and IDENTIFY='ADD' and AMOUNT>0";


		// echo $sql_add;
		$res_add = mysqli_query($connect, $sql_add);
		$num_add = mysqli_num_rows($res_add);

		
		unset($otherAdd); 

		if ($num_add == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

			

			while ($resForAdd = mysqli_fetch_assoc($res_add)) {

				$otherAdd[] = array(



					"Ledger_Code" => $resForAdd['ORC_ID'],
					"Amt" => $resForAdd['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}




		$sql_sub = "select * from request_master_slave where REQ_ID='" . $rows['REQ_ID'] . "' and IDENTIFY='SUB' and AMOUNT>0";


		// echo $sql_add;
		$res_sub = mysqli_query($connect, $sql_sub);
		$num_sub = mysqli_num_rows($res_sub);

		unset($otherLess); 


		if ($num_sub == 0) {
			// $num_sub='';

		} else {
			$i = 1;
			$k = 1;

			// $otherLess[[]];

			while ($resForLess = mysqli_fetch_assoc($res_sub)) {

				$otherLess[] = array(



					"Ledger_Code" => $resForLess['ORC_ID'],
					"Amt" => $resForLess['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}




		// print_r($otherAdd);

		// die();


		$totalDisDUm = $LPDem - $DPDesp;


		if (date("d-m-Y", strtotime($rows['EXCHANGE_DATE'])) == '01-01-1970') {

			$exchangeDate = '';
		} else {

			$exchangeDate = date("d-m-Y", strtotime($rows['EXCHANGE_DATE']));
		}
		if ($rows['EXCHANGE_RATE'] <= 0) {

			$exchangeRate = '';
		} else {

			$exchangeRate = $rows['EXCHANGE_RATE'];
		}

		if (!empty($rows['ACC_L_CODE'])) {

			$CrledgerCode = $rows['ACC_L_CODE'];
			
		}






		$array_json = [

			"PaymentID" => $rows['REQ_ID'],
			"voucherType" => "VC Payment",
			"PaymentDate" => date('d-M-Y H:i:s', strtotime($rows['DATE'])),
			"Paymentno" => $rows['PAYMENT_NO'],
			"DebitLedger" => $CrledgerCode,

			"CreditLedger" => $obj->getVendorListNewData($rows['VENDOR'], "CODE"),
			"VendorName" => $obj->getVendorListNewData($rows['VENDOR'], "NAME"),
			"Fixtureno" => $obj->getVoyageNoByComid($rows['COMID']),
			"VesselName" =>  $obj->getVesselIMOData($obj->getCompareEstimateData($rows['COMID'], "VESSEL_IMO_ID"), "VESSEL_NAME"),
			"CPDate" => date("d-m-Y", strtotime($obj->getFun3())),

			"Unit" =>	"USD/MT",
			"Currency" => "USD",
			"ExchCurrency" => $rows['EXCHANGE_CURRENCY'],
			"ExchRate" =>  $exchangeRate,

			"ExchDate" => $exchangeDate,
			"AccountType" => $rows['ACCOUNT_TYPE'],

			"Totalpayable" => $rows['BAL_OUTSTANDINGS'],
			"AddAdj"   => $otherAddAdj,
			"otherAdd" => $otherAdd,
			"LessAdj"   => $otherLessAdj,

			"otherLess" => $otherLess,
			"Netpayable" => $rows['NET_AMT'],
			"Netpayable_Ex" => $rows['NET_AMT']*$exchangeRate,

			"CurrentValue" => $rows['NET_AMT'],
			"hasErrors" => false,
			"errors" => null,
			"errorCode" => null

		];
		// $sql2 = "select * from banking_details where BD_ID='".$rows['NOB']."'";
		// $res2 = mysqli_query($connect,$sql2);
		$json_Data[$p] =  $array_json;

		$p++;
	}


	echo json_encode(array('response' => $json_Data));
	die;
} else if ($_REQUEST['vocType'] == 'VC HIRE PAYMENT') {





	$sql = 'select * from invoice_hire_master where SYNC_STATUS=1';
	$res = mysqli_query($connect, $sql);
	$p = 0;
	while ($rows = mysqli_fetch_assoc($res)) {
		$fcaid = $obj->getLatestCostSheetID($rows['COMID']);
		$obj->viewFreightCostEstimationTempleteRecordsNew($fcaid);

		$arr       = $obj->getLoadPortAndDischargePortArrBasedOnCommidAndProcessWithoutTBN($rows['COMID'], $fcaid);

		$lp_name = array();
		$dp_name = array();
		$discharge_port = "";

		$vendorid = $obj->getFun140();

		for ($j = 0; $j < count($arr); $j++) {
			$arr_explode = explode('@@', $arr[$j]);
			if ($arr_explode[0] == "LP" && $arr_explode[8] == '') {
				$lp_name[] = $obj->shortPortNameWithCountry($obj->getPortNameBasedOnID($arr_explode[1]));
			}
			if ($arr_explode[0] == "DP" && $arr_explode[8] == '') {
				$dp_name[] = $obj->shortPortNameWithCountry($obj->getPortNameBasedOnID($arr_explode[1]));
			}
		}

		$lp_name  = implode(', ', $lp_name);
		$dp_name  = implode(', ', $dp_name);

		$crLedger='';

		if(strpos($obj->getFun7(), 'U') !== false || strpos($obj->getFun7(), 'TU') !== false){




	if (strpos($lp_name, 'UAE') !== false && strpos($dp_name, 'UAE') !== false) {
		$crLedger = 'DI0008';

	}else if(strpos($lp_name, 'UAE') !== false && strpos($dp_name, 'UAE') == false){

		$crLedger = 'SA0040';

	}else if(strpos($lp_name, 'UAE') == false && strpos($dp_name, 'UAE') !== false){

		$crLedger = 'SA0040';
	}else if(strpos($lp_name, 'UAE') == false && strpos($dp_name, 'UAE') == false){
		
		$crLedger = 'SA0039';
		
	}
	
		}else{


			$crLedger = 'DI0008';
		}



		$sqlForQtyNRate = 'select BL_QTY_FREIGHT,FREIGHT_GROSS,COAID from
	freight_cost_estimete_master where FCAID="' . $fcaid . '" and COMID="' . $rows['COMID'] . '" and MCOMPANYID="' . $_SESSION['company'] . '" and MODULEID="' . $_SESSION['moduleid'] . '"';


		$resForQtyNRate = mysqli_query($connect, $sqlForQtyNRate) or die($sqlForQtyNRate);

		$rowForQtyNRate = mysqli_fetch_assoc($resForQtyNRate);

		if (!empty($rowForQtyNRate['COAID']) || $rowForQtyNRate['COAID'] != NULL) {
			// echo '<h1>hi';
			$sql1 = "select * from freight_cost_estimete_slave10 where FCAID='" . $fcaid . "' and STATUS=1";

			$res1 = mysqli_query($connect, $sql1) or die($sql1);

			$row1 = mysqli_fetch_assoc($res1);
		}

		if ($obj->getCompareEstimateData($rows['COMID'], "ESTIMATE_TYPE") == 1) {

			$quantity = $obj->getCompareEstimateData($rows['COMID'], "GAS_QUANTITY");
			$totalfreight = $row12['SUM3'];
			$freightrate = $row12['GAS_BASE_RATE'];
		} else if ($obj->getCompareEstimateData($rows['COMID'], "ESTIMATE_TYPE") == 2) {

			$quantity = $obj->getCompareEstimateData($rows['COMID'], "TANK_QUANTITY");
			$freightrate = $obj->getFun250();
			$maincargoid = $obj->getFun52();
			if ($obj->getFun228() == 1) {
				if ($obj->getFun171() == 1) {
					$totalfreight = $obj->getFun172();
					$quantity = $obj->getCompareEstimateData($rows['COMID'], "TANK_QUANTITY");
				} else {
					$res1_1 = mysqli_query($connect, "select * from freight_cost_estimete_slave12 where FCAID='" . $obj->getFun1() . "' and CUSTOMER = '" . $rows['VENDOR'] . "' ");
					$row1_1 = mysqli_fetch_assoc($res1_1);
					$totalfreight = $row1_1['TOTAL_AMOUNT'];
					$quantity = $row1_1['TOTAL_QTY'];
				}
			} else {

				$sql12 = "select CARGO_MT, AMOUNT_USD, CARGOID from freight_cost_estimete_slave10 where FCAID='" . $fcaid . "' and RANDOMID='" . $rows['RANDOMID'] . "' and STATUS=1";
				$res12 = mysqli_query($connect, $sql12);
				$row12 = mysqli_fetch_assoc($res12);
				$quantity = $row12['CARGO_MT'];

				$totalfreight = $row12['AMOUNT_USD'];
				$maincargoid = $row12['CARGOID'];
			}
		} else {
			if ($obj->getCompareEstimateData($rows['COMID'], "QTY_TYPE_RADIO") == 1) {

				// die($rows['COMID']);
				// echo 'dpk';
				$quantity = $obj->getCompareEstimateData($rows['COMID'], "QUANTITY");
				$totalfreight = $obj->getCompareEstimateData($rows['COMID'], "TOTAL_PREIGHT_ADJ");
				// $freightrate = $obj->getCompareEstimateData($rows['COMID'],"FREIGHT_GROSS");

				if ($rows['FREIGHT_RATE'] != NULL || $rows['FREIGHT_RATE'] != 0.00) {
					$freightrate = $rows['FREIGHT_RATE'];

					// echo 'lp';
				} else {
					$freightrate = $obj->getCompareEstimateData($rows['COMID'], "FREIGHT_GROSS");

					// echo 'cp';
				}

				$maincargoid = $obj->getCompareEstimateData($rows['COMID'], "CARGO_ID");
			} else {

				$sql12 = "select QUANTITY, GROSS_FREIGHT, AGREED_GROSS_FREIGHT, CARGO from freight_cost_estimete_slave7 where FCAID='" . $fcaid . "' and RANDOMID='" . $rows['RANDOMID'] . "'";


				$res12 = mysqli_query($connect, $sql12) or die($sql12);
				$row12 = mysqli_fetch_assoc($res12);
				$quantity = $row12['QUANTITY'];
				$totalfreight = $row12['GROSS_FREIGHT'];
				$freightrate = $row12['AGREED_GROSS_FREIGHT'];
				$maincargoid = $row12['CARGO'];
			}
		}



		$sql_add = "select * from invoice_hire_slave1 where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='ADD' and AMOUNT>0";
		unset($otherAdd); 
		// $otherAdd[[]];
		// echo $sql_add;
		$res_add = mysqli_query($connect, $sql_add);
		$num_add = mysqli_num_rows($res_add);
		if ($num_add == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

		

			while ($resForAdd = mysqli_fetch_assoc($res_add)) {

				$otherAdd[] = array(



					"Ledger_Code" => $resForAdd['ORC_ID'],
					"Amt" => $resForAdd['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}

		$sql_addadj = "select * from invoice_hire_adj where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='ADD' and AMOUNT>0";

		unset($otherAddAdj); 
		// echo $sql_add;
		// $otherAddAdj[[]];

		$res_addadj = mysqli_query($connect, $sql_addadj);
		$num_addadj = mysqli_num_rows($res_addadj);
		if ($num_addadj == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

			

			while ($resForAddadj = mysqli_fetch_assoc($res_addadj)) {

				$otherAddAdj[] = array(

					"COST TYPE" => $resForAddadj['ORC_ID'],
					"FIXTURE NO" => $resForAddadj['FIXTURE_NO'],
					"VESSEL" =>	$obj->getVesselIMOData($resForAddadj['VESSEL'], 'VESSEL_NAME'),
					"DESCRIPTION" => $resForAddadj['DESCRIPTION'],
					"AMOUNT" => $resForAddadj['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}





		$sql_lessadj = "select * from invoice_hire_adj where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='SUB' and AMOUNT>0";
		// $otherLessAdj[[]];
		unset($otherLessAdj); 
		// echo $sql_add;
		$res_lessadj = mysqli_query($connect, $sql_lessadj);
		$num_lessadj = mysqli_num_rows($res_lessadj);
		if ($num_lessadj == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

			

			while ($resForLessadj = mysqli_fetch_assoc($res_lessadj)) {

				$otherLessAdj[] = array(
					"COST TYPE" => $resForLessadj['ORC_ID'],
					"FIXTURE NO" => $resForLessadj['FIXTURE_NO'],
					"VESSEL" =>	 $obj->getVesselIMOData($resForLessadj['VESSEL'], 'VESSEL_NAME'),
					"DESCRIPTION" => $resForLessadj['DESCRIPTION'],
					"AMOUNT" => $resForLessadj['AMOUNT'],
				);

				$i++;

				$k++;
			}
		}









		$sqlprev = "SELECT * from invoice_hire_master where COMID='" . $rows['COMID'] . "' and MODULEID='" . $_SESSION['moduleid'] . "' and MCOMPANYID='" . $_SESSION['company'] . "' and STATUS=5 and INVOICEID<'" . $rows['INVOICEID'] . "' order by INVOICEID desc";
		$resprev = mysqli_query($connect, $sqlprev);
		$recprev = mysqli_num_rows($resprev);
		unset($LastHireInv); 
		// echo $sqlprev;die();

		$sumLInv=0;

		if ($recprev == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

			// $LastHireInv[[]];

			$rowsprev = mysqli_fetch_assoc($resprev);



			// $previd = 


			$sqlprev = "SELECT * from invoice_hire_master where  INVOICEID='" . $rowsprev['INVOICEID'] . "'";
			$resprev = mysqli_query($connect, $sqlprev);
			$recprev = mysqli_num_rows($resprev);

			// echo $sqlprev;die();
			$sumLInv=0;

			if ($recprev == 0) {
				// $resForSubAdd='';

			} else {
				$i = 1;
				$k = 1;

				$LastHireInv[[]];

				$sumLInv = 0;
				$rowsprev = mysqli_fetch_assoc($resprev);




				$LastHireInv[] = array(
					"INV NO" => $rowsprev['INVOICE_NO'],
					"AMOUNT" => $rowsprev['FINAL_AMT'],

				);

				$sumLInv = $rowsprev['FINAL_AMT'];
				$i++;

				$k++;
			}
		}














		$sql_sub = "select * from invoice_hire_slave1 where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='SUB' and AMOUNT>0";

		unset($otherLess); 
		// echo $sql_add;
		$res_sub = mysqli_query($connect, $sql_sub);
		$num_sub = mysqli_num_rows($res_sub);

	
		if ($num_sub == 0) {
			// $num_sub='';

		} else {
			$i = 1;
			$k = 1;

			// $otherLess[[]];

			while ($resForLess = mysqli_fetch_assoc($res_sub)) {

				$otherLess[] = array(



					"Ledger_Code" => $resForLess['ORC_ID'],
					"Amt" => $resForLess['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}

		$totalDisDUm = $LPDem - $DPDesp;
		$diffofPrevinv = 0;

		// echo $sumLInv .'-'.$rows['INVOICE_NO'];

		// echo 'fgd';

		// echo $rows['FINAL_AMT'];


		
	

		$diffofPrevinv = $rows['FINAL_AMT'] - $sumLInv;
		// echo $diffofPrevinv.'-'.$rows['INVOICE_NO'];
		// die();
		if (date("d-m-Y", strtotime($rows['EXCHANGE_DATE'])) == '01-01-1970') {

			$exchangeDate = '';
		} else {

			$exchangeDate = date("d-m-Y", strtotime($rows['EXCHANGE_DATE']));
		}
		if ($rows['EXCHANGE_RATE'] <= 0) {

			$exchangeRate = '';
		} else {

			$exchangeRate = $rows['EXCHANGE_RATE'];
		}



		

		$sql_prevAddComm = "SELECT *  FROM `invoice_hire_master` WHERE `COMID` = '".$rows['COMID']."' ORDER by INVOICEID DESC" ;
									
	
	// echo $sql_add;
			$res_AddCom = mysql_query($sql_prevAddComm);
			$num_sub = mysql_num_rows($res_AddCom);
			$mj = 1;

			$GST_ON_BROK=0;

			$ADDCOM_AMOUNT=0;

			$BROKERAGE=0;

			$GST_ON_BROK1=0;
			$ADDCOM_AMOUNT1=0;
			$BROKERAGE1=0;


			$GST_ON_BROK2=0;
			$ADDCOM_AMOUNT2=0;
			$BROKERAGE2=0;




	while($resForAddComm = mysql_fetch_assoc($res_AddCom)){


		if($mj==1){

	
			$ADDCOM_AMOUNT1=$resForAddComm['ADD_COMM_AMT'];
			$BROKERAGE1=$resForAddComm['BRO_COMM_AMT'];

		}



		if($mj==2){


		
			$ADDCOM_AMOUNT2=$resForAddComm['ADD_COMM_AMT'];
			$BROKERAGE2=$resForAddComm['BRO_COMM_AMT'];

		}

		$mj++;
	}


	# $GST_ON_BROK=$GST_ON_BROK1-$GST_ON_BROK2;

	$ADDCOM_AMOUNT=	$ADDCOM_AMOUNT1-$ADDCOM_AMOUNT2;

	$BROKERAGE=$BROKERAGE1-$BROKERAGE2;









		$array_json = [

			"PaymentID" => $rows['INVOICEID'],
			"voucherType" => "VC HIRE PAYMENT",
			"PaymentDate" => date('d-M-Y H:i:s', strtotime($rows['INVOICE_DATE'])),
			"Paymentno" => $rows['INVOICE_NO'],
			"DebitLedger"=> $crLedger,
			"CreditLedger" => $obj->getVendorListNewData($vendorid, "CODE"),
			"VendorName" => $obj->getVendorListNewData($vendorid, "NAME"),
			"Fixtureno" => $obj->getVoyageNoByComid($rows['COMID']),
			"VesselName" =>  $obj->getVesselIMOData($obj->getCompareEstimateData($rows['COMID'], "VESSEL_IMO_ID"), "VESSEL_NAME"),
			"CPDate" => date("d-m-Y", strtotime($obj->getFun3())),
			"Unit" =>	"USD/MT",
			"Currency" => "USD",
			"ExchCurrency" => $rows['CURRENCY'],
			"ExchRate" =>  $exchangeRate,
			"ExchDate" => $exchangeDate,
			"AccountType" => $rows['INVOICE_TYPE'],
			"Totalpayable" => $rows['HIRE_AMT'],
			"AddAdj"   => $otherAddAdj,
			"otherAdd" => $otherAdd,
			"LessAdj"   => $otherLessAdj,
			"otherLess" => $otherLess,
			"Netpayable" => $rows['FINAL_AMT'],

			"AddcomDiff" => $ADDCOM_AMOUNT,
			"BrokercomDiff" => $BROKERAGE,


			"LastHireInvoice " => $LastHireInv,

			"CurrentValue" => $diffofPrevinv,
			"hasErrors" => false,
			"errors" => null,
			"errorCode" => null

		];
		$json_Data[$p] =  $array_json;

		$p++;
	}


	echo json_encode(array('response' => $json_Data));
	die;
} else if ($_REQUEST['vocType'] == 'Tc Hire Invoice') {





	$sql = 'select * from invoice_tchire_master where SYNC_STATUS=1';
	$res = mysqli_query($connect, $sql);
	$p = 0;
	while ($rows = mysqli_fetch_assoc($res)) {

		$id = $obj->getLatestCostSheetIDTC($rows['COMID']);
		$obj->viewTCEstimationTempleteRecordsNew($id);





		$sqltc = "SELECT * from chartering_tc_estimate_slave1 where TCOUTID='" . $obj->getFun1() . "' and RANDOMID='" . $rows['RANDOMID'] . "'";
		$restc 	= mysqli_query($connect, $sqltc);
		$rectc 	= mysqli_num_rows($restc);
		$rowstc = mysqli_fetch_assoc($restc);

		if(strpos($obj->getFun7(), 'U') !== false || strpos($obj->getFun7(), 'TU') !== false){

			if (strpos($obj->getFun44(), 'UAE') !== false && strpos($obj->getFun53(), 'UAE') !== false) {
				$crLedger = 'DI0007';
				
				$Addcomm = 'DE0001';
			$broKreageCode = 'DE0006';
	
	
				}else if(strpos($obj->getFun44(), 'UAE') !== false && strpos($obj->getFun53(), 'UAE') == false){
		
					$crLedger = 'SA0027';
					$Addcomm = 'SA0001';
			$broKreageCode = 'SA0008';
	
		
				}else if(strpos($obj->getFun44(), 'UAE') == false && strpos($obj->getFun53(), 'UAE') !== false){
		
					$crLedger = 'SA0027';
					$Addcomm = 'SA0001';
			$broKreageCode = 'SA0008';
		
				}else if(strpos($obj->getFun44(), 'UAE') == false && strpos($obj->getFun53(), 'UAE') == false){
	
				$crLedger = 'SA0026';
					
				$Addcomm = 'SA0001';
				$broKreageCode = 'SA0008';
	
	
				}
		
		}else{
		
			$crLedger = 'DI0007';
	
			$Addcomm = 'DE0001';
			$broKreageCode = 'DE0006';
		
		}
	

		$sqlForQtyNRate = 'select BL_QTY_FREIGHT,FREIGHT_GROSS,COAID from
	freight_cost_estimete_master where FCAID="' . $fcaid . '" and COMID="' . $rows['COMID'] . '" and MCOMPANYID="' . $_SESSION['company'] . '" and MODULEID="' . $_SESSION['moduleid'] . '"';


		$resForQtyNRate = mysqli_query($connect, $sqlForQtyNRate) or die($sqlForQtyNRate);

		$rowForQtyNRate = mysqli_fetch_assoc($resForQtyNRate);

		if (!empty($rowForQtyNRate['COAID']) || $rowForQtyNRate['COAID'] != NULL) {
			// echo '<h1>hi';
			$sql1 = "select * from freight_cost_estimete_slave10 where FCAID='" . $fcaid . "' and STATUS=1";

			$res1 = mysqli_query($connect, $sql1) or die($sql1);

			$row1 = mysqli_fetch_assoc($res1);
		}

		if ($obj->getCompareEstimateData($rows['COMID'], "ESTIMATE_TYPE") == 1) {

			$quantity = $obj->getCompareEstimateData($rows['COMID'], "GAS_QUANTITY");
			$totalfreight = $row12['SUM3'];
			$freightrate = $row12['GAS_BASE_RATE'];
		} else if ($obj->getCompareEstimateData($rows['COMID'], "ESTIMATE_TYPE") == 2) {

			$quantity = $obj->getCompareEstimateData($rows['COMID'], "TANK_QUANTITY");
			$freightrate = $obj->getFun250();
			$maincargoid = $obj->getFun52();
			if ($obj->getFun228() == 1) {
				if ($obj->getFun171() == 1) {
					$totalfreight = $obj->getFun172();
					$quantity = $obj->getCompareEstimateData($rows['COMID'], "TANK_QUANTITY");
				} else {
					$res1_1 = mysqli_query($connect, "select * from freight_cost_estimete_slave12 where FCAID='" . $obj->getFun1() . "' and CUSTOMER = '" . $rows['VENDOR'] . "' ");
					$row1_1 = mysqli_fetch_assoc($res1_1);
					$totalfreight = $row1_1['TOTAL_AMOUNT'];
					$quantity = $row1_1['TOTAL_QTY'];
				}
			} else {

				$sql12 = "select CARGO_MT, AMOUNT_USD, CARGOID from freight_cost_estimete_slave10 where FCAID='" . $fcaid . "' and RANDOMID='" . $rows['RANDOMID'] . "' and STATUS=1";
				$res12 = mysqli_query($connect, $sql12);
				$row12 = mysqli_fetch_assoc($res12);
				$quantity = $row12['CARGO_MT'];

				$totalfreight = $row12['AMOUNT_USD'];
				$maincargoid = $row12['CARGOID'];
			}
		} else {
			if ($obj->getCompareEstimateData($rows['COMID'], "QTY_TYPE_RADIO") == 1) {

				// die($rows['COMID']);
				// echo 'dpk';
				$quantity = $obj->getCompareEstimateData($rows['COMID'], "QUANTITY");
				$totalfreight = $obj->getCompareEstimateData($rows['COMID'], "TOTAL_PREIGHT_ADJ");
				// $freightrate = $obj->getCompareEstimateData($rows['COMID'],"FREIGHT_GROSS");

				if ($rows['FREIGHT_RATE'] != NULL || $rows['FREIGHT_RATE'] != 0.00) {
					$freightrate = $rows['FREIGHT_RATE'];

					// echo 'lp';
				} else {
					$freightrate = $obj->getCompareEstimateData($rows['COMID'], "FREIGHT_GROSS");

					// echo 'cp';
				}

				$maincargoid = $obj->getCompareEstimateData($rows['COMID'], "CARGO_ID");
			} else {

				$sql12 = "select QUANTITY, GROSS_FREIGHT, AGREED_GROSS_FREIGHT, CARGO from freight_cost_estimete_slave7 where FCAID='" . $fcaid . "' and RANDOMID='" . $rows['RANDOMID'] . "'";


				$res12 = mysqli_query($connect, $sql12) or die($sql12);
				$row12 = mysqli_fetch_assoc($res12);
				$quantity = $row12['QUANTITY'];
				$totalfreight = $row12['GROSS_FREIGHT'];
				$freightrate = $row12['AGREED_GROSS_FREIGHT'];
				$maincargoid = $row12['CARGO'];
			}
		}



		$sql_add = "select * from invoice_tchire_slave1 where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='ADD' and AMOUNT>0";
		unset($otherAdd); 
		// $otherAdd[[]];
		// echo $sql_add;
		$res_add = mysqli_query($connect, $sql_add);
		$num_add = mysqli_num_rows($res_add);
		if ($num_add == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

			

			while ($resForAdd = mysqli_fetch_assoc($res_add)) {

				$otherAdd[] = array(

					"Ledger_Code" => $resForAdd['ORC_ID'],
					"Amt" => $resForAdd['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}


		$sql_addadj = "select * from invoice_tchire_adj where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='ADD' and AMOUNT>0";
		unset($otherAddAdj); 
		// $otherAddAdj[[]];
		// echo $sql_add;
		$res_addadj = mysqli_query($connect, $sql_addadj);
		$num_addadj = mysqli_num_rows($res_addadj);
		if ($num_addadj == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

			

			while ($resForAddadj = mysqli_fetch_assoc($res_addadj)) {

				$otherAddAdj[] = array(

					"COST TYPE" => $resForAddadj['ORC_ID'],
					"FIXTURE NO" => $resForAddadj['FIXTURE_NO'],
					"VESSEL" =>	$obj->getVesselIMOData($resForAddadj['VESSEL'], 'VESSEL_NAME'),
					"DESCRIPTION" => $resForAddadj['DESCRIPTION'],
					"AMOUNT" => $resForAddadj['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}





		$sql_lessadj = "select * from invoice_tchire_adj where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='SUB' and AMOUNT>0";
		// $otherLessAdj[[]];
		unset($otherLessAdj); 
		// echo $sql_add;
		$res_lessadj = mysqli_query($connect, $sql_lessadj);
		$num_lessadj = mysqli_num_rows($res_lessadj);
		if ($num_lessadj == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

			

			while ($resForLessadj = mysqli_fetch_assoc($res_lessadj)) {

				$otherLessAdj[] = array(
					"COST TYPE" => $resForLessadj['ORC_ID'],
					"FIXTURE NO" => $resForLessadj['FIXTURE_NO'],
					"VESSEL" =>	 $obj->getVesselIMOData($resForLessadj['VESSEL'], 'VESSEL_NAME'),
					"DESCRIPTION" => $resForLessadj['DESCRIPTION'],
					"AMOUNT" => $resForLessadj['AMOUNT'],
				);

				$i++;

				$k++;
			}
		}



		$sql_sub = "select * from invoice_tchire_slave1 where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='SUB' and AMOUNT>0";

		unset($otherLess); 
		// echo $sql_add;
		$res_sub = mysqli_query($connect, $sql_sub);
		$num_sub = mysqli_num_rows($res_sub);
		if ($num_sub == 0) {
			// $num_sub='';

		} else {
			$i = 1;
			$k = 1;

			// $otherLess[[]];

			while ($resForLess = mysqli_fetch_assoc($res_sub)) {

				$otherLess[] = array(

					"Ledger_Code" => $resForLess['ORC_ID'],
					"Amt" => $resForLess['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}


		$sqlprev = "SELECT * from invoice_tchire_master where COMID='" . $rows['COMID'] . "' and MODULEID='" . $_SESSION['moduleid'] . "' and MCOMPANYID='" . $_SESSION['company'] . "' and STATUS=5 and INVOICEID<'" . $rows['INVOICEID'] . "' order by INVOICEID desc";
		$resprev = mysqli_query($connect, $sqlprev);
		$recprev = mysqli_num_rows($resprev);
		unset($LastHireInv); 
		// echo $sqlprev;die();

		if ($recprev == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

			// $LastHireInv[[]];

			$rowsprev = mysqli_fetch_assoc($resprev);



			// $previd = 


			$sqlprev = "SELECT * from invoice_tchire_master where  INVOICEID='" . $rowsprev['INVOICEID'] . "'";
			$resprev = mysqli_query($connect, $sqlprev);
			$recprev = mysqli_num_rows($resprev);

			// echo $sqlprev;die();

			$sumLInv=0;

			if ($recprev == 0) {
				// $resForSubAdd='';

			} else {
				$i = 1;
				$k = 1;

				$LastHireInv[[]];

				$sumLInv = 0;
				$rowsprev = mysqli_fetch_assoc($resprev);




				$LastHireInv[] = array(
					"INV NO" => $rowsprev['INVOICE_NO'],
					"AMOUNT" => $rowsprev['FINAL_AMOUNT'],

				);

				$sumLInv = $rowsprev['FINAL_AMOUNT'];
				$i++;

				$k++;
			}
		}


		$totalDisDUm = $LPDem - $DPDesp;
		$diffofPrevinv = 0;
		$diffofPrevinv = $rows['FINAL_AMOUNT'] - $sumLInv;

		if ($rows['EXCHANGE_RATE'] <= 0) {

			$exchangeRate = '';
		} else {

			$exchangeRate = $rows['EXCHANGE_RATE'];
		}

		$sql_prevAddComm = "SELECT *  FROM `invoice_tchire_master` WHERE `COMID` = '".$rows['COMID']."' ORDER by INVOICEID DESC" ;
									
	
		// echo $sql_add;
		$res_AddCom = mysql_query($sql_prevAddComm);
		$num_sub = mysql_num_rows($res_AddCom);
		$mj = 1;
	
		$GST_ON_BROK=0;
	
		$ADDCOM_AMOUNT=0;
	
		$BROKERAGE=0;

		$GST_ON_BROK1=0;
				$ADDCOM_AMOUNT1=0;
				$BROKERAGE1=0;


				$GST_ON_BROK2=0;
				$ADDCOM_AMOUNT2=0;
				$BROKERAGE2=0;


	
	
		while($resForAddComm = mysql_fetch_assoc($res_AddCom)){
	
	
			if($mj==1){
	
		
				$ADDCOM_AMOUNT1=$resForAddComm['ADDRESS_COMMISSION_AMOUNT'];
				$BROKERAGE1=$resForAddComm['BROKER_COMMISSION_AMOUNT'];
	
			}
	
	
	
			if($mj==2){
	
	
			
				$ADDCOM_AMOUNT2=$resForAddComm['ADDRESS_COMMISSION_AMOUNT'];
				$BROKERAGE2=$resForAddComm['BROKER_COMMISSION_AMOUNT'];
	
			}
	
			$mj++;
		}
	
	
		# $GST_ON_BROK=$GST_ON_BROK1-$GST_ON_BROK2;
	
		$ADDCOM_AMOUNT=	$ADDCOM_AMOUNT1-$ADDCOM_AMOUNT2;
	
		$BROKERAGE=$BROKERAGE1-$BROKERAGE2;





		$array_json = [

			"PaymentID" => $rows['INVOICEID'],
			"voucherType" => "Tc Hire Invoice",
			"PaymentDate" => date('d-M-Y H:i:s', strtotime($rows['INVOICE_DATE'])),
			"Paymentno" => $rows['INVOICE_NO'],
			"DebitLedger" => $obj->getVendorListNewData($rowstc['TTL_REV_VENDOR'], "CODE"),
			"CreditLedger"=> $crLedger,
			"VendorName" => $obj->getVendorListNewData($rowstc['TTL_REV_VENDOR'], "NAME"),
			"Fixtureno" => $obj->getFun7(),
			"VesselName" =>  $obj->getVesselIMOData($obj->getFun3(), "VESSEL_NAME"),
			"CPDate" => date('d-m-Y', strtotime($obj->getFun9())),
			"Unit" =>	"USD/MT",
			"Currency" => "USD",
			"ExchCurrency" => $rows['EXCHANGE_CURRENCY'],
			"ExchRate" =>  $exchangeRate,
			"AccountType" => $rows['INVOICE_TYPE'],
			"Totalpayable" => $rows['HIRE_INV_AMT'],
			"AddAdj"   => $otherAddAdj,
			"otherAdd" => $otherAdd,
			"LessAdj"   => $otherLessAdj,
			"otherLess" => $otherLess,

			
			"VatPercent" => $rows['VAT_PERCENT'],
            "Vatcode" => "VAT001",
            "VatAmt" => $rows['VAT_PERCENT_AMOUNT'],

			"Brokerage" => $rows['BROKER_COMMISSION_AMOUNT'],
			"BrokerDebitCode" => $broKreageCode,
			"Addcomm"  => $Addcomm,
			"Addcomm_amt" => $rows['ADDRESS_COMMISSION_AMOUNT'],
			
			"Netpayable" => $rows['FINAL_AMOUNT'],
			"AddcomDiff" => $ADDCOM_AMOUNT,
			"BrokercomDiff" => $BROKERAGE,

			"LastHireInvoice " => $LastHireInv,
			"CurrentValue" => $diffofPrevinv,

			"hasErrors" => false,
			"errors" => null,
			"errorCode" => null

		];
		$json_Data[$p] =  $array_json;

		$p++;
	}


	echo json_encode(array('response' => $json_Data));
	die;
} else if ($_REQUEST['vocType'] == 'Tc Hire Payment') {



	$sql = 'select * from invoice_hiretc_master  where SYNC_STATUS=1';
	$res = mysqli_query($connect, $sql);
	$p = 0;
	while ($rows = mysqli_fetch_assoc($res)) {

		$id = $obj->getLatestCostSheetIDTC($rows['COMID']);
		$obj->viewTCEstimationTempleteRecordsNew($id);


		$sqltc = "SELECT * from chartering_tc_estimate_slave1 where TCOUTID='" . $obj->getFun1() . "'";
		$restc 	= mysqli_query($connect, $sqltc);
		$rectc 	= mysqli_num_rows($restc);
		$rowstc = mysqli_fetch_assoc($restc);

		$sqlForQtyNRate = 'select BL_QTY_FREIGHT,FREIGHT_GROSS,COAID from
	freight_cost_estimete_master where FCAID="' . $fcaid . '" and COMID="' . $rows['COMID'] . '" and MCOMPANYID="' . $_SESSION['company'] . '" and MODULEID="' . $_SESSION['moduleid'] . '"';


		$resForQtyNRate = mysqli_query($connect, $sqlForQtyNRate) or die($sqlForQtyNRate);

		$rowForQtyNRate = mysqli_fetch_assoc($resForQtyNRate);

		if (!empty($rowForQtyNRate['COAID']) || $rowForQtyNRate['COAID'] != NULL) {
			// echo '<h1>hi';
			$sql1 = "select * from freight_cost_estimete_slave10 where FCAID='" . $fcaid . "' and STATUS=1";

			$res1 = mysqli_query($connect, $sql1) or die($sql1);

			$row1 = mysqli_fetch_assoc($res1);
		}

		if ($obj->getCompareEstimateData($rows['COMID'], "ESTIMATE_TYPE") == 1) {

			$quantity = $obj->getCompareEstimateData($rows['COMID'], "GAS_QUANTITY");
			$totalfreight = $row12['SUM3'];
			$freightrate = $row12['GAS_BASE_RATE'];
		} else if ($obj->getCompareEstimateData($rows['COMID'], "ESTIMATE_TYPE") == 2) {

			$quantity = $obj->getCompareEstimateData($rows['COMID'], "TANK_QUANTITY");
			$freightrate = $obj->getFun250();
			$maincargoid = $obj->getFun52();
			if ($obj->getFun228() == 1) {
				if ($obj->getFun171() == 1) {
					$totalfreight = $obj->getFun172();
					$quantity = $obj->getCompareEstimateData($rows['COMID'], "TANK_QUANTITY");
				} else {
					$res1_1 = mysqli_query($connect, "select * from freight_cost_estimete_slave12 where FCAID='" . $obj->getFun1() . "' and CUSTOMER = '" . $rows['VENDOR'] . "' ");
					$row1_1 = mysqli_fetch_assoc($res1_1);
					$totalfreight = $row1_1['TOTAL_AMOUNT'];
					$quantity = $row1_1['TOTAL_QTY'];
				}
			} else {

				$sql12 = "select CARGO_MT, AMOUNT_USD, CARGOID from freight_cost_estimete_slave10 where FCAID='" . $fcaid . "' and RANDOMID='" . $rows['RANDOMID'] . "' and STATUS=1";
				$res12 = mysqli_query($connect, $sql12);
				$row12 = mysqli_fetch_assoc($res12);
				$quantity = $row12['CARGO_MT'];

				$totalfreight = $row12['AMOUNT_USD'];
				$maincargoid = $row12['CARGOID'];
			}
		} else {
			if ($obj->getCompareEstimateData($rows['COMID'], "QTY_TYPE_RADIO") == 1) {

				// die($rows['COMID']);
				// echo 'dpk';
				$quantity = $obj->getCompareEstimateData($rows['COMID'], "QUANTITY");
				$totalfreight = $obj->getCompareEstimateData($rows['COMID'], "TOTAL_PREIGHT_ADJ");
				// $freightrate = $obj->getCompareEstimateData($rows['COMID'],"FREIGHT_GROSS");

				if ($rows['FREIGHT_RATE'] != NULL || $rows['FREIGHT_RATE'] != 0.00) {
					$freightrate = $rows['FREIGHT_RATE'];

					// echo 'lp';
				} else {
					$freightrate = $obj->getCompareEstimateData($rows['COMID'], "FREIGHT_GROSS");

					// echo 'cp';
				}

				$maincargoid = $obj->getCompareEstimateData($rows['COMID'], "CARGO_ID");
			} else {

				$sql12 = "select QUANTITY, GROSS_FREIGHT, AGREED_GROSS_FREIGHT, CARGO from freight_cost_estimete_slave7 where FCAID='" . $fcaid . "' and RANDOMID='" . $rows['RANDOMID'] . "'";


				$res12 = mysqli_query($connect, $sql12) or die($sql12);
				$row12 = mysqli_fetch_assoc($res12);
				$quantity = $row12['QUANTITY'];
				$totalfreight = $row12['GROSS_FREIGHT'];
				$freightrate = $row12['AGREED_GROSS_FREIGHT'];
				$maincargoid = $row12['CARGO'];
			}
		}



		$sql_addadj = "select * from invoice_hiretc_adj where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='ADD' and AMOUNT>0";
		unset($otherAddAdj); 

		// echo $sql_add;
		$res_addadj = mysqli_query($connect, $sql_addadj);
		$num_addadj = mysqli_num_rows($res_addadj);
		if ($num_addadj == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

			$otherAddAdj[[]];

			while ($resForAddadj = mysqli_fetch_assoc($res_addadj)) {

				$otherAddAdj[] = array(

					"COST TYPE" => $resForAddadj['ORC_ID'],
					"FIXTURE NO" => $resForAddadj['FIXTURE_NO'],
					"VESSEL" =>	$obj->getVesselIMOData($resForAddadj['VESSEL'], 'VESSEL_NAME'),
					"DESCRIPTION" => $resForAddadj['DESCRIPTION'],
					"AMOUNT" => $resForAddadj['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}





		$sql_lessadj = "select * from invoice_hiretc_adj where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='SUB' and AMOUNT>0";
		unset($otherLessAdj); 
		// $otherLessAdj[[]];
		// echo $sql_add;
		$res_lessadj = mysqli_query($connect, $sql_lessadj);
		$num_lessadj = mysqli_num_rows($res_lessadj);
		if ($num_lessadj == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

		

			while ($resForLessadj = mysqli_fetch_assoc($res_lessadj)) {

				$otherLessAdj[] = array(
					"COST TYPE" => $resForLessadj['ORC_ID'],
					"FIXTURE NO" => $resForLessadj['FIXTURE_NO'],
					"VESSEL" =>	 $obj->getVesselIMOData($resForLessadj['VESSEL'], 'VESSEL_NAME'),
					"DESCRIPTION" => $resForLessadj['DESCRIPTION'],
					"AMOUNT" => $resForLessadj['AMOUNT'],
				);

				$i++;

				$k++;
			}
		}





		$sqlprev = "SELECT * from invoice_hiretc_master where COMID='" . $rows['COMID'] . "' and MODULEID='" . $_SESSION['moduleid'] . "' and MCOMPANYID='" . $_SESSION['company'] . "' and STATUS=5 and INVOICEID<'" . $rows['INVOICEID'] . "' order by INVOICEID desc";
		$resprev = mysqli_query($connect, $sqlprev);
		$recprev = mysqli_num_rows($resprev);

		unset($LastHireInv); 
		// $LastHireInv[[]];
		// echo $sqlprev;die();

		if ($recprev == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

			

			$rowsprev = mysqli_fetch_assoc($resprev);



			// $previd = 


			$sqlprev = "SELECT * from invoice_hiretc_master where  INVOICEID='" . $rowsprev['INVOICEID'] . "'";
			$resprev = mysqli_query($connect, $sqlprev);
			$recprev = mysqli_num_rows($resprev);

			// echo $sqlprev;die();

			$sumLInv = 0;

			if ($recprev == 0) {
				// $resForSubAdd='';

			} else {
				$i = 1;
				$k = 1;

				$LastHireInv[[]];

				$sumLInv = 0;
				$rowsprev = mysqli_fetch_assoc($resprev);




				$LastHireInv[] = array(
					"INV NO" => $rowsprev['INVOICE_NO'],
					"AMOUNT" => $rowsprev['FINAL_AMT'],

				);

				$sumLInv = $rowsprev['FINAL_AMT'];
				$i++;

				$k++;
			}
		}



		$sql_add = "select * from invoice_hiretc_slave1 where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='ADD' and AMOUNT>0";
		// $otherAdd[[]];
		unset($otherAdd); 
		// echo $sql_add;
		$res_add = mysqli_query($connect, $sql_add);
		$num_add = mysqli_num_rows($res_add);
		if ($num_add == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

		

			while ($resForAdd = mysqli_fetch_assoc($res_add)) {

				$otherAdd[] = array(

					"Ledger_Code" => $resForAdd['ORC_ID'],
					"Amt" => $resForAdd['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}




		$sql_sub = "select * from invoice_hiretc_slave1 where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='SUB' and AMOUNT>0";
		// $otherLess[[]];
		unset($otherLess); 
		// echo $sql_add;
		$res_sub = mysqli_query($connect, $sql_sub);
		$num_sub = mysqli_num_rows($res_sub);
		if ($num_sub == 0) {
			// $num_sub='';

		} else {
			$i = 1;
			$k = 1;

		

			while ($resForLess = mysqli_fetch_assoc($res_sub)) {

				$otherLess[] = array(

					"Ledger_Code" => $resForLess['ORC_ID'],
					"Amt" => $resForLess['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}

		$totalDisDUm = $LPDem - $DPDesp;
		$diffofPrevinv = 0;
		$diffofPrevinv = $rows['FINAL_AMT'] - $sumLInv;

		if (date("d-m-Y", strtotime($rows['EXCHANGE_DATE'])) == '01-01-1970') {

			$exchangeDate = '';
		} else {

			$exchangeDate = date("d-m-Y", strtotime($rows['EXCHANGE_DATE']));
		}
		if ($rows['EXCHANGE_RATE'] <= 0) {

			$exchangeRate = '';
		} else {

			$exchangeRate = $rows['EXCHANGE_RATE'];
		}


		$sql_prevAddComm = "SELECT *  FROM `invoice_hiretc_master` WHERE `COMID` = '".$rows['COMID']."' ORDER by INVOICEID DESC" ;
									
	
	// echo $sql_add;
	$res_AddCom = mysql_query($sql_prevAddComm);
	$num_sub = mysql_num_rows($res_AddCom);
	$mj = 1;

	$GST_ON_BROK=0;

	$ADDCOM_AMOUNT=0;

	$BROKERAGE=0;

	$GST_ON_BROK1=0;
			$ADDCOM_AMOUNT1=0;
			$BROKERAGE1=0;


			$GST_ON_BROK2=0;
			$ADDCOM_AMOUNT2=0;
			$BROKERAGE2=0;




	while($resForAddComm = mysql_fetch_assoc($res_AddCom)){


		if($mj==1){

	
			$ADDCOM_AMOUNT1=$resForAddComm['ADD_COMM_AMT'];
			$BROKERAGE1=$resForAddComm['BRO_COMM_AMT'];

		}



		if($mj==2){


		
			$ADDCOM_AMOUNT2=$resForAddComm['ADD_COMM_AMT'];
			$BROKERAGE2=$resForAddComm['BRO_COMM_AMT'];

		}

		$mj++;
	}


	# $GST_ON_BROK=$GST_ON_BROK1-$GST_ON_BROK2;

	$ADDCOM_AMOUNT=	$ADDCOM_AMOUNT1-$ADDCOM_AMOUNT2;

	$BROKERAGE=$BROKERAGE1-$BROKERAGE2;

	
	
		$array_json = [

			"PaymentID" => $rows['INVOICEID'],
			"voucherType" => "Tc Hire Payment",
			"PaymentDate" => date('d-M-Y H:i:s', strtotime($rows['INVOICE_DATE'])),
			"Paymentno" => $rows['INVOICE_NO'],
			"DebitLedger" => "DE0051",
			"CreditLedger" => $obj->getVendorListNewData($rowstc['TC_FINAL_HIERAGE_VENDOR'], "CODE"),
			"VendorName" => $obj->getVendorListNewData($rowstc['TC_FINAL_HIERAGE_VENDOR'], "NAME"),
			"Fixtureno" => $obj->getFun7(),
			"VesselName" =>  $obj->getVesselIMOData($obj->getFun3(), "VESSEL_NAME"),
			"CPDate" => date('d-m-Y', strtotime($rowstc['TC_CP_DATE'])),
			"Unit" =>	"USD/MT",
			"Currency" => "USD",
			"ExchCurrency" => $rows['CURRENCY'],
			"ExchRate" =>  $exchangeRate,
			"ExchDate" => $exchangeDate,
			"AccountType" => $rows['INVOICE_TYPE'],
			"Totalpayable" => $rows['HIRE_AMT'],
			"AddAdj"   => $otherAddAdj,
			"otherAdd" => $otherAdd,
			"LessAdj"   => $otherLessAdj,
			"otherLess" => $otherLess,
			"Netpayable" => $rows['FINAL_AMT'],
			"AddcomDiff" => $ADDCOM_AMOUNT,
			"BrokercomDiff" => $BROKERAGE,

			"LastHireInvoice " => $LastHireInv,
			"CurrentValue" => $diffofPrevinv,
			"hasErrors" => false,
			"errors" => null,
			"errorCode" => null

		];
		$json_Data[$p] =  $array_json;

		$p++;
	}


	echo json_encode(array('response' => $json_Data));
	die;
} else if ($_REQUEST['vocType'] == 'Tc Other Invoice') {


	$sql = 'select * from invoice_tcother_master where SYNC_STATUS=1';
	$res = mysqli_query($connect, $sql);
	$p = 0;
	while ($rows = mysqli_fetch_assoc($res)) {

		$id = $obj->getLatestCostSheetIDTC($rows['COMID']);
		$obj->viewTCEstimationTempleteRecordsNew($id);



		$sqlForQtyNRate = 'select BL_QTY_FREIGHT,FREIGHT_GROSS,COAID from
	freight_cost_estimete_master where FCAID="' . $fcaid . '" and COMID="' . $rows['COMID'] . '" and MCOMPANYID="' . $_SESSION['company'] . '" and MODULEID="' . $_SESSION['moduleid'] . '"';


		$resForQtyNRate = mysqli_query($connect, $sqlForQtyNRate) or die($sqlForQtyNRate);

		$rowForQtyNRate = mysqli_fetch_assoc($resForQtyNRate);

		if (!empty($rowForQtyNRate['COAID']) || $rowForQtyNRate['COAID'] != NULL) {
			// echo '<h1>hi';
			$sql1 = "select * from freight_cost_estimete_slave10 where FCAID='" . $fcaid . "' and STATUS=1";

			$res1 = mysqli_query($connect, $sql1) or die($sql1);

			$row1 = mysqli_fetch_assoc($res1);
		}

		if ($obj->getCompareEstimateData($rows['COMID'], "ESTIMATE_TYPE") == 1) {

			$quantity = $obj->getCompareEstimateData($rows['COMID'], "GAS_QUANTITY");
			$totalfreight = $row12['SUM3'];
			$freightrate = $row12['GAS_BASE_RATE'];
		} else if ($obj->getCompareEstimateData($rows['COMID'], "ESTIMATE_TYPE") == 2) {

			$quantity = $obj->getCompareEstimateData($rows['COMID'], "TANK_QUANTITY");
			$freightrate = $obj->getFun250();
			$maincargoid = $obj->getFun52();
			if ($obj->getFun228() == 1) {
				if ($obj->getFun171() == 1) {
					$totalfreight = $obj->getFun172();
					$quantity = $obj->getCompareEstimateData($rows['COMID'], "TANK_QUANTITY");
				} else {
					$res1_1 = mysqli_query($connect, "select * from freight_cost_estimete_slave12 where FCAID='" . $obj->getFun1() . "' and CUSTOMER = '" . $rows['VENDOR'] . "' ");
					$row1_1 = mysqli_fetch_assoc($res1_1);
					$totalfreight = $row1_1['TOTAL_AMOUNT'];
					$quantity = $row1_1['TOTAL_QTY'];
				}
			} else {

				$sql12 = "select CARGO_MT, AMOUNT_USD, CARGOID from freight_cost_estimete_slave10 where FCAID='" . $fcaid . "' and RANDOMID='" . $rows['RANDOMID'] . "' and STATUS=1";
				$res12 = mysqli_query($connect, $sql12);

				$row12 = mysqli_fetch_assoc($res12);
				
				$quantity = $row12['CARGO_MT'];

				$totalfreight = $row12['AMOUNT_USD'];
				$maincargoid = $row12['CARGOID'];
			}
		} else {
			if ($obj->getCompareEstimateData($rows['COMID'], "QTY_TYPE_RADIO") == 1) {

				// die($rows['COMID']);
				// echo 'dpk';
				$quantity = $obj->getCompareEstimateData($rows['COMID'], "QUANTITY");
				$totalfreight = $obj->getCompareEstimateData($rows['COMID'], "TOTAL_PREIGHT_ADJ");
				// $freightrate = $obj->getCompareEstimateData($rows['COMID'],"FREIGHT_GROSS");

				if ($rows['FREIGHT_RATE'] != NULL || $rows['FREIGHT_RATE'] != 0.00) {
					$freightrate = $rows['FREIGHT_RATE'];

					// echo 'lp';
				} else {
					$freightrate = $obj->getCompareEstimateData($rows['COMID'], "FREIGHT_GROSS");

					// echo 'cp';
				}

				$maincargoid = $obj->getCompareEstimateData($rows['COMID'], "CARGO_ID");
			} else {

				$sql12 = "select QUANTITY, GROSS_FREIGHT, AGREED_GROSS_FREIGHT, CARGO from freight_cost_estimete_slave7 where FCAID='" . $fcaid . "' and RANDOMID='" . $rows['RANDOMID'] . "'";


				$res12 = mysqli_query($connect, $sql12) or die($sql12);
				$row12 = mysqli_fetch_assoc($res12);
				$quantity = $row12['QUANTITY'];
				$totalfreight = $row12['GROSS_FREIGHT'];
				$freightrate = $row12['AGREED_GROSS_FREIGHT'];
				$maincargoid = $row12['CARGO'];
			}
		}



		$sql_add = "select * from invoice_tcother_slave1 where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='ADD' and AMOUNT>0";
		unset($otherAdd); 
		// $otherAdd[[]];
		// echo $sql_add;
		$res_add = mysqli_query($connect, $sql_add);
		$num_add = mysqli_num_rows($res_add);
		if ($num_add == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

		

			while ($resForAdd = mysqli_fetch_assoc($res_add)) {

				$otherAdd[] = array(

					"Ledger_Code" => $resForAdd['ORC_ID'],
					"Amt" => $resForAdd['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}




		$sql_sub = "select * from invoice_tcother_slave1 where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='SUB' and AMOUNT>0";
		unset($otherLess); 
		// $otherLess[[]];
		// echo $sql_add;
		$res_sub = mysqli_query($connect, $sql_sub);
		$num_sub = mysqli_num_rows($res_sub);
		if ($num_sub == 0) {
			// $num_sub='';

		} else {
			$i = 1;
			$k = 1;

		

			while ($resForLess = mysqli_fetch_assoc($res_sub)) {

				$otherLess[] = array(

					"Ledger_Code" => $resForLess['ORC_ID'],
					"Amt" => $resForLess['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}


		$sql_addadj = "select * from invoice_tcother_adj where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='ADD' and AMOUNT>0";
		// $otherAddAdj[[]];
		unset($otherAddAdj); 
		// echo $sql_add;
		$res_addadj = mysqli_query($connect, $sql_addadj);
		$num_addadj = mysqli_num_rows($res_addadj);
		if ($num_addadj == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

			

			while ($resForAddadj = mysqli_fetch_assoc($res_addadj)) {

				$otherAddAdj[] = array(

					"COST TYPE" => $resForAddadj['ORC_ID'],
					"FIXTURE NO" => $resForAddadj['FIXTURE_NO'],
					"VESSEL" =>	$obj->getVesselIMOData($resForAddadj['VESSEL'], 'VESSEL_NAME'),
					"DESCRIPTION" => $resForAddadj['DESCRIPTION'],
					"AMOUNT" => $resForAddadj['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}




		$sql_lessadj = "select * from invoice_tcother_adj where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='SUB' and AMOUNT>0";
		unset($otherLessAdj); 
		// $otherLessAdj[[]];

		// echo $sql_add;
		$res_lessadj = mysqli_query($connect, $sql_lessadj);
		$num_lessadj = mysqli_num_rows($res_lessadj);
		if ($num_lessadj == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

		
			while ($resForLessadj = mysqli_fetch_assoc($res_lessadj)) {

				$otherLessAdj[] = array(
					"COST TYPE" => $resForLessadj['ORC_ID'],
					"FIXTURE NO" => $resForLessadj['FIXTURE_NO'],
					"VESSEL" =>	 $obj->getVesselIMOData($resForLessadj['VESSEL'], 'VESSEL_NAME'),
					"DESCRIPTION" => $resForLessadj['DESCRIPTION'],
					"AMOUNT" => $resForLessadj['AMOUNT'],
				);

				$i++;

				$k++;
			}
		}






		$totalDisDUm = $LPDem - $DPDesp;


		if (date("d-m-Y", strtotime($rows['EXCHANGE_DATE'])) == '01-01-1970') {

			$exchangeDate = '';
		} else {

			$exchangeDate = date("d-m-Y", strtotime($rows['EXCHANGE_DATE']));
		}
		if ($rows['EXCHANGE_RATE'] <= 0) {

			$exchangeRate = '';
		} else {

			$exchangeRate = $rows['EXCHANGE_RATE'];
		}
		$array_json = [

			"PaymentID" => $rows['INVOICEID'],
			"voucherType" => "Tc Other Invoice",
			"PaymentDate" => date('d-M-Y H:i:s', strtotime($rows['INVOICE_DATE'])),
			"Paymentno" => $rows['INVOICE_NO'],
			"DebitLedger" => $obj->getVendorListNewData($rows['VENDOR'], "CODE"),
			"CreditLedger" => "DE0036",
			"VendorName" => $obj->getVendorListNewData($rows['VENDOR'], "NAME"),
			"Fixtureno" => $obj->getFun7(),
			"VesselName" =>  $obj->getVesselIMOData($obj->getFun3(), "VESSEL_NAME"),
			"CPDate" => date('d-m-Y', strtotime($obj->getFun9())),
			"Unit" =>	"USD/MT",
			"Currency" => "USD",
			"ExchCurrency" => $rows['EXCHANGE_CURRENCY'],
			"ExchRate" =>  $exchangeRate,
			"ExchDate" => $exchangeDate,
			"AccountType" => $rows['INVOICE_TYPE'],
			"Totalpayable" => $rows['FINAL_AMOUNT'],
			"AddAdj"   => $otherAddAdj,
			"otherAdd" => $otherAdd,
			"LessAdj"   => $otherLessAdj,
			"otherLess" => $otherLess,
			"Netpayable" => $rows['NET_PAYABLE_TAX'],
			"CurrentValue" => $rows['FINAL_AMOUNT'],
			"hasErrors" => false,
			"errors" => null,
			"errorCode" => null

		];
		$json_Data[$p] =  $array_json;

		$p++;
	}


	echo json_encode(array('response' => $json_Data));
	die;
} else if ($_REQUEST['vocType'] == 'Tc Other Payment') {


	$sql = 'select * from payment_tcother_master where SYNC_STATUS=1';
	$res = mysqli_query($connect, $sql);

	$p = 0;
	while ($rows = mysqli_fetch_assoc($res)) {

		$id = $obj->getLatestCostSheetIDTC($rows['COMID']);
		$obj->viewTCEstimationTempleteRecordsNew($id);



		$sqlForQtyNRate = 'select BL_QTY_FREIGHT,FREIGHT_GROSS,COAID from
	freight_cost_estimete_master where FCAID="' . $fcaid . '" and COMID="' . $rows['COMID'] . '" and MCOMPANYID="' . $_SESSION['company'] . '" and MODULEID="' . $_SESSION['moduleid'] . '"';


		$resForQtyNRate = mysqli_query($connect, $sqlForQtyNRate) or die($sqlForQtyNRate);

		$rowForQtyNRate = mysqli_fetch_assoc($resForQtyNRate);

		if (!empty($rowForQtyNRate['COAID']) || $rowForQtyNRate['COAID'] != NULL) {

			$sql1 = "select * from freight_cost_estimete_slave10 where FCAID='" . $fcaid . "' and STATUS=1";

			$res1 = mysqli_query($connect, $sql1) or die($sql1);

			$row1 = mysqli_fetch_assoc($res1);
		}

		if ($obj->getCompareEstimateData($rows['COMID'], "ESTIMATE_TYPE") == 1) {

			$quantity = $obj->getCompareEstimateData($rows['COMID'], "GAS_QUANTITY");
			$totalfreight = $row12['SUM3'];
			$freightrate = $row12['GAS_BASE_RATE'];
		} else if ($obj->getCompareEstimateData($rows['COMID'], "ESTIMATE_TYPE") == 2) {

			$quantity = $obj->getCompareEstimateData($rows['COMID'], "TANK_QUANTITY");
			$freightrate = $obj->getFun250();
			$maincargoid = $obj->getFun52();
			if ($obj->getFun228() == 1) {
				if ($obj->getFun171() == 1) {
					$totalfreight = $obj->getFun172();
					$quantity = $obj->getCompareEstimateData($rows['COMID'], "TANK_QUANTITY");
				} else {
					$res1_1 = mysqli_query($connect, "select * from freight_cost_estimete_slave12 where FCAID='" . $obj->getFun1() . "' and CUSTOMER = '" . $rows['VENDOR'] . "' ");
					$row1_1 = mysqli_fetch_assoc($res1_1);
					$totalfreight = $row1_1['TOTAL_AMOUNT'];
					$quantity = $row1_1['TOTAL_QTY'];
				}
			} else {

				$sql12 = "select CARGO_MT, AMOUNT_USD, CARGOID from freight_cost_estimete_slave10 where FCAID='" . $fcaid . "' and RANDOMID='" . $rows['RANDOMID'] . "' and STATUS=1";
				$res12 = mysqli_query($connect, $sql12);
				$row12 = mysqli_fetch_assoc($res12);
				$quantity = $row12['CARGO_MT'];

				$totalfreight = $row12['AMOUNT_USD'];
				$maincargoid = $row12['CARGOID'];
			}
		} else {
			if ($obj->getCompareEstimateData($rows['COMID'], "QTY_TYPE_RADIO") == 1) {

				// die($rows['COMID']);
				// echo 'dpk';
				$quantity = $obj->getCompareEstimateData($rows['COMID'], "QUANTITY");
				$totalfreight = $obj->getCompareEstimateData($rows['COMID'], "TOTAL_PREIGHT_ADJ");
				// $freightrate = $obj->getCompareEstimateData($rows['COMID'],"FREIGHT_GROSS");

				if ($rows['FREIGHT_RATE'] != NULL || $rows['FREIGHT_RATE'] != 0.00) {
					$freightrate = $rows['FREIGHT_RATE'];

					// echo 'lp';
				} else {
					$freightrate = $obj->getCompareEstimateData($rows['COMID'], "FREIGHT_GROSS");

					// echo 'cp';
				}

				$maincargoid = $obj->getCompareEstimateData($rows['COMID'], "CARGO_ID");
			} else {

				$sql12 = "select QUANTITY, GROSS_FREIGHT, AGREED_GROSS_FREIGHT, CARGO from freight_cost_estimete_slave7 where FCAID='" . $fcaid . "' and RANDOMID='" . $rows['RANDOMID'] . "'";


				$res12 = mysqli_query($connect, $sql12) or die($sql12);
				$row12 = mysqli_fetch_assoc($res12);
				$quantity = $row12['QUANTITY'];
				$totalfreight = $row12['GROSS_FREIGHT'];
				$freightrate = $row12['AGREED_GROSS_FREIGHT'];
				$maincargoid = $row12['CARGO'];
			}
		}



		$sql_add = "select * from payment_tcother_slave1 where PAYMENTID='" . $rows['PAYMENTID'] . "' and IDENTIFY='ADD' and AMOUNT>0";
		unset($otherAdd); 
		// $otherAdd[[]];
		// echo $sql_add;
		$res_add = mysqli_query($connect, $sql_add);
		$num_add = mysqli_num_rows($res_add);
		if ($num_add == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

	

			while ($resForAdd = mysqli_fetch_assoc($res_add)) {

				$otherAdd[] = array(

					"Ledger_Code" => $resForAdd['ORC_ID'],
					"Amt" => $resForAdd['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}




		$sql_sub = "select * from payment_tcother_slave1 where PAYMENTID='" . $rows['PAYMENTID'] . "' and IDENTIFY='SUB' and AMOUNT>0";
		unset($otherLess); 
		// $otherLess[[]];
		// echo $sql_add;
		$res_sub = mysqli_query($connect, $sql_sub);
		$num_sub = mysqli_num_rows($res_sub);
		if ($num_sub == 0) {
			// $num_sub='';

		} else {
			$i = 1;
			$k = 1;

	

			while ($resForLess = mysqli_fetch_assoc($res_sub)) {

				$otherLess[] = array(

					"Ledger_Code" => $resForLess['ORC_ID'],
					"Amt" => $resForLess['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}

		$totalDisDUm = $LPDem - $DPDesp;



		$sql_addadj = "select * from payment_tcother_adj where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='ADD' and AMOUNT>0";
		// $otherAddAdj[[]];
		unset($otherAddAdj); 
		// echo $sql_add;
		$res_addadj = mysqli_query($connect, $sql_addadj);
		$num_addadj = mysqli_num_rows($res_addadj);
		if ($num_addadj == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

	

			while ($resForAddadj = mysqli_fetch_assoc($res_addadj)) {

				$otherAddAdj[] = array(

					"COST TYPE" => $resForAddadj['ORC_ID'],
					"FIXTURE NO" => $resForAddadj['FIXTURE_NO'],
					"VESSEL" =>	$obj->getVesselIMOData($resForAddadj['VESSEL'], 'VESSEL_NAME'),
					"DESCRIPTION" => $resForAddadj['DESCRIPTION'],
					"AMOUNT" => $resForAddadj['AMOUNT'],

				);

				$i++;

				$k++;
			}
		}




		$sql_lessadj = "select * from payment_tcother_adj where INVOICEID='" . $rows['INVOICEID'] . "' and IDENTIFY='SUB' and AMOUNT>0";
		// $otherLessAdj[[]];

		unset($otherLessAdj); 
		// echo $sql_add;
		$res_lessadj = mysqli_query($connect, $sql_lessadj);
		$num_lessadj = mysqli_num_rows($res_lessadj);
		if ($num_lessadj == 0) {
			// $resForSubAdd='';

		} else {
			$i = 1;
			$k = 1;

			
			while ($resForLessadj = mysqli_fetch_assoc($res_lessadj)) {

				$otherLessAdj[] = array(
					"COST TYPE" => $resForLessadj['ORC_ID'],
					"FIXTURE NO" => $resForLessadj['FIXTURE_NO'],
					"VESSEL" =>	 $obj->getVesselIMOData($resForLessadj['VESSEL'], 'VESSEL_NAME'),
					"DESCRIPTION" => $resForLessadj['DESCRIPTION'],
					"AMOUNT" => $resForLessadj['AMOUNT'],
				);

				$i++;

				$k++;
			}
		}



		if ($rows['EXCHANGE_RATE'] <= 0) {

			$exchangeRate = '';
		} else {

			$exchangeRate = $rows['EXCHANGE_RATE'];
		}

		$DebitLedgerCode = ' ';

		if (strpos($rows['SHORT_DESC'], 'BUNKER') !== false ||  strpos($rows['SHORT_DESC'], 'Bunker') !== false  ||  strpos($rows['SHORT_DESC'], 'bunker') !== false) {


			$DebitLedgerCode = 'DE0008';

		}else{


			$DebitLedgerCode = 'DE0036';

		}

		if (!empty($rows['ACC_L_CODE'])) {

			$DebitLedgerCode = $rows['ACC_L_CODE'];
			
		}

		
		$array_json = [

			"PaymentID" => $rows['PAYMENTID'],
			"voucherType" => "Tc Other Payment",
			"PaymentDate" => date('d-M-Y H:i:s', strtotime($rows['INVOICE_DATE'])),
			"Paymentno" => $rows['INVOICE_NO'],
			"DebitLedger" =>$DebitLedgerCode,
			"CreditLedger" => $obj->getVendorListNewData($rows['VENDOR'], "CODE"),
			"VendorName" => $obj->getVendorListNewData($rows['VENDOR'], "NAME"),
			"Fixtureno" => $obj->getFun7(),
			"VesselName" =>  $obj->getVesselIMOData($obj->getFun3(), "VESSEL_NAME"),
			"CPDate" => date('d-m-Y', strtotime($obj->getFun9())),
			"Unit" =>	"USD/MT",
			"Currency" => "USD",
			"ExchCurrency" => $rows['EXCHANGE_CURRENCY'],
			"ExchRate" =>  $exchangeRate,
			"AccountType" => $rows['INVOICE_TYPE'],
			"Totalpayable" => $rows['AMOUNT'],
			"AddAdj"   => $otherAddAdj,
			"otherAdd" => $otherAdd,
			"LessAdj"   => $otherLessAdj,
			"otherLess" => $otherLess,
			"Netpayable" => $rows['FINAL_AMOUNT'],
			"CurrentValue" => $rows['AMOUNT'],
			"hasErrors" => false,
			"errors" => null,
			"errorCode" => null

		];

		$json_Data[$p] =  $array_json;

		$p++;
	}


	echo json_encode(array('response' => $json_Data));
	die;
}
