<?php 
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");
$obj = new data();
$connect = $obj->funConnect();
$display = new display();
$display->logout_iu();
$pagename = basename($_SERVER['PHP_SELF']);
if (isset($_REQUEST['selBType']) && $_REQUEST['selBType']!="")
{
	$selBType = $_REQUEST['selBType'];
}
else if(isset($_SESSION['selBType']))
{
	$selBType = $_SESSION['selBType'];
}
else
{
	$selBType = '';
}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<link href="../../css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(7,2); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        <i class="fa fa-leaf"></i>&nbsp;Reports&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="../"><i class="fa fa-home"></i> Home</a></li>
                        <li>Reports</li>
						<li>Operations</li>
						<li class="active">Headwise Expense Report</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
				<!--   content put here..................-->
				<div class="box box-primary">
				<h3 style=" text-align:center;">Headwise Expense Report</h3>
				<div style="height:10px;"></div>
					<div class="row invoice-info" style="margin-left:5px;margin-right:5px;">
						<div class="col-sm-2 invoice-col">
							Date From <span style="font-size:10px; font-style:italic;">  (financial year)</span>
							<address>
								<input type="text" name="txtFrom_Date" id="txtFrom_Date" class="form-control" autocomplete="off" placeholder="dd-mm-yyyy"> 
							</address>
						</div>

						<div class="col-sm-2 invoice-col">
							Date To <span style="font-size:10px; font-style:italic;">  (financial year)</span>
							<address>
								<input type="text" name="txtTo_Date" id="txtTo_Date" class="form-control" autocomplete="off" placeholder="dd-mm-yyyy"> 
							</address>
						</div>
						<div class="col-sm-2 invoice-col">
							Vendor
								<address>
								<select  name="selVendor" class="select form-control" id="selVendor">
									<?php $obj->getVendorListNewUpdate();?>
								</select>
							</address>
						</div>
                        <div class="col-xs-2">
                             Business Type
                             <select name="selBType" id="selBType" class="form-control" >
                               <?php echo $obj->getBusinessTypeList1($selBType);?>
                              </select>
                        </div><!-- /.col -->
						<div class="col-xs-2">
                           COA/Spot
                            <address>
                             <select name="selCOASpot" id="selCOASpot" class="form-control">
                               <?php echo $obj->getCOASpotList();?>
                              </select>  
                           </address>                
                        </div><!-- /.col -->
						<div class="col-sm-2 invoice-col">
						&nbsp;
							<address>
							  <button type="button" class="btn btn-primary btn-flat" onClick="getData();">Search</button>
							</address>
						</div><!-- /.col -->
					</div>
					 <div align="right">
                        <a href="#" title="Pdf" onClick="getExcel();"><button class="btn btn-default" style="margin-right: 5px;" type="button"><i class="fa fa-download"></i> Generate Excel</button></a>
                        <!--<a href="#" title="Pdf" onClick="getPdf();"><button class="btn btn-default" style="margin-right: 5px;" type="button"><i class="fa fa-download"></i> Generate PDF</button></a>-->
					</div> 
					
					<form name="frm1" id="frm1" enctype="multipart/form-data" action="<?php echo $pagename;?>"/>
						<div id="DivOwner" class="box-body table-responsive" style="overflow:auto;">
							<table id="headwise_summ_list" class="table table-bordered table-striped">
								<thead>
									<tr valign="top">
										<th align="left">Sr. No.</th>
										<th align="left">Nom Id</th>
										<th align="left">Voyage No.</th>
										<th align="left">Vessel Name</th>
										<th align="left">COA/Spot</th>
										<th align="left">AWRP</th>
										<th align="left">GBB</th>
										<th align="left">ILOHC</th>
                                        <th align="left">Insurance</th>
                                        <th align="left">Misc</th>
                                        <th align="left">Off Hire Survey</th>
                                        <th align="left">On Hire Survey</th>
                                        <th align="left">Other Costs</th>
                                        <th align="left">P & I Survey</th>
										<th align="left">Routing Charges</th>
										<th align="left">Tank Cleaning</th>
										<th align="left">TC Bunker Cost</th>
										<th align="left">Travel</th>
										<th align="left">Various</th>
										<th align="left">War Risk Premium</th>
										<th align="left">Zakat Tax</th>
									</tr>
									<tr>
									<?php
										echo '<tr>';
										echo '<td align="center" colspan="21" valign="middle" style="color:#ff0000;letter-spacing:1px;">'.strtoupper("Sorry Currently there are zero(0) records").'</td>';
										echo '</tr>';
									?>
									</tr>
								</thead>
							<tbody></tbody>
							</table>
						</div>
					</form>
				</div>
				<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
			
        </div><!-- ./wrapper -->
<?php $display->footer(); ?>
<?php $display->js(); ?>
<script src="../../js/plugins/datatables/jquery.dataTables.js" type="text/javascript"></script>
<script src="../../js/plugins/datatables/dataTables.bootstrap.js" type="text/javascript"></script>
<script src="../../js/timer.js" type="text/javascript"></script>
<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<link href="../../css/datepicker/datepicker.css" rel="stylesheet" type="text/css" />
<script src="../../js/bootstrap-datepicker.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>
<script type="text/javascript">
$(document).ready(function(){

$('#txtFrom_Date,#txtTo_Date').datepicker({
	format: 'dd-mm-yyyy',
	autoclose: true
});
	

});


function getData()
{
	
	if($("#txtFrom_Date").val() != "" && $("#txtTo_Date").val() != "")
	{
		$('#DivOwner').html('<span style="text-align:center;display:block;"><img src="../../img/loading.gif" /></span>');
		$.post("options.php?id=102",{txtFrom_Date:""+$("#txtFrom_Date").val()+"",txtTo_Date:""+$("#txtTo_Date").val()+"",selVendor:""+$("#selVendor").val()+"",selBType:""+$("#selBType").val()+"",selCOASpot:""+$("#selCOASpot").val()+""}, function(html) {
			$('#DivOwner').empty();
			$('#DivOwner').append(html);
			$("#headwise_summ_list").dataTable();
			
		});
	}
	else
	{
		jAlert('Please select Date From & Date To', 'Alert Dialog');
	}
}

/*function getPdf()
{
	location.href='allPdf.php?id=85&txtFrom_Date='+$("#txtFrom_Date").val()+'&txtTo_Date='+$("#txtTo_Date").val()+'&selVendor='+$("#selVendor").val()+'&selBType='+$("#selBType").val()+'&selCOASpot='+$("#selCOASpot").val();
}*/

function getExcel()
{
	
	location.href='allExcel.php?id=32&txtFrom_Date='+$("#txtFrom_Date").val()+'&txtTo_Date='+$("#txtTo_Date").val()+'&selVendor='+$("#selVendor").val()+'&selBType='+$("#selBType").val()+'&selCOASpot='+$("#selCOASpot").val();
}
 
</script>
		
</body>
</html>