<?php 
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");
$obj = new data();
$connect = $obj->funConnect();
$display = new display();
$display->logout_iu();
$id = $_REQUEST['id'];
if (@$_REQUEST['action'] == 'submit')
 {
 	$msg = $obj->updateMSDSRecords();
	header('Location:./material_safety_data_list.php?msg='.$msg);
 }
$obj->viewMSDSRecords($id);
$pagename = basename($_SERVER['PHP_SELF'])."?id=".$id;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
<style>
.animated {
	vertical-align: top; 
	transition: height 0.2s;
	-webkit-transition: height 0.2s; 
	-moz-transition: height 0.2s; 
}

form.cmxform label.error, label.error {
	/* remove the next line when you have trouble in IE6 with labels in list */
	font-family:Verdana, Arial, Helvetica, sans-serif;
	font-size:10px;
	color: red;
	font-style:normal;
	font-weight:lighter;
	margin:5px;
	vertical-align:top;
}
</style>
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(3); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                 <section class="content-header">
                    <h1>
                        <i class="fa fa-folder-open"></i>&nbsp;Masters&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="../"><i class="fa fa-home"></i> Home</a></li>
                        <li class="active">Masters&nbsp;&nbsp;&nbsp;>&nbsp;&nbsp;&nbsp;Material Safety Data Sheets</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content invoice">
				<!--   content put here..................-->
				<div align="right"><a href="material_safety_data_list.php"><button class="btn btn-info btn-flat">Back</button></a></div>
				<div style="height:10px;">&nbsp;</div>
				<form role="form" name="frm1" id="frm1" enctype="multipart/form-data" action="<?php echo $pagename;?>" method="post">			
				<div class="row">
                        <div class="col-xs-12">
                            <h2 class="page-header">
                             ADD NEW MATERIAL SAFETY DATA SHEET
                            </h2>                            
                        </div><!-- /.col -->
                    </div>
					
					<div class="row invoice-info">
                        <div class="col-sm-12 invoice-col">
                           Cargo Name
                            <address>
                               <select  name="selCName" class="form-control" id="selCName">
									<?php 
									$_REQUEST['selCName'] = $obj->getFun1();
									$obj->getCargoListForMSDS(); ?>
								</select>
                            </address>
                        </div><!-- /.col -->
						<div class="col-sm-12 invoice-col">
                            Port
                            <address>
                               <select  name="selPort" class="form-control" id="selPort">
									<?php 
									$_REQUEST['selPort'] = $obj->getFun2();
									$obj->getPortList(); 
									?>
								</select>
                            </address>
                        </div><!-- /.col -->
						
						<div class="col-sm-12 invoice-col">
                            Shipper
                            <address>
                               <select  name="selShipper" class="form-control" id="selShipper">
									<?php 
									$_REQUEST['selShipper'] = $obj->getFun3();
									$obj->getVendorList(); ?>
								</select>
                            </address>
                        </div><!-- /.col -->
						
                        <div class="col-sm-12 invoice-col">
                            Remarks
                            <address>
                                 <textarea class="form-control areasize" name="txtDesc" id="txtDesc" rows="3" placeholder="Description ..." ><?php echo $obj->getFun4(); ?></textarea>
                            </address>
                        </div><!-- /.col -->
						
						<div class="col-sm-12 invoice-col">
                            Previous Upload
                            <address>
								<input type="hidden" name="txtCRM" id="txtCRM" value="<?php echo $obj->getFun5(); ?>" />
								<?php 
								$name = explode(",",$obj->getFun5()); 
								if($obj->getFun5() != " ")
								{
								?>
								<?php
								for($i=0;$i<sizeof($name);$i++)
								{
								?>
								&nbsp;&nbsp;<a href="../../attachment/<?php echo $name[$i]; ?>" target="_blank" data-toggle="tooltip" data-original-title="View Previous Upload"><?php echo $name[$i]; ?></a>,
								
								<?php }?>
								<?php } ?>
                            </address>
                        </div><!-- /.col -->
						
						<div class="col-sm-12 invoice-col">
						   Attachment
                            <address>
								<div class="btn btn-success btn-file btn-flat" data-toggle="tooltip" data-original-title="Add Attachment">
                                    <i class="fa fa-paperclip"></i> Attachment
                                    <input type="file" class="form-control" multiple name="mul_file[]" id="mul_file" title="" data-widget="Add Attachment" data-toggle="tooltip" data-original-title="Add Attachment"/>
                                </div>
							</address>
						</div>
						
					</div>
				<div class="box-footer" align="right">
					<button type="submit" class="btn btn-primary btn-flat" onClick="return getValidate(0);">Submit</button>
					<input type="hidden" name="action" value="submit" /><input type="hidden" name="upstatus" id="upstatus" value="" />
				</div>
				</form>
				<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
			
        </div><!-- ./wrapper -->
<?php $display->footer(); ?>
<?php $display->js(); ?>
<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<script src='../../js/jquery.autosize.js'></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>
<script src="../../js/timer.js" type="text/javascript"></script>
<script type="text/javascript">
$(document).ready(function(){ 
$(".areasize").autosize({append: "\n"});
$("#frm1").validate({
	rules: {
		selCName:"required",
		selPort:"required",
		selShipper:"required",
		},
	messages: {	
		selCName:"*",
		selPort:"*",
		selShipper:"*",
		},
submitHandler: function(form)  {
		jAlert('<b style="font-size:25px;">Please wait . . .</b><br><br><img src="../../img/loading.gif"  />', 'Alert');
		$("#popup_container").css({"background": "rgba(255,255,255,0.1)","border": "10px solid rgba(255,255,255,0.1)","width": "100%"});
		$("#popup_content").css({"background":"none","text-align":"center"});
		$("#popup_ok,#popup_title").hide();  
		form.submit();
	}
});

});

</script>
    </body>
</html>