<?php 
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");
$obj = new data();
$connect = $obj->funConnect();
$display = new display();
$display->logout_iu();
$pagename = basename($_SERVER['PHP_SELF']);

if (isset($_REQUEST['selBType']) && $_REQUEST['selBType']!="")
{
	$selBType = $_SESSION['selBType'] = $_REQUEST['selBType'];
}
else if(isset($_SESSION['selBType']))
{
	$selBType = $_SESSION['selBType'];
}
else
{
	unset($_SESSION['selBType']);
	$selBType = '';
}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<link href="../../css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(5); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        <i class="fa fa-leaf"></i>&nbsp;Ops VC&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="../"><i class="fa fa-home"></i> Home</a></li>
                        <li class="active">Ops VC&nbsp;&nbsp;&nbsp;>&nbsp;&nbsp;&nbsp;Historical Data - VC</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
				<!--   content put here..................-->
				<?php if(isset($_REQUEST['msg'])){
						$msg = $_REQUEST['msg'];
						if($msg == 0){?>
				<div class="alert alert-success alert-dismissable">
					<i class="fa fa-check"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Congratulations!</b> Vessels in History added/updated successfully.
				</div>
				<?php }?>
				<?php if($msg == 1){?>
				<div class="alert alert-success alert-dismissable">
					<i class="fa fa-ban"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Congratulations!</b> Vessels in History sheet successfully create.
				</div>
				<?php }?>
				<?php if($msg == 2){?>
				<div class="alert alert-success alert-dismissable">
					<i class="fa fa-check"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Congratulations!</b> Status changed successfully.
				</div>
				<?php }}?>
				<div class="box box-primary">
					<h3 style=" text-align:center;">Historical Data - VC</h3>
				
					<form name="frm1" id="frm1" enctype="multipart/form-data" action="<?php echo $pagename;?>"/>
                        <div class="col-xs-9" style="text-align:right;">
						<a href="addhistoricaldata.php?page=7"><button class="btn btn-info btn-flat" type="button" >Add New</button></a>
                        </div>
                        <div class="col-xs-3">
                             <select name="selBType" id="selBType" class="form-control" onChange="getDefaultData();">
                             <option value="">---Select Business Type---</option>
                               <?php echo $obj->getBusinessTypeList1($selBType);?>
                              </select>                  
                        </div><!-- /.col -->
						<div style="height:10px;">
							<input type="hidden" name="txtMappingid2" id="txtMappingid2" value="" />
							<input type="hidden" name="txtStatus" id="txtStatus" value="" />
							<input type="hidden" name="txtFileName" id="txtFileName" value="" />
							<input type="hidden" name="action" id="action" value="submit" />
						</div>
                
						<div class="box-body table-responsive">
							<table class="table table-bordered table-striped" id='fca_list'>
								<thead>
									<tr>
										<th align="left">Business Type / Nom ID</th>
										<th align="left">Material Name</th>
										<th align="left">Vessel</th>
										<th align="left">CP Date</th>
                                        <th align="left">Voyage No.</th>
										<th align="center">Voyage Financials</th>
										<th align="left">FDA</th>
										<th align="left">Calculations</th>
                                        <th align="center">Payment / Invoice</th>
										<th align="center">Operator</th>
										<th align="center">Status</th>
									</tr>
								</thead>
									<?php 
										$sql = "select *, (select CONTACT_PERSON from login where login.LOGINID = freight_cost_estimate_compare.OPERATOR) as OPERATOR from freight_cost_estimate_compare inner join freight_cost_estimete_master on freight_cost_estimete_master.FCAID= freight_cost_estimate_compare.FCAID WHERE freight_cost_estimate_compare.MODULEID='".$_SESSION['moduleid']."' AND freight_cost_estimate_compare.MCOMPANYID='".$_SESSION['company']."' and freight_cost_estimate_compare.FINAL_ID!='' and freight_cost_estimete_master.FIXED=1 and freight_cost_estimate_compare.STATUS in (5) and freight_cost_estimete_master.ESTIMATE_TYPE='".$selBType."' and COAAID is NULL order by date(freight_cost_estimete_master.FINAL_DATETIME) desc"; 

										$res = mysql_query($sql);
										$rec = mysql_num_rows($res);
										$i=1;
										$submit = 0;
									   if($rec == 0)
										{
										echo '<tbody>';
								
										echo '</tbody>';
									}else{
									?>
								<tbody>
								<?php while($rows = mysql_fetch_assoc($res)) { ?>
								<tr style="font-size:11px;">
									
									<td><?php echo $obj->getBusinessTypeBasedOnID1($obj->getVesselIMOData($rows['VESSEL_IMO_ID'],"BUSINESSTYPEID"))."<br><br>".$rows['MESSAGE'];?></td>
									<td>
                                        <?php echo $obj->getMaterialCodeDesBasedOnCode($rows['CARGO_ID']);?>
                                    </td>
                                    <td>
                                        <?php echo $obj->getVesselIMOData($rows['VESSEL_IMO_ID'],"VESSEL_NAME");?>/<br/> <?php echo $obj->getCompareEstimateData($rows['COMID'],"VESSEL_TYPE");?>
                                    </td>
									<?php $fixture_date = $obj->getCompareEstimateData($rows['COMID'],"TRANS_DATE");
											if($fixture_date!="0000-00-00" && $fixture_date!=""){$fixture_date = date('d-m-Y',strtotime($fixture_date));}else{$fixture_date = "";}?>
                                    <td>
										<?php echo $fixture_date;?><br/><br/><?php echo $obj->getFreightFixtureBasedOnID($rows['FIXTURETYPEID']);?>
									</td>
                                    <td>
										<?php echo $obj->getCompareEstimateData($rows['COMID'],"VOYAGE_NO");?>
                                    </td>
                                    
									<td style="text-align:center;">
                                      
                                        <?php
                                            $sql1 = "select * from cost_sheet_name_master where COMID='".$rows['COMID']."' and MODULEID='".$_SESSION['moduleid']."' and MCOMPANYID='".$_SESSION['company']."'";
                                            $latestsheet='';
                                            $res1 = mysql_query($sql1);
                                            $rec1 = mysql_num_rows($res1);
                                            if($rec1 > 0)
                                            {
                                                while($rows1 = mysql_fetch_assoc($res1))
                                                {
												   $latestsheet = $rows1['COST_SHEETID'];
                                                   $href = "./addhistoricaldata.php?comid=".$rows['COMID']."&cost_sheet_id=".$rows1['COST_SHEETID']."&page=7";
                                                       
                                                        echo "<a href='".$href."'>".str_replace(' ','&nbsp;',$rows1['SHEET_NAME'])."</a><br/>";
                                                        $curr_cst = $rows1['COST_SHEETID'];
                                                    
                                                }
                                            }	
                                            ?>
                                    </td>
                                   
                                    <td>
                                        <a href="nominate_agent.php?comid=<?php echo $rows['COMID'];?>&page=7">FDA</a>
                                    </td>			
                                    
                                    <td>
                                        <?php if($obj->getFreightEstimationStatus($rows['COMID']) == 2 )
                                            {?>
                                        <a href="laytime_calculation.php?comid=<?php echo $rows['COMID'];?>&page=7" style="color:blue;" title="Click me" >Laytime</a><br/><br/>
                                        <?php }?>
                                        <a href="bunker_calculation.php?comid=<?php echo $rows['COMID'];?>&page=7" style="color:blue;" title="Click me" >Bunkers</a><br/><br/>
												<a href="soa_report.php?comid=<?php echo $rows['COMID'];?>&page=7" style="color:blue;" title="Click me" >SOA</a>
                                    </td>
			
									<td>
                                        <a href="payment_grid.php?comid=<?php echo $rows['COMID'];?>&page=7" >View</a><br><br>
                                       
                                        <a href="piclubdeclaration.php?comid=<?php echo $rows['COMID'];?>&page=7" >P & I Club Declaration</a>
                                    </td>
                                    
                                  
                                    <td>
									   <?php 
										echo $rows['OPERATOR'];
										?>
									</td>
									<td>
										History
									</td>
                                    
								</tr>
								<?php $i++;}}?>
								</tbody>
							</table>
						</div>
					</form>	
				</div>
				<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
        </div><!-- ./wrapper -->
<?php $display->footer(); ?>
<?php $display->js(); ?>
<script src="../../js/timer.js" type="text/javascript"></script>
<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<link href="../../css/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
<script src='../../js/plugins/datatables/jquery.dataTables.min.js'></script>
<script src='../../js/jquery.autosize.js'></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>
<script type="text/javascript">
$(document).ready(function(){ 
getDefaultData();
});

function getDefaultData()
{
		var table = $('#fca_list').dataTable();
		if(table != null)table.fnDestroy();
	  
		table = $("#fca_list").DataTable( {
			"processing": true,
			"serverSide": true,
			"stateSave": true,
			"order": [[0, 'desc']],
			"ajax": {
				"url": "options.php?id=97",
				"type": "POST",
				"dataSrc": function ( d ) {
					return d.records;
				},
				"data": function ( d ) {d.selBType=$("#selBType").val()},
			},
			"columns": [
				{ "data": "col1" },
				{ "data": "col2" },
				{ "data": "col3" },
				{ "data": "col4" },
				{ "data": "col5" },
				{ "data": "col6" },
				{ "data": "col7" },
				{ "data": "col8" },
				{ "data": "col9" },
				
			],
			"language": {
				  "zeroRecords": "SORRY CURRENTLY THERE ARE ZERO(0) RECORDS"
				},
			 "fnDrawCallback": function(oSettings, json) {
				  $('[data-toggle="tooltip"]').tooltip();	
				},	
			"columnDefs": [ 
			        
					{
						"targets": 7,
						"orderable": false
					},
					{
						"targets": 8,
						"orderable": false
					}
				]
					
		});
}
</script>
		
</body>
</html>