<?php 
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");
$obj = new data();
$connect = $obj->funConnect();
$display = new display();
$display->logout_iu();
if (@$_REQUEST['action'] == 'submit')
 {
 	$msg = $obj->InsertAccountingLedgerRecords();
	header('Location:./ledger_list.php?msg='.$msg);
 }
$pagename = basename($_SERVER['PHP_SELF']);
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<link rel="stylesheet" href="../../css/select22.css" type="text/css"/>
<link rel="stylesheet" href="../../css/select2-bootstrap.css" type="text/css"/>
<?php $display->js(); ?>
<script src="../../js/select2.min.js" type="text/javascript"></script>
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
<style>
.animated {
				vertical-align: top; 
				transition: height 0.2s;
				-webkit-transition: height 0.2s; 
				-moz-transition: height 0.2s; 
			}

form.cmxform label.error, label.error {
		/* remove the next line when you have trouble in IE6 with labels in list */
		font-family:Verdana, Arial, Helvetica, sans-serif;
		font-size:10px;
		color: red;
		font-style:normal;
		font-weight:lighter;
		margin:5px;
		vertical-align:top;
		}
</style>
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(23,1); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                 <section class="content-header">
                    <h1>
                        <i class="fa fa-usd"></i>&nbsp;7Oceans Accounting&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="../"><i class="fa fa-home"></i> Home</a></li>
                        <li class="active">Ledger</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content invoice">
				<!--   content put here..................-->
				<div align="right"><a href="ledger_list.php"><button class="btn btn-info btn-flat">Back</button></a></div>
				<div style="height:10px;">&nbsp;</div>
				<form role="form" name="frm1" id="frm1" enctype="multipart/form-data" action="<?php echo $pagename;?>" method="post">			
				<div class="row">
                        <div class="col-xs-12">
                            <h2 class="page-header">
                             ADD NEW LEDGER
                            </h2>                            
                        </div><!-- /.col -->
                    </div>
					<div class="row invoice-info">
                        <div class="col-sm-4 invoice-col">
                         Parent Group
                            <address>
							<script>
								$(document).ready(function($)
								{
									$("#selGroup").select2({
										minimumInputLength: 1,
										placeholder: '---Select from list---',
										allowClear: true,
										ajax: {
											url: "options.php?id=89",
											dataType: 'json',
											quietMillis: 100,
											data: function(term, page) {
												return {
													limit: -1,
													q: term
												};
											},
											results: function(data, page ) {
												return { results: data }
											}
										},
										formatResult: function(doc) { 
											return "<div class='select2-user-result'>" + doc.name + "</div>"; 
										},
										formatSelection: function(doc) { 
											return  doc.name; 
										}
									});
								});
							</script>
							<input type="text" name="selGroup" id="selGroup" class="form-control required" value=""/>
                            </address>
                        </div>
                        <div class="col-sm-4 invoice-col">
                            Ledger Name
                            <address>
                               <input type="text" name="txtLedgerName" id="txtLedgerName" class="form-control required" placeholder="Ledger Name" autocomplete="off" value="" >
                            </address>
                        </div>
                        <div class="col-sm-4 invoice-col">
                            Ledger Code
                            <address>
                               <input type="text" name="txtLedgerCode" id="txtLedgerCode" class="form-control required" placeholder="Ledger Code" autocomplete="off" value="" >
                            </address>
                        </div>
					</div>
					<div class="row invoice-info">
                        <div class="col-sm-4 invoice-col">
                         Opening Balance (USD Dr.)
                            <address>
							<input type="text" name="txtOpeningBalanceDebit" id="txtOpeningBalanceDebit" class="form-control numeric" placeholder="Opening Balance (Dr.)" autocomplete="off" value="" >
                            </address>
                        </div>
						<div class="col-sm-4 invoice-col">
                         Opening Balance (USD Cr.)
                            <address>
							<input type="text" name="txtOpeningBalanceCredit" id="txtOpeningBalanceCredit" class="form-control numeric" placeholder="Opening Balance (Cr.)" autocomplete="off" value="" >
                            </address>
                        </div>
                        <div class="col-sm-4 invoice-col">
                         Date
                            <address>
							<input type="text" name="txtDate" id="txtDate" class="form-control" placeholder="dd-mm-yyyy" autocomplete="off" value="">
                            </address>
                        </div>
					</div>
                    <div class="row">
                        <div class="col-xs-12">
                            <h4 class="page-header">
                             Banking Details
                            </h4>                            
                        </div><!-- /.col -->
                    </div>
					<div class="row invoice-info">
                        <div class="col-sm-3 invoice-col">
                         Account Holder Name
                            <address>
							<input type="text" name="txtAccountName" id="txtAccountName" class="form-control" placeholder="Account Holder Name" autocomplete="off" value="" >
                            </address>
                        </div>
						<div class="col-sm-3 invoice-col">
                         Bank Name
                            <address>
							<input type="text" name="txtBankName" id="txtBankName" class="form-control" placeholder="Bank Name" autocomplete="off" value="" >
                            </address>
                        </div>
                        <div class="col-sm-3 invoice-col">
                            IFSC Code
                            <address>
                               <input type="text" name="txtIFSCCode" id="txtIFSCCode" class="form-control" placeholder="IFSC Code" autocomplete="off" value="" >
                            </address>
                        </div>
                        <div class="col-sm-3 invoice-col">
                            SWIFT Code
                            <address>
                               <input type="text" name="txtSWIFTCode" id="txtSWIFTCode" class="form-control" placeholder="SWIFT Code" autocomplete="off" value="" >
                            </address>
                        </div>
					</div>
					<div class="row invoice-info">
                        <div class="col-sm-6 invoice-col">
                         Bank Branch/Address
                            <address>
							<input type="text" name="txtBankAddress" id="txtBankAddress" class="form-control" placeholder="Bank Branch/Address" autocomplete="off" value="" >
                            </address>
                        </div>
					</div>
					
					<div class="row">
                        <div class="col-xs-12">
                            <h4 class="page-header">
                             Mailing Details
                            </h4>                            
                        </div><!-- /.col -->
                    </div>
					<div class="row invoice-info">
                        <div class="col-sm-3 invoice-col">
                            Name
                            <address>
							<input type="text" name="txtName" id="txtName" class="form-control" placeholder="Name" autocomplete="off" value="" >
                            </address>
                        </div>
						<div class="col-sm-3 invoice-col">
                            State
                            <address>
							<input type="text" name="txtState" id="txtState" class="form-control" placeholder="State" autocomplete="off" value="" >
                            </address>
                        </div>
                        <div class="col-sm-3 invoice-col">
                            Country
                            <address>
                               <select name="selCountry" class="form-control" id="selCountry">
								<?php 
                                $obj->getCountryNameList();
                                ?>
                                </select>
                            </address>
                        </div>
                        <div class="col-sm-3 invoice-col">
                            Pincode
                            <address>
                               <input type="text" name="txtPincode" id="txtPincode" class="form-control" placeholder="Pincode" autocomplete="off" value="" >
                            </address>
                        </div>
					</div>
					<div class="row invoice-info">
                        <div class="col-sm-6 invoice-col">
                         Address
                            <address>
							<input type="text" name="txtAddress" id="txtAddress" class="form-control" placeholder="Address" autocomplete="off" value="" >
                            </address>
                        </div>
					</div>
					
					
					<div class="row">
                        <div class="col-xs-12">
                            <h4 class="page-header">
                             Tax Details
                            </h4>                            
                        </div><!-- /.col -->
                    </div>
					<div class="row invoice-info">
                        <div class="col-sm-3 invoice-col">
                            TAX/Duity Type
                            <address>
							    <select name="selTaxType" class="form-control" id="selTaxType">
								<?php 
                                $obj->getTaxTypeList();
                                ?>
                                </select>
                            </address>
                        </div>
						<div class="col-sm-3 invoice-col">
                            PAN/IT No.
                            <address>
							<input type="text" name="txtPANNo" id="txtPANNo" class="form-control" placeholder="PAN/IT No." autocomplete="off" value="" >
                            </address>
                        </div>
                        <div class="col-sm-3 invoice-col">
                            GSTIN/VAT Registration No.
                            <address>
                              <input type="text" name="txtTaxRegNo" id="txtTaxRegNo" class="form-control" placeholder="GSTIN/VAT Registration No." autocomplete="off" value="" >
                            </address>
                        </div>
                        
					</div>
					
				    <div class="box-footer" align="right">
							<button type="submit" class="btn btn-primary btn-flat" >Submit</button>
							<input type="hidden" name="action" value="submit" /><input type="hidden" name="upstatus" id="upstatus" value="" />
				    </div>
         
				
					
				</form>
				
				<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
			
        </div><!-- ./wrapper -->
<?php $display->footer(); ?>
<?php $display->js(); ?>
<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<script src='../../js/jquery.autosize.js'></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>
<script src="../../js/timer.js" type="text/javascript"></script>
<link href="../../css/datepicker/datepicker.css" rel="stylesheet" type="text/css" />
<script src="../../js/bootstrap-datepicker.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.numeric.js"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.calculation-min.js"></script>
<script type="text/javascript">
$(document).ready(function(){
    $('#txtDate').datepicker({
		format: 'dd-mm-yyyy',
		autoclose:true
	});
	$('.numeric').numeric(); 
	$("#frm1").validate({
		rules: {
		
		},
	messages: {	
		
		},
	submitHandler: function(form)  {
			jAlert('<b style="font-size:25px;">Please wait . . .</b><br><br><img src="../../img/loading.gif"  />', 'Alert');
			$("#popup_container").css({"background": "rgba(255,255,255,0.1)","border": "10px solid rgba(255,255,255,0.1)","width": "100%"});
			$("#popup_content").css({"background":"none","text-align":"center"});
			$("#popup_ok,#popup_title").hide();  
			form.submit();
		}
	});
});


</script>
    </body>
</html>