<?php 
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");
$obj = new data();
$connect = $obj->funConnect();
$display = new display();
$display->logout_iu();
$pagename = basename($_SERVER['PHP_SELF']);
$msg = NULL;

if (isset($_REQUEST['selBType']) && $_REQUEST['selBType']!="")
{
	$selBType = $_REQUEST['selBType'];
}
else if(isset($_SESSION['selBType']))
{
	$selBType = $_SESSION['selBType'];
}
else
{
	$selBType = '';
}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<link href="../../css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(7,1); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        <i class="fa fa-bar-chart-o"></i>&nbsp;Reports&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                         <li><a href="../"><i class="fa fa-home"></i> Home</a></li>
                         <li>Reports</li>
						 <li>Chartering</li>
						 <li class="active">Approval Status Report</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
				<!--   content put here..................-->
				<div class="box box-primary">
				<h3 style=" text-align:center;">Approval Status Report</h3>
				<form name="frm1" id="frm1" enctype="multipart/form-data" action="<?php echo $pagename;?>"/>
					
					<div align="right">
					<a href="allExcel.php?id=36" title="Pdf"><button class="btn btn-default" type="button" style="margin-left: 110px; margin-top:-19px;"><i class="fa fa-download"></i> Generate Excel</button></a>
					</div>
					
                    <div style="overflow:auto;">
                        <div class="box-body table-responsive" style="overflow:auto;">
                     		<table id="cargo_list" class="table table-bordered table-striped">
                                <thead>
                                <tr>
                                    <th align="left" valign="top" width="3%">#</th>
                                    <th align="left" valign="top" width="5%">Form Name</th>
									<th align="left" valign="top" width="5%">Invoice/Advice No</th>	
									<th align="left" valign="top" width="5%">Voyage No.</th>
									<th align="left" valign="top" width="5%">Vendor Name</th>
                                    <th align="left" valign="top" width="6%">Status</th>
									<th align="left" valign="top" width="6%">Pending With</th>
                                    <th align="left" valign="top" width="5%">Edit Link</th>
                                </tr>
                                </thead>
                                <tbody id="tbody1">
                                    <tr>
									    <td colspan="6">VC</td>
									</tr>
							<?php $i=0;
								  $sel = "select * from freight_invoice_master where STATUS<5 and STATUS>0";
								  $result = mysql_query($sel);
								  while($rows = mysql_fetch_assoc($result))
								  {$i++;
								      $query1 = "select * from alert_master where IDENTIFY='FREIGHT INVOICE' and IDENTIFYID='".$rows['INVOICEID']."'";
									  $result1 = mysql_query($query1);
								      $rows1 = mysql_fetch_assoc($result1);
								      $userarr = array();
									  $invtype = $rows['I_TYPE'];
								      if($invtype=='Interim')
									  {
										   $creatorsarr = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['CREATOR']);
									       $approverarr1 = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['APPROVERS']);
										   $approverarr2 = $obj->getApproverNameBasedOnApprovalMatrix('INI_FREIGHT_CHK_APP_2');
									  }else
									  {
										   $creatorsarr = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['CREATOR']);
									       $approverarr1 = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['APPROVERS']);
										   $approverarr2 = $obj->getApproverNameBasedOnApprovalMatrix('FINL_FREIGHT_CHK_APP_2');
									  }  
								  ?>
									<tr>
									  <td><?=$i;?></td>
									  <td><?=ucwords($rows['I_TYPE']);?> Freight Invoice</td>
									  <td><?=$rows['MESSAGE'];?></td>
									  <td><?=$obj->getCompareEstimateData($rows['COMID'],"VOYAGE_NO");?></td>
									  <td><?=$obj->getVendorListNewBasedOnID($rows['VENDOR']);?></td>
									  <td>
								      <?php if($rows['STATUS']==0){$userarr[] = $creatorsarr;?>
									        <span class="label label-primary">Submit to Edit</span>
									  <?php }?>
									   <?php if($rows['STATUS']==1){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Level 1 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==2){$userarr[] = $creatorsarr;?>
									        <span class="label label-warning">Sent for Review To Creator Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==3){$userarr[] = $approverarr2;?>
									        <span class="label label-danger">Level 2 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==4){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Sent for Review To Approver 1 Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  </td>
									  <td>
									  <?=implode(', ',$userarr);?>
									  </td>
									  <td>
									<?php if($rows1['REDIRECTTO']!=''){?>
									  <a href="<?=$rows1['REDIRECTTO'];?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }else{?>
									  <a href="payment_grid.php?comid=<?=$rows['COMID'];?>&page=<?=$obj->getCompareTableData($rows['COMID'], 'STATUS');?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }?>  
									  </td>
									</tr>
							<?php }?>
							
							<?php $sel = "select * from other_invoice_master where STATUS<5 and STATUS>0";
								  $result = mysql_query($sel);
								  while($rows = mysql_fetch_assoc($result))
								  {$i++;
								      $query1 = "select * from alert_master where IDENTIFY='OTHER INVOICE' and IDENTIFYID='".$rows['INVOICEID']."'";
									  $result1 = mysql_query($query1);
								      $rows1 = mysql_fetch_assoc($result1);
								      $userarr = array();
								      $creatorsarr = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['CREATOR']);
									  $approverarr1 = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['APPROVERS']);
									  $approverarr2 = $obj->getApproverNameBasedOnApprovalMatrix('INI_FREIGHT_CHK_APP_2');
									 
								  ?>
									<tr>
									  <td><?=$i;?></td>
									  <td><?=ucwords($rows['P_TYPE']);?></td>
									  <td><?=$rows['MESSAGE'];?></td>
									  <td><?=$obj->getCompareEstimateData($rows['COMID'],"VOYAGE_NO");?></td>
									  <td><?=$obj->getVendorListNewBasedOnID($rows['VENDOR']);?></td>
									  <td>
								      <?php if($rows['STATUS']==0){$userarr[] = $creatorsarr;?>
									        <span class="label label-primary">Submit to Edit</span>
									  <?php }?>
									   <?php if($rows['STATUS']==1){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Level 1 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==2){$userarr[] = $creatorsarr;?>
									        <span class="label label-warning">Sent for Review To Creator Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==3){$userarr[] = $approverarr2;?>
									        <span class="label label-danger">Level 2 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==4){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Sent for Review To Approver 1 Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  </td>
									  <td>
									  <?=implode(', ',$userarr);?>
									  </td>
									  <td>
									<?php if($rows1['REDIRECTTO']!=''){?>
									  <a href="<?=$rows1['REDIRECTTO'];?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }else{?>
									  <a href="payment_grid.php?comid=<?=$rows['COMID'];?>&page=<?=$obj->getCompareTableData($rows['COMID'], 'STATUS');?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }?>  
									  </td>
									</tr>
							<?php }?>
							
							
							<?php $sel = "select * from loadport_cost_master where SUBMITID<5 and SUBMITID>0";
								  $result = mysql_query($sel);
								  while($rows = mysql_fetch_assoc($result))
								  {$i++;
								      $query1 = "select * from alert_master where IDENTIFY='FDA' and IDENTIFYID='".$rows['INVOICEID']."'";
									  $result1 = mysql_query($query1);
								      $rows1 = mysql_fetch_assoc($result1);
								      $userarr = array();
								      $creatorsarr = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['CREATOR']);
									  $approverarr1 = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['APPROVERS']);
									  $approverarr2 = $obj->getApproverNameBasedOnApprovalMatrix('FDA_CHK_APP_2');
									 
									  $query2 = "select PORT_COSTLP_VENDOR, PORT_COSTDP_VENDOR, PORT_COSTTP_VENDOR from freight_cost_estimete_slave1 where FCAID='".$obj->getCompareEstimateData($rows['COMID'],"FCAID")."' and RANDOMID='".$rows['RANDOMID']."'";
									  $result2 = mysql_query($query2);
								      $rows2 = mysql_fetch_assoc($result2);
									  if($rows['PORT']=='LP')
									  {
									      $vender = $rows2['PORT_COSTLP_VENDOR'];
									  }
									  if($rows['PORT']=='DP')
									  {
									      $vender = $rows2['PORT_COSTDP_VENDOR'];
									  }
									  if($rows['PORT']=='TP')
									  {
									      $vender = $rows2['PORT_COSTTP_VENDOR'];
									  }
								  ?>
									<tr>
									  <td><?=$i;?></td>
									  <td>FDA</td>
									  <td><?=$rows['PORT'];?> - <?=$obj->getPortNameBasedOnID($rows['PORTID']);?></td>
									  <td><?=$obj->getCompareEstimateData($rows['COMID'],"VOYAGE_NO");?></td>
									  <td><?=$obj->getVendorListNewBasedOnID($vender);?></td>
									  <td>
								      <?php if($rows['SUBMITID']==0){$userarr[] = $creatorsarr;?>
									        <span class="label label-primary">Submit to Edit</span>
									  <?php }?>
									   <?php if($rows['SUBMITID']==1){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Level 1 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['SUBMITID']==2){$userarr[] = $creatorsarr;?>
									        <span class="label label-warning">Sent for Review To Creator Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['SUBMITID']==3){$userarr[] = $approverarr2;?>
									        <span class="label label-danger">Level 2 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['SUBMITID']==4){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Sent for Review To Approver 1 Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  </td>
									  <td>
									  <?=implode(', ',$userarr);?>
									  </td>
									  <td>
									<?php if($rows1['REDIRECTTO']!=''){?>
									  <a href="<?=$rows1['REDIRECTTO'];?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }else{?>
									  <a href="nominate_agent.php?comid=<?=$rows['COMID'];?>&page=<?=$obj->getCompareTableData($rows['COMID'], 'STATUS');?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }?>  
									  </td>
									</tr>
							<?php }?>
							
							<?php $sel = "select * from laytime_master where SUBMITID<5 and SUBMITID>0";
								  $result = mysql_query($sel);
								  while($rows = mysql_fetch_assoc($result))
								  {$i++;
								      $query1 = "select * from alert_master where IDENTIFY='LAYTIME' and IDENTIFYID='".$rows['LAYTIME_ID']."'";
									  $result1 = mysql_query($query1);
								      $rows1 = mysql_fetch_assoc($result1);
								      $userarr = array();
								      $creatorsarr = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['CREATOR']);
									  $approverarr1 = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['APPROVERS']);
									  $approverarr2 = $obj->getApproverNameBasedOnApprovalMatrix('LAYTIME_CHK_APP_2');
									
									  $query2 = "select PORT_COSTLP_VENDOR, PORT_COSTDP_VENDOR, PORT_COSTTP_VENDOR from freight_cost_estimete_slave1 where FCAID='".$obj->getCompareEstimateData($rows['COMID'],"FCAID")."' and RANDOMID='".$rows['RANDOMID']."'";
									  $result2 = mysql_query($query2);
								      $rows2 = mysql_fetch_assoc($result2);
									  if($rows['PORT']=='LP')
									  {
									      $vender = $rows2['PORT_COSTLP_VENDOR'];
									  }
									  if($rows['PORT']=='DP')
									  {
									      $vender = $rows2['PORT_COSTDP_VENDOR'];
									  }
									  if($rows['PORT']=='TP')
									  {
									      $vender = $rows2['PORT_COSTTP_VENDOR'];
									  } 
								  ?>
									<tr>
									  <td><?=$i;?></td>
									  <td>LAYTIME</td>
									  <td><?=$rows['PORT'];?> - <?=$obj->getPortNameBasedOnID($rows['PORTID']);?></td>
									  <td><?=$obj->getCompareEstimateData($rows['COMID'],"VOYAGE_NO");?></td>
									  <td><?=$obj->getVendorListNewBasedOnID($vender);?></td>
									  <td>
								      <?php if($rows['SUBMITID']==0){$userarr[] = $creatorsarr;?>
									        <span class="label label-primary">Submit to Edit</span>
									  <?php }?>
									   <?php if($rows['SUBMITID']==1){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Level 1 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['SUBMITID']==2){$userarr[] = $creatorsarr;?>
									        <span class="label label-warning">Sent for Review To Creator Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['SUBMITID']==3){$userarr[] = $approverarr2;?>
									        <span class="label label-danger">Level 2 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['SUBMITID']==4){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Sent for Review To Approver 1 Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  </td>
									  <td>
									  <?=implode(', ',$userarr);?>
									  </td>
									  <td>
									<?php if($rows1['REDIRECTTO']!=''){?>
									  <a href="<?=$rows1['REDIRECTTO'];?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }else{?>
									  <a href="laytime_calculation.php?comid=<?=$rows['COMID'];?>&page=<?=$obj->getCompareTableData($rows['COMID'], 'STATUS');?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }?>  
									  </td>
									</tr>
							<?php }?>
							
							
							<?php $sel = "select * from invoice_hire_master where STATUS<5 and STATUS>0";
								  $result = mysql_query($sel);
								  while($rows = mysql_fetch_assoc($result))
								  {$i++;
								      $query1 = "select * from alert_master where IDENTIFY='HIRE STATEMENT' and IDENTIFYID='".$rows['INVOICEID']."'";
									  $result1 = mysql_query($query1);
								      $rows1 = mysql_fetch_assoc($result1);
								      $userarr = array();
								     $creatorsarr = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['CREATOR']);
									  $approverarr1 = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['APPROVERS']);
									  $approverarr2 = $obj->getApproverNameBasedOnApprovalMatrix('HIRE_STSTMENT_CHK_APP_2');
									 
								  ?>
									<tr>
									  <td><?=$i;?></td>
									  <td>Hire Statement</td>
									  <td><?=$rows['INVOICE_NO'];?></td>
									  <td><?=$obj->getCompareEstimateData($rows['COMID'],"VOYAGE_NO");?></td>
									  <td><?=$obj->getVendorListNewBasedOnID($obj->getCompareEstimateData($rows['COMID'],"DTCVENDORID"));?></td>
									  <td>
								      <?php if($rows['STATUS']==0){$userarr[] = $creatorsarr;?>
									        <span class="label label-primary">Submit to Edit</span>
									  <?php }?>
									   <?php if($rows['STATUS']==1){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Level 1 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==2){$userarr[] = $creatorsarr;?>
									        <span class="label label-warning">Sent for Review To Creator Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==3){$userarr[] = $approverarr2;?>
									        <span class="label label-danger">Level 2 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==4){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Sent for Review To Approver 1 Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  </td>
									  <td>
									  <?=implode(', ',$userarr);?>
									  </td>
									  <td>
									<?php if($rows1['REDIRECTTO']!=''){?>
									  <a href="<?=$rows1['REDIRECTTO'];?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }else{?>
									  <a href="payment_grid.php?comid=<?=$rows['COMID'];?>&page=<?=$obj->getCompareTableData($rows['COMID'], 'STATUS');?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }?>  
									  </td>
									</tr>
							<?php }?>
							
							
							<?php $sel = "select * from request_master where STATUS<5 and STATUS>0";
								  $result = mysql_query($sel);
								  while($rows = mysql_fetch_assoc($result))
								  {$i++;
								      $userarr = array();
								      if($rows['NAME'] == 'Load Port Costs' || $rows['NAME'] == 'Discharge Port Costs' || $rows['NAME'] == 'Transit Port Costs')
										{
											if($rows['ACCOUNT_TYPE']=='Interim')
											{
												$creatorsarr = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['CREATOR']);
									            $approverarr1 = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['APPROVERS']);
												$approverarr2 = $obj->getApproverNameBasedOnApprovalMatrix('FDA_CHK_APP_2');
											}else
											{
												$creatorsarr = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['CREATOR']);
									            $approverarr1 = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['APPROVERS']);
												$approverarr2 = $obj->getApproverNameBasedOnApprovalMatrix('PDA_CHK_APP_2');
											}
										}
										else
										{
											$creatorsarr = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['CREATOR']);
									        $approverarr1 = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['APPROVERS']);
											$approverarr2 = $obj->getApproverNameBasedOnApprovalMatrix('OTHER_PAYMENT_CHK_APP_2');
										}
									  
								      $query1 = "select * from alert_master where IDENTIFY='PAYMENT' and IDENTIFYID='".$rows['REQ_ID']."'";
									  $result1 = mysql_query($query1);
								      $rows1 = mysql_fetch_assoc($result1);
								      
									 
								  ?>
									<tr>
									  <td><?=$i;?></td>
									  <td><?=$rows['NAME'];?></td>
									  <td><?=$rows['PAYMENT_NO'];?></td>
									  <td><?=$obj->getCompareEstimateData($rows['COMID'],"VOYAGE_NO");?></td>
									  <td><?=$obj->getVendorListNewBasedOnID($rows['VENDOR']);?></td>
									  <td>
								      <?php if($rows['STATUS']==0){$userarr[] = $creatorsarr;?>
									        <span class="label label-primary">Submit to Edit</span>
									  <?php }?>
									   <?php if($rows['STATUS']==1){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Level 1 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==2){$userarr[] = $creatorsarr;?>
									        <span class="label label-warning">Sent for Review To Creator Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==3){$userarr[] = $approverarr2;?>
									        <span class="label label-danger">Level 2 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==4){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Sent for Review To Approver 1 Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  </td>
									  <td>
									  <?=implode(', ',$userarr);?>
									  </td>
									  <td>
									<?php if($rows1['REDIRECTTO']!=''){?>
									  <a href="<?=$rows1['REDIRECTTO'];?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }else{?>
									  <a href="payment_grid.php?comid=<?=$rows['COMID'];?>&page=<?=$obj->getCompareTableData($rows['COMID'], 'STATUS');?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }?>  
									  </td>
									</tr>
							<?php }?>
							      
								  
								    <tr>
									    <td colspan="6">TC</td>
									</tr>
								  
							<?php $sel = "select * from invoice_tchire_master where STATUS<5 and STATUS>0";
								  $result = mysql_query($sel);
								  while($rows = mysql_fetch_assoc($result))
								  {$i++;
								      $query1 = "select * from alert_master where IDENTIFY='HIRE INVOICE' and IDENTIFYID='".$rows['INVOICEID']."'";
									  $result1 = mysql_query($query1);
								      $rows1 = mysql_fetch_assoc($result1);
								      $userarr = array();
									  $invtype = $rows['INVOICE_TYPE'];
									  
									  $creatorsarr = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['CREATOR']);
									  $approverarr1 = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['APPROVERS']);
									  $approverarr2 = $obj->getApproverNameBasedOnApprovalMatrix('HIRE_INVOICE_CHK_APP_2');
									  
									  $sqltc = "SELECT * from chartering_tc_estimate_slave1 where TCOUTID='".$obj->getCharteringEstimateTCData($rows['COMID'], 'TCOUTID')."' and RANDOMID='".$rows['RANDOMID']."'";
									  $restc 	= mysql_query($sqltc) or die($sqltc);
									  $rectc 	= mysql_num_rows($restc);
									  $rowstc = mysql_fetch_assoc($restc);
								  ?>
									<tr>
									  <td><?=$i;?></td>
									  <td><?=ucwords($rows['INVOICE_TYPE']);?> TC Hire Invoice</td>
									  <td><?=$rows['INVOICE_NO'];?></td>
									  <td><?=$obj->getCharteringEstimateTCData($rows['COMID'],"TC_NO");?></td>
									  <td><?=$obj->getVendorListNewBasedOnID($rowstc['TTL_REV_VENDOR']);?></td>
									  <td>
								      <?php if($rows['STATUS']==0){$userarr[] = $creatorsarr;?>
									        <span class="label label-primary">Submit to Edit</span>
									  <?php }?>
									   <?php if($rows['STATUS']==1){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Level 1 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==2){$userarr[] = $creatorsarr;?>
									        <span class="label label-warning">Sent for Review To Creator Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==3){$userarr[] = $approverarr2;?>
									        <span class="label label-danger">Level 2 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==4){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Sent for Review To Approver 1 Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  </td>
									  <td>
									  <?=implode(', ',$userarr);?>
									  </td>
									  <td>
									<?php if($rows1['REDIRECTTO']!=''){?>
									  <a href="<?=$rows1['REDIRECTTO'];?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }else{?>
									  <a href="payment_grid_tc.php?comid=<?=$rows['COMID'];?>&page=<?=$obj->getCompareTableDataTC($rows['COMID'], 'STATUS');?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }?>  
									  </td>
									</tr>
							<?php }?>
							
							<?php $sel = "select * from invoice_tcother_master where STATUS<5 and STATUS>0";
								  $result = mysql_query($sel);
								  while($rows = mysql_fetch_assoc($result))
								  {$i++;
								       $query1 = "select * from alert_master where IDENTIFY='OTHER TC INVOICE' and IDENTIFYID='".$rows['INVOICEID']."'";
									  $result1 = mysql_query($query1);
								      $rows1 = mysql_fetch_assoc($result1);
								      $userarr = array();
									  $invtype = $rows['INVOICE_TYPE'];
									  
									  $creatorsarr = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['CREATOR']);
									  $approverarr1 = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['APPROVERS']);
									  $approverarr2 = $obj->getApproverNameBasedOnApprovalMatrix('HIRE_INVOICE_CHK_APP_2');
									  
									  $sqltc = "SELECT * from chartering_tc_estimate_slave1 where TCOUTID='".$obj->getCharteringEstimateTCData($rows['COMID'], 'TCOUTID')."' and RANDOMID='".$rows['RANDOMID']."'";
									  $restc 	= mysql_query($sqltc) or die($sqltc);
									  $rectc 	= mysql_num_rows($restc);
									  $rowstc = mysql_fetch_assoc($restc);
								  ?>
									<tr>
									  <td><?=$i;?></td>
									  <td><?=ucwords($rows['INVOICE_TYPE']);?> <?=$rows['INV_IDENTITY'];?></td>
									  <td><?=$rows['INVOICE_NO'];?></td>
									  <td><?=$obj->getCharteringEstimateTCData($rows['COMID'],"TC_NO");?></td>
									  <td><?=$obj->getVendorListNewBasedOnID($rows['VENDOR']);?></td>
									  <td>
								      <?php if($rows['STATUS']==0){$userarr[] = $creatorsarr;?>
									        <span class="label label-primary">Submit to Edit</span>
									  <?php }?>
									   <?php if($rows['STATUS']==1){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Level 1 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==2){$userarr[] = $creatorsarr;?>
									        <span class="label label-warning">Sent for Review To Creator Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==3){$userarr[] = $approverarr2;?>
									        <span class="label label-danger">Level 2 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==4){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Sent for Review To Approver 1 Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  </td>
									  <td>
									  <?=implode(', ',$userarr);?>
									  </td>
									  <td>
									<?php if($rows1['REDIRECTTO']!=''){?>
									  <a href="<?=$rows1['REDIRECTTO'];?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }else{?>
									  <a href="payment_grid_tc.php?comid=<?=$rows['COMID'];?>&page=<?=$obj->getCompareTableDataTC($rows['COMID'], 'STATUS');?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }?>  
									  </td>
									</tr>
							<?php }?>
							
							<?php $sel = "select * from invoice_hiretc_master where STATUS<5 and STATUS>0";
								  $result = mysql_query($sel);
								  while($rows = mysql_fetch_assoc($result))
								  {$i++;
								       $query1 = "select * from alert_master where IDENTIFY='TC HIRE STATEMENT' and IDENTIFYID='".$rows['INVOICEID']."'";
									  $result1 = mysql_query($query1);
								      $rows1 = mysql_fetch_assoc($result1);
								      $userarr = array();
									  $invtype = $rows['INVOICE_TYPE'];
									  
								      $creatorsarr = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['CREATOR']);
									  $approverarr1 = $obj->getApproverNameBasedOnApprovalMatrixUnImploded($rows['APPROVERS']);
									  $approverarr2 = $obj->getApproverNameBasedOnApprovalMatrix('HIRE_STSTMENT_CHK_APP_2');
									  
									  $sqltc = "SELECT * from chartering_tc_estimate_slave1 where TCOUTID='".$obj->getCharteringEstimateTCData($rows['COMID'], 'TCOUTID')."' and RANDOMID='".$rows['RANDOMID']."'";
									  $restc 	= mysql_query($sqltc) or die($sqltc);
									  $rectc 	= mysql_num_rows($restc);
									  $rowstc = mysql_fetch_assoc($restc);
								  ?>
									<tr>
									  <td><?=$i;?></td>
									  <td><?=ucwords($rows['INVOICE_TYPE']);?> TC Hire Statement</td>
									  <td><?=$rows['INVOICE_NO'];?></td>
									  <td><?=$obj->getCharteringEstimateTCData($rows['COMID'],"TC_NO");?></td>
									  <td><?=$obj->getVendorListNewBasedOnID($rowstc['TC_FINAL_HIERAGE_VENDOR']);?></td>
									  <td>
								      
									   <?php if($rows['STATUS']==1){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Level 1 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==2){$userarr[] = $creatorsarr;?>
									        <span class="label label-warning">Sent for Review To Creator Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==3){$userarr[] = $approverarr2;?>
									        <span class="label label-danger">Level 2 Approval Pending Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  <?php if($rows['STATUS']==4){$userarr[] = $approverarr1;?>
									        <span class="label label-danger">Sent for Review To Approver 1 Since <?=$obj->getDaysDifference($rows1['ADDONDATE'],date('Y-m-d',time()));?> Days</span>
									  <?php }?>
									  </td>
									  <td>
									  <?=implode(', ',$userarr);?>
									  </td>
									  <td>
									<?php if($rows1['REDIRECTTO']!=''){?>
									  <a href="<?=$rows1['REDIRECTTO'];?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }else{?>
									  <a href="payment_grid_tc.php?comid=<?=$rows['COMID'];?>&page=<?=$obj->getCompareTableDataTC($rows['COMID'], 'STATUS');?>" target="_blank"><i class="fa fa-edit "></i> View</a>
									<?php }?>  
									  </td>
									</tr>
							<?php }?>
									
                                </tbody>
                                
                            </table>
                        </div>
                    </div>
				</form>
				</div>
				<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
			
        </div><!-- ./wrapper -->
<?php $display->footer(); ?>
<?php $display->js(); ?>
<link href="../../css/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
<script src='../../js/plugins/datatables/jquery.dataTables.min.js'></script>
<script src="../../js/timer.js" type="text/javascript"></script>
<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<link href="../../css/datepicker/datepicker.css" rel="stylesheet" type="text/css" />
<script src="../../js/bootstrap-datepicker.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>
<script type="text/javascript">
$(document).ready(function(){
	
	
});

function getExcel(){


}


</script>
		
</body>
</html>