<?php 
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");
$obj = new data();
$connect = $obj->funConnect();
$display = new display();
$display->logout_iu();
if(@$_REQUEST['action'] == 'submit')
{
	$msg = $obj->deleteReferenceStatusRecords();
	header('Location:./generic_finances_list.php?msg='.$msg);
}
if (@$_REQUEST['action2'] == 'submit1')
{
	$msg = $obj->insertGenericPaymentReceivedDetails();
	header('Location:./generic_finances_list.php?msg='.$msg);
}

if (@$_REQUEST['action'] == 'submit2')
{
	$msg = $obj->deletegenericInvoiceRecords();
	header('Location:./generic_finances_list.php?msg='.$msg);
}

if($_REQUEST['selYear']!=''){$selYear = $_REQUEST['selYear'];}else{$selYear = date('Y',time());}
if($_REQUEST['selBType']!=''){$selBType = $_REQUEST['selBType'];}else{$selBType = $_SESSION['selBType'];}
$pagename = basename($_SERVER['PHP_SELF']);
$msg = NULL;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<link href="../../css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(22); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        <i class="fa fa-book"></i>&nbsp;Generic Finances&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="../"><i class="fa fa-home"></i> Home</a></li>
                        <li class="active">Generic Finances</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
				<!--   content put here..................-->
				<?php if(isset($_REQUEST['msg'])){
						$msg = $_REQUEST['msg'];
						if($msg == 0){?>
				<div class="alert alert-success alert-dismissable">
					<i class="fa fa-check"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Congratulations!</b> Generic Finances added/updated successfully.
				</div>
				<?php }?>
				<?php if($msg == 1){?>
				<div class="alert alert-danger alert-dismissable">
					<i class="fa fa-ban"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Sorry!</b> there was an error while adding/updating Generic Finances.
				</div>
				<?php }?>
				<?php if($msg == 2){?>
				<div class="alert alert-success alert-dismissable">
					<i class="fa fa-check"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Congratulations!</b> Payment received successfully.
				</div>
				<?php }?>
				<?php if($msg == 3){?>
				<div class="alert alert-success alert-dismissable">
					<i class="fa fa-check"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Congratulations!</b> Invoice Cancelled successfully.
				</div>
				<?php }}?>
				<div class="box box-primary">
				<h3 style=" text-align:center;">GENERIC FINANCES</h3>
				<div align="right"><a href="addginvoice.php" title="Add New"><button class="btn btn-info btn-flat">Add New</button></a>&nbsp;&nbsp;&nbsp;&nbsp;</div>
				<form name="frm1" id="frm1" method="post" enctype="multipart/form-data" action="<?php echo $pagename;?>"/>
                
                <div class="row invoice-info" style="margin-left:10px;margin-right:10px;">
                        <div class="col-sm-3 invoice-col">
                            <address>
                                <select  name="selBType" class="form-control" id="selBType" onChange="getSubmit();">
								<?php 
                                $obj->getBusinessTypeList1($selBType);
                                ?>
                                </select>
                            </address>
                        </div><!-- /.col -->
                        <div class="col-sm-3 invoice-col">
                            <address>
                               <select  name="selYear" class="form-control" id="selYear" onChange="getSubmit();">
								<?php 
                                $obj->getYearListForInvoices($selYear);
                                ?>
                                </select>
                            </address>
                        </div><!-- /.col -->
                  
					</div>
                    
                    
				<div style="height:10px;">
				<input name="txttblid" id="txttblid" class="input" size="5" type="hidden" value="" />
				<input name="txttblstatus" id="txttblstatus" class="input" size="5" type="hidden" value="" />
				<input type="hidden" name="action" id="action" value="submit" />
				</div>				
				<?php $obj->displayGenericFinancesList($selBType,$selYear);?>
				</form>
				</div>
				<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
			
        </div><!-- ./wrapper -->
		
		<div class="modal fade" id="compose-modal" tabindex="-1" role="dialog" aria-hidden="true">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
						</div>
						<div class="modal-body">
							<form name="frm3" id="frm3" enctype="multipart/form-data" action="<?php echo $pagename;?>" method="post"/>
								<div id="divPayment">
									
								</div>
								<div class="box-footer" align="right">
									<button type="submit" id="btnhide" class="btn btn-primary btn-flat" onClick="return getValid();" >Submit</button>
									<input type="hidden" id="action2" name="action2" value="submit1" />
									<input type="hidden" name="txtCRMFILE1" id="txtCRMFILE1" value="" />
									<input type="hidden" name="txtCRMNAME1" id="txtCRMNAME1" value="" />
								</div>
							</form>
						</div>
					</div><!-- /.modal-content -->
				</div><!-- /.modal-dialog -->
			</div>
<?php $display->footer(); ?>
<?php $display->js(); ?>
<script src="../../js/plugins/datatables/jquery.dataTables.js" type="text/javascript"></script>
<script src="../../js/plugins/datatables/dataTables.bootstrap.js" type="text/javascript"></script>
<script src="../../js/timer.js" type="text/javascript"></script>
<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<link href="../../css/datepicker/datepicker.css" rel="stylesheet" type="text/css" />
<script src="../../js/plugins/datepicker/bootstrap-datepicker.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>
<script type="text/javascript">
$(document).ready(function(){
$('#txtCOADate').datepicker({
    format: 'dd-mm-yyyy'
});
$("#selBType").val(<?=$selBType;?>);
$("#selYear").val(<?=$selYear;?>);
});

$(function() {
	$("#elibrary_list").dataTable();

});

function getSubmit()
{
  $("#action").val('reload');
  document.frm1.submit();
}

function getDelete(invoiceid)
{
	jConfirm('Are you sure to cancel this invoice permanently?', 'Confirmation', function(r) {
	if(r){ 
		$("#txttblid").val(invoiceid);
		$("#action").val('submit2');
		document.frm1.submit();
	}
	else{return false;}
	});	
}


function openWin(var1)
{
	$("#divPayment").empty();
	$("#divPayment").html('<div><img src="../../img/ajax-loader.gif" /><br><b>Loading...</b></div>'); 
	$.post("options.php?id=81",{invoiceid:""+var1+""}, function(html) {
		$("#divPayment").empty();
		$("#divPayment").append(html);
		
		$("#txtP_PR").numeric();
        $('#txtP_Remarks').autosize({append: "\n"});
		$('#txtP_Date').datepicker({
			format: 'dd-mm-yyyy',
			autoclose:true
		});
	});
}

function getPdf(var1)
{
	location.href='allPdf.php?id=83&im_id='+var1;
}

</script>
		
</body>
</html>