<?php 
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");

$obj = new data();
$connect = $obj->funConnect();

$display = new display();
$display->logout_iu();
if (@$_REQUEST['action'] == 'submit')
 {
 	$msg = $obj->insertSupportTicketDetails();
	header('Location:./ticket_list.php?msg='.$msg);
 }

$pagename = basename($_SERVER['PHP_SELF']);
$msg = NULL;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<link href="../../css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
<style>
.animated {
				vertical-align: top; 
				transition: height 0.2s;
				-webkit-transition: height 0.2s; 
				-moz-transition: height 0.2s; 
			}

form.cmxform label.error, label.error {
		/* remove the next line when you have trouble in IE6 with labels in list */
		font-family:Verdana, Arial, Helvetica, sans-serif;
		font-size:10px;
		color: red;
		font-style:normal;
		font-weight:lighter;
		margin:5px;
		vertical-align:top;
		}


span.openclass {
    background-color: green;
    padding: 4px 7px 5px 7px;
    border-radius: 6px;
    color: #fff;
    font-weight: bold;
}
span.closeclass {
    background-color: red;
    padding: 4px 7px 5px 7px;
    border-radius: 6px;
    color: #fff;
    font-weight: bold;
}
span.wipclass {
    background-color: orange;
    padding: 4px 7px 5px 7px;
    border-radius: 6px;
    color: #fff;
    font-weight: bold;
}
</style>
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(202); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                 <section class="content-header">
                    <h1>
                        <i class="fa fa-desktop"></i>&nbsp;Support Ticket&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="../"><i class="fa fa-home"></i> Home</a></li>
                        <li class="active">Support Ticket</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
				<!--   content put here..................-->
					<?php if(isset($_REQUEST['msg'])){
						$msg = $_REQUEST['msg'];
						if($msg == 0){?>
				<div class="alert alert-success alert-dismissable">
					<i class="fa fa-check"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Congratulations!</b> Support Ticket added/updated successfully.
				</div>
				<?php }?>
				<?php if($msg == 1){?>
				<div class="alert alert-danger alert-dismissable">
					<i class="fa fa-ban"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Sorry!</b> there was an error while adding/updating Support Ticket.
				</div>
				<?php }?>
				<?php if($msg == 2){?>
				<div class="alert alert-success alert-dismissable">
					<i class="fa fa-check"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Congratulations!</b> Status changed successfully.
				</div>
				<?php }}?>
				<div class="box box-primary">
				<h3 style=" text-align:center;">Add Support Ticket</h3>
				<form role="form" name="frm1" id="frm1" enctype="multipart/form-data" action="<?php echo $pagename;?>" method="post">			
				  	 <div class="row1 invoice-info">
                         <div class="col-sm-4 invoice-col">
                            Message
                            <address>
                               <textarea class="form-control areasize" name="txtMessage" id="txtMessage" rows="3" placeholder="message ..." ></textarea>
                            </address>
                        </div><!-- /.col -->
                         <div class="col-sm-4 invoice-col">
                            Attachment
                            <address>
							  <div class="btn btn-success btn-file btn-flat" data-toggle="tooltip" data-original-title="Add file">
                                    <i class="fa fa-paperclip"></i> Attachment
                                    <input type="file" class="form-control" multiple name="mul_file[]" id="mul_file" title="" data-widget="Attachment" data-toggle="tooltip" data-original-title="Attachment"/>
                             </div>
							</address>
                         </div><!-- /.col -->
						 <div class="col-sm-4 invoice-col">
                            Date
                            <address>
                                <input type="text" name="txtDate" id="txtDate" class="form-control"  placeholder="Date" autocomplete="off" value="<?php echo date("d-M-Y",time());?>" readonly/>
                             </address>
                        </div><!-- /.col -->                     
					</div>                                  
				
				<div class="box-footer" align="right">
							<button type="submit" class="btn btn-primary btn-flat" onClick="return getValidate(0);">Submit</button>
							<input type="hidden" name="action" value="submit" /><input type="hidden" name="txtStatus" id="txtStatus" value="1" /><input type="hidden" name="txtFileName" id="txtFileName" value="" />
				</div>			
				<?php $obj->displaySupportTicket();?>
				</form>
				</div>
				<!--   content ends here..................-->
                </section><!-- /.content -->
              </aside><!-- /.right-side -->
					<div class="modal fade" id="compose-modal" tabindex="-1" role="dialog" aria-hidden="true">
						<div class="modal-dialog" style="width:95%">
							 <div class="modal-content">
								<div class="modal-header">


									<form role="form" name="frm1" id="frm1" enctype="multipart/form-data" action="<?php echo $pagename;?>" method="post">
										<div class="row invoice-info">
											<div class="col-sm-4 invoice-col">
											Message
												<address>
													<textarea class="form-control areasize" name="txtReplyMessage" id="txtReplyMessage" rows="3" placeholder="message ..." ></textarea>
												</address>
											</div><!-- /.col -->   


											<div class="col-sm-4 invoice-col">
											Status
												<address>
													<select class="select form-control" name="txtStatus" id="txtStatus">
														<option value="">---Select from Status---</option>
														<option value="2">WIP</option>
														<option value="3">CLOSED</option>
													</select> 
												</address>
											</div><!-- /.col -->              

										</div>
										<div class="box-footer" align="right">
									<button type="submit" class="btn btn-primary btn-flat" onClick="return getValidate(0);">Submit</button>
									<input type="hidden" name="action" value="submit" /><input type="hidden" name="txtStatusold" id="txtStatusold" value="2" /><input type="hidden" name="book_id" id="bookID" value="">
						         </div>
									</form>   
								</div>						                        
							 </div>
						</div>
					</div>
		        </div><!-- ./wrapper -->
<?php $display->footer(); ?>
<?php $display->js(); ?>
<script src="../../js/plugins/datatables/jquery.dataTables.js" type="text/javascript"></script>
<script src="../../js/plugins/datatables/dataTables.bootstrap.js" type="text/javascript"></script>
<script src="../../js/timer.js" type="text/javascript"></script>
<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>
 <script type="text/javascript">
 $(document).ready(function(){
// $('#txtDate').datepicker({
//     format: 'dd-mm-yyyy'
// });
//$(".areasize").autosize({append: "\n"});
$("#frm1").validate({
	rules: {
	txtMessage:"required"
	},
messages: {	
	txtMessage:"*"
	},
submitHandler: function(form)  {
		jAlert('<b style="font-size:25px;">Please wait . . .</b><br><br><img src="../../img/loading.gif"  />', 'Alert');
		$("#popup_container").css({"background": "rgba(255,255,255,0.1)","border": "10px solid rgba(255,255,255,0.1)","width": "100%"});
		$("#popup_content").css({"background":"none","text-align":"center"});
		$("#popup_ok,#popup_title").hide();  
		form.submit();
	}
});


});
$(function() {
	 $('#Ticket_list').dataTable( {
        "aaSorting": [[ 0, "DESC" ]]
    } );
});


  function showModal(TICKETID=0){
    $('#compose-modal').modal('show');
    // here is the id of that element where do you want to display / have the passed value
    // in my case i am taking in a hidden input which id is = bookID , i am using a form in my modal that why
    $('#bookID').val(TICKETID);
  }


</script>
		
</body>
</html>