<?php 
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");
$obj = new data();
$connect = $obj->funConnect();
$display = new display();
$display->logout_iu();

if (@$_REQUEST['action'] == 'submit')
{
	$msg = $obj->uploadVoyageReportData();
	header('Location:./uploadvoyagereport.php?msg='.$msg);
}

$pagename = basename($_SERVER['PHP_SELF']);
$msg = NULL;

?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<link href="../../css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" />
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(26); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        <i class="fa fa-upload"></i>&nbsp;Dashboard&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                         <li><a href="../"><i class="fa fa-home"></i> Home</a></li>
						 <li class="active">Upload Voyage Reports</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content invoice">
				<?php if(isset($_REQUEST['msg'])){
						$msg = $_REQUEST['msg'];
						if($msg == 0){?>
				<div class="alert alert-success alert-dismissable">
					<i class="fa fa-check"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Congratulations!</b> Voyage Report uploaded successfully.
				</div>
				<?php }?>
				<?php if($msg == 1){?>
				<div class="alert alert-danger alert-dismissable">
					<i class="fa fa-ban"></i>
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<b>Sorry!</b> there was an error while uploading Voyage Report Data.
				</div>
				<?php }}?>
				<!--   content put here..................-->
				<div class="box box-primary">
				<h3 style=" text-align:center;">Upload Voyage Reports</h3>
				<form name="frm1" id="frm1" enctype="multipart/form-data" method="post" action="<?php echo $pagename;?>"/>
					
					<div align="right">
						&nbsp;
					</div>
					<div class="row">
                        <div class="col-sm-12">
						&nbsp;
						</div>
					</div>
					<div class="row">
                        <div class="col-sm-2">&nbsp;
						</div>
						<div class="col-sm-4">
                            Upload
                            <address>
							    <input type="file" class="form-control" multiple name="attach_file[]" id="attach_file" title="" data-widget="Upload" data-toggle="tooltip" data-original-title="Upload"/>
                            </address>
                        </div><!-- /.col -->
                        
                        <div class="col-sm-4">
						&nbsp;
						   <address>
						   <input type="hidden" id="action" name="action" value="submit"/>
                           <button type="submit" class="btn btn-primary btn-flat" onClick="return getupload();">Click Here To Upload</button>
                        </div><!-- /.col -->
						<div class="col-sm-2">
                           &nbsp;
                        </div><!-- /.col -->						
					</div>
                    <div class="row">
                        <div class="col-sm-12">
						&nbsp;
						</div>
					</div>
					<div class="row">
                        <div class="col-sm-12">
						&nbsp;
						</div>
					</div>
					<div class="row">
                        <div class="col-sm-12">
						&nbsp;
						</div>
					</div>
					<div class="row">
                        <div class="col-sm-12">
						&nbsp;
						</div>
					</div>
					<div class="row">
                        <div class="col-sm-12">
						&nbsp;
						</div>
					</div>
				</form>
				</div>
				<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
			
        </div><!-- ./wrapper -->
<?php $display->footer(); ?>
<?php $display->js(); ?>
<link href="../../css/datatables/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
<script src='../../js/plugins/datatables/jquery.dataTables.min.js'></script>
<script src="../../js/timer.js" type="text/javascript"></script>
<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<link href="../../css/datepicker/datepicker.css" rel="stylesheet" type="text/css" />
<script src="../../js/bootstrap-datepicker.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>
<script type="text/javascript">
$(document).ready(function(){
	
	$("#frm1").validate({
		rules: {
			attach_file:"required"
			},
		messages: {
			attach_file:"*",
			},
	submitHandler: function(form)  {
		jConfirm('Are you sure you want to upload selected reports ?', 'Confirmation', function(r) {
			if(r){
				jAlert('<b style="font-size:25px;">Please wait . . .</b><br><br><img src="../../img/loading.gif"  />', 'Alert');
				$("#popup_container").css({"background": "rgba(255,255,255,0.1)","border": "10px solid rgba(255,255,255,0.1)","width": "100%"});
				$("#popup_content").css({"background":"none","text-align":"center"});
				$("#popup_ok,#popup_title").hide();  
				frm1.submit();
				}
				else{return false;}
			});
		}
	});
});

function getupload()
{
    return true;
}

</script>
		
</body>
</html>